2023-10-10  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/QtCore/qpycore_types.cpp:
	Removed a compiler warning message.
	[a92a518d62a1] [5.15.10] <5.15-maint>

2023-10-08  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, lib/project.py, qpy/QtCore/qpycore_types.cpp:
	Properly fix the use of PyType_GetDict(). ABI v12.13 is now needed.
	[4a48fab832b8] <5.15-maint>

2023-10-07  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/QtCore/qpycore_types.cpp:
	Fixed the memory leak related to sipPyTypeDict() and Python v3.12.
	[3744224dd080] <5.15-maint>

2023-09-22  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Disabled the automatic generation of the type hint for pyqtSlot.
	[aec75fafb7c3] <5.15-maint>

2023-08-27  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/QtCore/qpycore_qt_conf.cpp:
	Use Latin-1 rather than the local encoding to write the embedded
	qt.conf file.
	[26eb32db0a3c] <5.15-maint>

2023-08-26  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, test/tests/misc/test_pickle.py:
	Fixed some legacy unittest calls removed in Python v3.12.
	[ffdbdfee5b60] <5.15-maint>

2023-07-27  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Really fix the QString/None regression.
	[219301a7e51e] <5.15-maint>

2023-07-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed a regression in using None as a QString.
	[01d95f9ff234] <5.15-maint>

2023-07-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixes from an apparently rogue metasip scan.
	[ddceca16b27e] <5.15-maint>

	* NEWS, PyQt5.msp:
	Fixed the type hints for all ellipsis arguments.
	[60eaade98d69] <5.15-maint>

2023-07-14  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Fixed the type hints for QString.
	[70febd346bbd] <5.15-maint>

2023-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Fixed the type hints for QObject.findChild() and
	QObject.findChildren().
	[87f470a9e300] <5.15-maint>

2023-07-09  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/pyrcc/rcc.cpp:
	Fixed pyrcc for reproducable builds.
	[950ea5e7f6a2] <5.15-maint>

2023-07-05  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Fixed the type hints for PYQT_SLOT and pyqtSlot().
	[d038fb017ee2] <5.15-maint>

2023-06-08  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp, lib/project.py:
	Added the missing QEvent.Type.EnterEditFocus and
	QEvent.Type.LeaveEditFocus enum members.
	[40fc079cfca7] <5.15-maint>

	* NEWS, PyQt5.msp:
	Added the missing QEvent.Type.NativeGesture member (Qt v5.2 and
	later).
	[dc33dcf9e485] <5.15-maint>

2023-05-21  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Fixed the QDeadlineTimer ctors.
	[684e8e23899f] <5.15-maint>

2023-02-02  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.15.9 for changeset c8aba8cdb7c0
	[af0bcef92906] <5.15-maint>

2023-01-31  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, lib/project.py:
	Fix the order in which modules are built so that the composite Qt
	module is built after everything it depends on.
	[c8aba8cdb7c0] [5.15.9] <5.15-maint>

2023-01-22  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.15.8 for changeset f3d5a635ec21
	[255d4467683f] <5.15-maint>

	* lib/pyproject.toml, rb-product.toml:
	Ensure the PyQt-Qt5 dependency is correct.
	[f3d5a635ec21] [5.15.8] <5.15-maint>

	* NEWS, PyQt5.msp:
	Updated for new elements added in Qt v5.15 patch versions.
	[95299cb2df3b] <5.15-maint>

2022-12-13  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Added the missing QBluetoothDeviceDiscoveryAgent.DiscoveryMethod
	members.
	[fdce9f658ad8] <5.15-maint>

2022-10-30  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, lib/pyproject.toml:
	SIP v6.6.2 is now a minimum requirement for the array support.
	[bd2a905b5345] <5.15-maint>

2022-10-28  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, pyuic/uic/__init__.py:
	Fixed uic.compileUiDir() when the default system encoding is not
	UTF8.
	[50050fc4cd93] <5.15-maint>

2022-10-10  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Fixed QBoxLayout.insertItem() ownership bug.
	[dd1a6abd2427] <5.15-maint>

2022-09-17  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/QtCore/qpycore_qobject_helpers.cpp:
	Fixed calling QObject::inherits() from C++ on instances that were
	created by Python (and so was an instance of a generated derived
	class), had it's ownership transfered to C++ and the Python object
	garbage collected. This broke all sub-class converter code.
	[2e3c3b71f118] <5.15-maint>

2022-06-18  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.15.7 for changeset b6de090403e0
	[910c4de63a6b] <5.15-maint>

2022-06-06  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Reordered QPainter methods so that QPolygon[F] are not handled as
	sequences.
	[b6de090403e0] [5.15.7] <5.15-maint>

2022-05-21  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Refactored the QPainter draw methods to exploit sip.array objects.
	[c848cf6bafc3] <5.15-maint>

2022-05-17  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, lib/project.py:
	PyQt5-sip v12.11 is now required to enable support for sip.array.
	[fe8d991d5445] <5.15-maint>

2022-05-04  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Import the enum module in QtCore.pyi.
	[549feba9d56e] <5.15-maint>

2022-02-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Documented why there is a need to be explicit about the name of the
	sip module.
	[03ca1502b93d] <5.15-maint>

	* NEWS, lib/project.py:
	There is no need to be explicit about the name of the sip module.
	[d5644b3af8ce] <5.15-maint>

2022-02-27  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, lib/project.py:
	Be explicit abou tthe sip module name and ABI version.
	[d3ef6180143c] <5.15-maint>

2022-02-26  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/QtQml/qpyqml_listdata.cpp:
	Fixed a bug in the tidying up of QQmlListProperty.
	[d55d3fcf6231] <5.15-maint>

2022-02-01  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Release the GIL when calling the QThreadPool dtor.
	[4f9a01a72de9] <5.15-maint>

2022-01-27  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/pylupdate/metatranslator.cpp:
	Fixed the corruption of HTML in translated messages by pylupdate.
	[705c61b3620c] <5.15-maint>

2021-12-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtNetwork/qpynetwork_qmap.sip:
	Added support for the IpAddressEntry member of
	QSsl.AlternativeNameEntryType.
	[90f02fa83cc0] <5.15-maint>

	* NEWS:
	Fixed the NEWS file.
	[7785974512b8] <5.15-maint>

	* NEWS, qpy/QtNetwork/qpynetwork_qmap.sip:
	Fixed the handling of the result of
	QSslCertificate.subjectAlternativeNames().
	[97d172d0fc09] <5.15-maint>

2021-11-23  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Various fixes to the QUrl.FormattingOptions enum. Removed a
	redundant ctor from QFlags in .pyi files.
	[61c0b5b29769] <5.15-maint>

2021-11-18  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Added the missing QBluetoothUuid ctors.
	[d7fb0f074c82] <5.15-maint>

2021-11-12  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Backed out changeset 24d217336964 The annotations aren't
	superfluous.
	[5c0045266501] <5.15-maint>

	* NEWS, PyQt5.msp:
	Removed some superfluous /PyInt/ annotations.
	[24d217336964] <5.15-maint>

2021-10-29  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.15.6 for changeset 34cb760572b8
	[aa9939ca4c8b] <5.15-maint>

2021-10-24  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qtproxies.py:
	Generate typing information to ignore connect() in pyuic generated
	code.
	[34cb760572b8] [5.15.6] <5.15-maint>

	* PyQt5.msp:
	Remove QObject.__getattr__() from QtCore.pyi as it hides
	missing/mistyped attribute names.
	[ba5c19ab8690] <5.15-maint>

	* NEWS, PyQt5.msp, lib/pyproject.toml:
	Fixed pickling of QByteArray with Python v3.10.
	[2ed6a8e59201] <5.15-maint>

	* test/tests/classes/test_QByteArray.py:
	Added the QByteArray pickle test.
	[6e7bdf2d8c92] <5.15-maint>

2021-10-12  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.15.5 for changeset ab35506238c2
	[965570c2c344] <5.15-maint>

2021-10-07  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, pyuic/uic/Compiler/qtproxies.py:
	Fixed pyuic's handling of QFontDatabase.
	[ab35506238c2] [5.15.5] <5.15-maint>

2021-09-25  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/QtCore/qpycore_pyqtmethodproxy.cpp:
	Fixed the invocation of meta-type methods so that the result is
	available.
	[24ff630d737f] <5.15-maint>

2021-08-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/README:
	Fixed the README.
	[a44fc2eef805] <5.15-maint>

2021-07-09  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Fixed the ordering of the QCompleter ctors so that a
	QAbstractItemModel argument doesn't get interpreted as a parent
	QObject argument.
	[288f50b3e9c8] <5.15-maint>

2021-05-21  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/QtCore/qpycore_qmap.sip:
	Fixed the QMultiMap mapped type.
	[0c05544ec6ad] <5.15-maint>

2021-05-20  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_decorators.cpp:
	Improved an error message.
	[76943e2449c4] <5.15-maint>

2021-04-15  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Added the missing QPdfWriter.setPageSize() overload.
	[f8aaea7a6ade] <5.15-maint>

2021-04-14  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/pylupdate/fetchtr.cpp, qpy/pylupdate/metatranslator.cpp:
	pylupdate5 now assumes the UTF-8 codec and specifies v2.1 as the .ts
	file format.
	[9314488ea608] <5.15-maint>

2021-03-05  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.15.4 for changeset b30547186181
	[e53432659118] <5.15-maint>

	* NEWS:
	Released as v5.15.4.
	[b30547186181] [5.15.4] <5.15-maint>

	* qpy/QtCore/qpycore_qt_conf.cpp:
	Fixed the embedded conf file.
	[28d8448d1ec4] <5.15-maint>

2021-03-04  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, lib/project.py:
	Fixed the Qt subdirectory in __init__.py.
	[1cd001d504ab] <5.15-maint>

2021-03-02  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[755c706e32ba] <5.15-maint>

2021-02-27  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	Fixed the project dependencies.
	[f945ce38080e] <5.15-maint>

	* rb-product, rb-product.toml:
	Updated the product file.
	[fc2239114623] <5.15-maint>

2021-02-22  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.15.3 for changeset 301db948366e
	[a7dde6d9b36d] <5.15-maint>

	* NEWS:
	Released as v5.15.3.
	[301db948366e] [5.15.3] <5.15-maint>

	* NEWS:
	Updated the NEWS file.
	[266673bae2b4] <5.15-maint>

2021-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed a number of potential deadlocks in QSettings and
	QLibraryInfo.location().
	[7384c3dd7be6] <5.15-maint>

2021-02-09  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	Added the dependency on the Qt wheel.
	[0ae0210a3702] <5.15-maint>

	* PyQt5.msp, lib/configure.py, lib/project.py:
	Removed QtNetworkAuth.
	[8242660fe0f2] <5.15-maint>

2021-01-28  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/pylupdate_main.py, pylupdate/pylupdatemod.sip:
	Fixed pylupdate's handling of filenames with non-Latin1 characters.
	[cd771b985dd5] <5.15-maint>

2021-01-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed a type hint typo.
	[8269fa810791] <5.15-maint>

	* PyQt5.msp:
	Some type hint fixes.
	[b956e87c177f] <5.15-maint>

2020-12-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, QAxContainer/qaxbase.sip:
	Removed some forgotten uses of SIP_SSIZE_T.
	[728d87aa1c8e] <5.15-maint>

2020-12-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.cpp:
	Don't call the QCoreApplication dtor if we didn't call the ctor.
	[e4dc97f92847] <5.15-maint>

2020-12-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing QImage.setAlphaChannel().
	[b642690ef798] <5.15-maint>

2020-11-23  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.15.2 for changeset ddf234c8c683
	[2f116d2cb5da] <5.15-maint>

	* NEWS:
	Released as v5.12.2.
	[ddf234c8c683] [5.15.2] <5.15-maint>

	* NEWS:
	Updated the NEWS file.
	[a4088498ec1a] <5.15-maint>

2020-11-13  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtslot.cpp:
	Eliminated a couple of Python deprecation warnings.
	[a868cf5559cb] <5.15-maint>

2020-10-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed some typos in the OpenGL bindings.
	[d824696aef6b] <5.15-maint>

2020-10-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated to project v15.
	[6cc6247a25e1] <5.15-maint>

2020-10-04  Phil Thompson  <phil@riverbankcomputing.com>

	* designer/pluginloader.cpp, qmlscene/pluginloader.cpp:
	Eliminate deprecation warnings from Python v3.9.
	[ba17824001af] <5.15-maint>

	* PyQt5.msp:
	Ensure that QtQuick will build without OpenGL.
	[9625e73814d4] <5.15-maint>

2020-09-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added a missing /TransferBack/ annotation to QLayout.removeWidget().
	[230f954c1920] <5.15-maint>

2020-09-27  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fixed hashable signals for unsupported versions of Python.
	[32f6a9018722] <5.15-maint>

2020-09-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed QActionGroup.ExclusionPolicy.None and
	QOcspRevocationReason.None.
	[cdcf3488537b] <5.15-maint>

2020-09-18  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Check the version of Qt is supported.
	[50527038fe31] <5.15-maint>

2020-09-17  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py, lib/pyproject.toml:
	Require PyQt-builder v1.6 as we no longer specify the sip module and
	ABI.
	[0f86b0b9bb21] <5.15-maint>

	* PyQt5.msp:
	Added the QT_MAC_WANTS_LAYER workaround for lost paint events.
	[183a91751895] <5.15-maint>

	* PyQt5.msp, lib/SubclassCode/QtMultimedia.versions:
	Fixed building against Qt v5.10 and earlier.
	[29e2ebf17db3] <5.15-maint>

2020-09-14  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Bound signals are now hashable.
	[4318b62d0575] <5.15-maint>

2020-09-11  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.15.1 for changeset f99d8e2299f1
	[2e783d474267] <5.15-maint>

	* NEWS:
	Released as v5.15.1.
	[f99d8e2299f1] [5.15.1] <5.15-maint>

	* NEWS:
	Updated the NEWS file.
	[51b9d0e4a153] <5.15-maint>

	* PyQt5.msp:
	Fixed bugs related to QSGNode.
	[a8a92e00511e] <5.15-maint>

2020-08-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, config-tests/cfgtest_QtCore.cpp:
	Fixed building with compilers without constexpr support (ie. MSVC
	2015).
	[ae7bb0399061] <5.15-maint>

2020-08-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Set the name of the sip module explicitly.
	[16811c7f937c] <5.15-maint>

2020-08-08  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fix a signal disconnect() when None is passed as the argument.
	[22794b6d6a6c] <5.15-maint>

2020-07-11  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Bound signals can now be tested for equality.
	[2651d9efa223] <5.15-maint>

	* NEWS, qpy/QtCore/qpycore_classinfo.cpp,
	qpy/QtCore/qpycore_enums_flags.cpp:
	Raise an appropriate exception if Q_CLASSINFO, Q_ENUM, Q_ENUMS,
	Q_FLAG or Q_FLAGS are used on PyPy.
	[1d22af022477] <5.15-maint>

2020-06-16  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp, lib/configure.py, lib/project.py:
	Added the QtTextToSpeech module.
	[d31c28251af2] <5.15-maint>

2020-06-10  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp, qpy/QtCore/qpycore_qjsonvalue.cpp:
	None is now interpreted as a null QJsonValue.
	[1b4fdf6609d4] <5.15-maint>

2020-06-01  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Fixed the platform tag for macOS wheels.
	[72fd5bbd2388] <5.15-maint>

2020-05-30  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.15.0 for changeset 5e7e90d17d36
	[720e8a99e5df]

	* NEWS:
	Released as v5.15.0.
	[5e7e90d17d36] [5.15.0]

	* PyQt5.msp:
	Added a missing private copy ctor.
	[16609177df03]

2020-05-29  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[ca51bd410062]

	* PyQt5.msp, lib/configure.py, lib/project.py:
	Added the QtQuick3D module.
	[089b9c6b4c44]

2020-05-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtWebSockets, QtWidgets and QtXml for Qt v5.15.0.
	[fe6404101c22]

	* PyQt5.msp:
	Updated QtQuick, QtRemoteObjects and QtSvg for Qt v5.15.0.
	[fecc60c0fbb4]

2020-05-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtQml.versions,
	qpy/QtCore/qpycore_qvector.sip:
	Updated QtMultimedia, QtMultimediaWidgets, QtNetwork and QtQml for
	Qt v5.15.0.
	[404a2ac8e061]

	* PyQt5.msp, lib/SubclassCode/QtHelp.versions:
	Updated QtGui and QtHelp for Qt v5.15.0.
	[2b69e249eb5e]

	* PyQt5.msp:
	Updated QtCore for Qt v5.15.0.
	[0f9c5a2e60af]

2020-05-18  Phil Thompson  <phil@riverbankcomputing.com>

	* QtAndroidExtras/qandroidjniobject.sip:
	Fixes for the new callStaticMethod() overload.
	[aab21130b519]

	* NEWS, QtAndroidExtras/qandroidjniobject.sip:
	Implemented the QAndroidJniObject.callStaticMethod() overload that
	takes and returns a QJsonDocument.
	[58a54fbe938b]

2020-05-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Initial pass of Qt v5.15.0.
	[5457742900e7]

	* Merged the 5.14-maint branch.
	[304e165b67aa]

2020-05-09  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	SIP v5.3 is now a minimum requirement.
	[c88d94dfb85b] <5.14-maint>

	* lib/pyproject.toml:
	SIP v6 can be used as we don't use anything that will be removed.
	[55ba9e69364a] <5.14-maint>

	* lib/project.py:
	Fix the ABI version of the sip module in anticipation of newer,
	incompatible, versions.
	[425fdef06f34] <5.14-maint>

2020-05-07  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/__init__.py:
	Added support for PyQt5 sub-packages (possibly the PyQt5.sip module)
	that are built with setuptools rather than a modern pip.
	[ddea00aec29a] <5.14-maint>

	* PyQt5.msp:
	Fixed memory leaks in the __getitem__ method of QPolygon, QPolygonF
	and QXmlStreamAttributes.
	[90e14744b854] <5.14-maint>

2020-05-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed QSGTexture.Filter.None.
	[cfc9d0148a10] <5.14-maint>

	* pyuic/uic/__init__.py:
	Strengthened the warning at the top of .py files created by pyuic.
	[00e1e859c348] <5.14-maint>

2020-04-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Automatically convert QGradient to a sub-class if possible.
	[dd812681dcc8] <5.14-maint>

2020-04-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml, rb-product:
	Require a version of SIP with the race condition fix.
	[2007cb6e7314] <5.14-maint>

	* qpy/QtCore/qpycore_qobject_helpers.cpp:
	Properly fixed the race condition. SIP v5.2.1 or later is also
	required.
	[9e9a0e6241e6] <5.14-maint>

	* pyuic/uic/Compiler/qtproxies.py:
	Added support for QUndoView to pyuic5.
	[8cf7aa5ec0a2] <5.14-maint>

2020-04-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the remaining QtMultimedia control classes.
	[4089144a11e5] <5.14-maint>

	* PyQt5.msp:
	Added the remaining camera related control classes.
	[b3848dbdaf58] <5.14-maint>

	* PyQt5.msp, lib/SubclassCode/QtMultimedia.versions:
	Implemented the first batch of QMultimedia control classes.
	[294ec48d7628] <5.14-maint>

	* PyQt5.msp:
	Added QVideoWidgetControl to QtMultimediaWidgets.
	[786636ae8eec] <5.14-maint>

2020-04-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added QtMutimedia.QMediaStreamsControl to see if it is useful.
	[c7ca36894f1a] <5.14-maint>

2020-04-18  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qobject_helpers.cpp:
	Remove a potential race condition in qpycore_qobject_qt_metacall().
	[897d3b6fd4c2] <5.14-maint>

2020-04-08  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Build debug versions of the Designer and QML plugins and the DBus
	module if any of the bindings modules ar ebeing built as debug
	versions.
	[46144794a070] <5.14-maint>

2020-04-02  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.14.2 for changeset f6efe33af484
	[5feed10b3fc9] <5.14-maint>

	* NEWS:
	Released as v5.14.2.
	[f6efe33af484] [5.14.2] <5.14-maint>

	* NEWS:
	Updated the NEWS file.
	[73d621910b73] <5.14-maint>

	* PyQt5.msp:
	Added the missing QTextCodec.convertFromUnicode() so that QTextCodec
	can now be instantiated from Python.
	[71aabcec4eb4] <5.14-maint>

2020-03-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qjsonarray.sip, qpy/QtCore/qpycore_qjsonvalue.cpp:
	Fixed a regression introduced when QJsonValue became iterable.
	[b03590b430ce] <5.14-maint>

2020-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	Fixed METADATA for the commercial wheels.
	[5da20453cf42] <5.14-maint>

2020-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed glReadPixels() in the ES2 support.
	[c104737f6f05] <5.14-maint>

2020-02-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Enabled the OpenGL ES bindings.
	[d15fbceb7632] <5.14-maint>

2020-01-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Implement QFlags.__index__() to replicate the behaviour of Python's
	enum.IntFlag type and avoid a deprecation warning in Python v3.8.
	[541f2dcf2b27] <5.14-maint>

	* .hgignore:
	Ignore the new distribution directories.
	[ca61cf227382] <5.14-maint>

2020-01-05  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.14.1 for changeset 71a24375c1af
	[9807854bd906] <5.14-maint>

	* NEWS:
	Released as v5.14.1.
	[71a24375c1af] [5.14.1] <5.14-maint>

2019-12-31  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[07df2e7706a8] <5.14-maint>

2019-12-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QThread.run() now releases the GIL.
	[11d237de6d73] <5.14-maint>

2019-12-20  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	Fixed 'requires' in pyproject.toml.
	[2a2cb22e6c11] <5.14-maint>

2019-12-17  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.14.0 for changeset ddf73b461beb
	[96f0bf5fb354]

	* NEWS:
	Released as v5.14.0.
	[ddf73b461beb] [5.14.0]

	* PyQt5.msp:
	Implemented QColorConstants.
	[fdb00424303d]

2019-12-16  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[b43235d6d719]

	* lib/project.py:
	Don't check that the user can write to the directory where a plugin
	will be installed because they might have different permissions when
	that is actually done.
	[e8f16629a54e]

	* lib/pyproject.toml:
	Require PyQt-builder v1.1 for a bug fix affecting the dbus module.
	[efc9cf987547]

	* PyQt5.msp, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_onexit.sip, qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_public_api.h:
	Removed pyqt5_enable_new_onexit_scheme() and made the new scheme the
	default.
	[f8b71afd02a5]

2019-12-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the implementation of undocumented QCalendar-related
	methods.
	[ace88f6d228b]

	* PyQt5.msp:
	Completed the implementation of QCalendar.
	[5984363fccad]

	* PyQt5.msp:
	Implemented the missing QCalendar ctor.
	[f9931f445257]

	* PyQt5.msp:
	Added support for QRecursiveMutex.
	[43614cd9a889]

2019-12-14  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtWidgets for Qr v5.14.0.
	[6ed3119f8822]

2019-12-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtQml, QtQuick, QtQuickWidgets, QtRemoteObjects, QtSensors,
	QtSerialPort, QtSql, QtSvg, QtTest, QtWebChannel, QtWebSockets,
	QtXml and QtXmlPatterns for Qt v5.14.0.
	[0f9c3f164789]

	* PyQt5.msp:
	Updated QtNetwork, QtNetworkAuth, QtNfc, QtOpenGL, QtPositioning and
	QtPrintSupport for Qt v5.14.0.
	[ea10989ad81e]

	* PyQt5.msp:
	Updated QtHelp, QtLocation, QtMultimedia and QtMultimediaWidgets for
	Qt v5.14.0.
	[b0ac383abf51]

	* PyQt5.msp:
	Updated QtGui for Qt v5.14.0.
	[bd7ac1a672e3]

	* lib/pyproject.toml, rb-product:
	SIP v4.19.20 or v5.0.1 are now required.
	[310e5b1b1cc3]

	* PyQt5.msp:
	Updated QtDBus and QtDesigner for Qt v5.14.0.
	[ed74cb384bcc]

	* PyQt5.msp:
	Completed the majority of QtCore updates for Qt v5.14.0.
	[341ea44f7c40]

2019-12-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtBluetooth for Qt v5.14.0.
	[3d879dd3da75]

	* Merged the 5.13-maint branch.
	[acdf5a9b8653]

2019-11-02  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.13.2 for changeset ed56ea659bb0
	[7e8b5fe8dc3e] <5.13-maint>

	* NEWS:
	Released as v5.13.2.
	[ed56ea659bb0] [5.13.2] <5.13-maint>

	* NEWS:
	Updated the NEWS file.
	[b65ab87137e7] <5.13-maint>

2019-10-25  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Loader/loader.py, pyuic/uic/uiparser.py:
	Fixed the loading of resources by pyuic when parsing prior to
	compiling.
	[8ab7188957f9] <5.13-maint>

2019-10-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	A QVariant for a pointer to an instance of unknown type will now be
	converted to a voidptr object.
	[aa92cdba8bd5] <5.13-maint>

2019-10-04  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	configure.py always uses mk_distinfo.py.
	[75ce243e09f3] <5.13-maint>

	* lib/configure.py:
	Fixed building with configure.py and sip v5.
	[81b0347831c8] <5.13-maint>

2019-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	Fixed the name of PEP 566.
	[e61052653a78] <5.13-maint>

	* lib/pyproject.toml:
	Requires PyQt-builder v1.
	[13354d23b0ff] <5.13-maint>

2019-10-01  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	Fixed the name of the PyQt-builder project.
	[448c6595e115] <5.13-maint>

2019-09-30  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Updated to use sip-module rather than sip-header.
	[53e1e1452030] <5.13-maint>

2019-09-27  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Changes for the latest sip v5 API changes.
	[f0081cfe3b2b] <5.13-maint>

2019-09-26  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	sip5-header is now sip-header.
	[f83c9fe3199f] <5.13-maint>

2019-09-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing pos() and two setPos() overloads to QCursor.
	[72b09c3d761d] <5.13-maint>

	* lib/project.py:
	More fixes for sip v5 API changes.
	[8a159d5c82cf] <5.13-maint>

	* lib/project.py:
	Further changes driven by sip v5 API changes.
	[732d4bb56f4d] <5.13-maint>

2019-09-21  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py, lib/pyproject.toml:
	Changes for the latest sip v5 API.
	[bb7c877b83e6] <5.13-maint>

2019-09-18  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_public_api.cpp:
	The new on-exit scheme now ignores running QThreads.
	[3cc975356440] <5.13-maint>

2019-09-13  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qtproxies.py:
	pyuic now handles QKeySequenceEdit.
	[3d4ad156100c] <5.13-maint>

2019-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.13.1 for changeset 3b8a68bbc4bc
	[b8f8dfe1a7ca] <5.13-maint>

	* NEWS:
	Released as v5.13.1.
	[3b8a68bbc4bc] [5.13.1] <5.13-maint>

	* NEWS, PyQt5.msp, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_onexit.sip, qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_public_api.h:
	Implemented pyqt5_enable_new_onexit_scheme().
	[285d5e8d4ae8] <5.13-maint>

	* PyQt5.msp:
	Fixed the broken fixes for the QFileDialog methods.
	[610a86453f9e] <5.13-maint>

	* NEWS:
	Updated the NEWS file.
	[a829bcd14ffe] <5.13-maint>

	* lib/pyproject.toml:
	Temporarily specify PyQt-build v0.1 as the build system.
	[58ab66c206ce] <5.13-maint>

2019-09-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the type of the directory argument to the getOpenFileUrl(),
	getOpenFileUrls() and getSaveFileUrl() methods of QFileDialog.
	[fdd9e3fa43e6] <5.13-maint>

2019-09-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Project.version is now Project.version_str.
	[59f8a480dedf] <5.13-maint>

2019-08-29  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in, lib/README, lib/pyproject.toml:
	Updated the meta-data.
	[7e71d204ca71] <5.13-maint>

	* lib/configure.py:
	No longer pass -B to sip as it is not currently used and won't be in
	the future (as there is no plan to allow PyQt5 to be built against
	Qt6).
	[fd3fc5a1e303] <5.13-maint>

	* lib/project.py, lib/pyproject.toml:
	Refactored the use of apply_defaults(). The sip module no longer has
	to be specified.
	[3c4173b0d75f] <5.13-maint>

	* lib/project.py:
	Set the new bindings factories.
	[47d0f553c501] <5.13-maint>

	* lib/project.py, lib/pyproject.toml:
	The Qt module no longer needs special handling. Changed the section
	containing the meta-data.
	[63a6a48e6770] <5.13-maint>

2019-08-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Refactored now that PyQtBindingsMetadata is gone.
	[16de36f846ec] <5.13-maint>

2019-08-27  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Fixed the test for QAxContainer.
	[916b8b913924] <5.13-maint>

2019-08-26  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py, lib/pyproject.toml:
	Updated the sip v5 support for the API name changes.
	[4c0f8a7f88fd] <5.13-maint>

2019-08-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Fixed all issues with the remaining bindings.
	[f37e9ef838a3] <5.13-maint>

	* lib/project.py:
	Implemented the remaining bindings.
	[1e2ef76a47ce] <5.13-maint>

	* lib/project.py:
	Don't assume the Qt module is to be built.
	[bc247bedc415] <5.13-maint>

	* lib/project.py:
	Console scipts are now specified as a configuration option.
	[1e4a1788f309] <5.13-maint>

2019-08-23  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Fixed the composite module for Windows.
	[611298e3bc77] <5.13-maint>

	* lib/project.py:
	Fixes for the dbus module.
	[3148de68558f] <5.13-maint>

	* lib/project.py:
	Buildable related changes.
	[bd807a9fa3c1] <5.13-maint>

	* lib/project.py:
	Fixes for building the dbus module.
	[d6293ad4dc63] <5.13-maint>

2019-08-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Added support for the dbus module (untested).
	[07c0d55d212f] <5.13-maint>

	* lib/project.py:
	Tweaked an error message.
	[50c748462641] <5.13-maint>

	* lib/project.py:
	Disable the plugins if the user doesn't have write permission on the
	target directory.
	[e67441bfc327] <5.13-maint>

	* lib/project.py:
	The plugins now get written to .dist-info (even though pip will not
	remove them).
	[21f584b4216a] <5.13-maint>

2019-08-21  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Added the QtNetwork and QtQml bindings.
	[8d01741428f0] <5.13-maint>

	* lib/project.py:
	Added the QtGui, QtWidgets and QtDesigner bindings.
	[4fad5b30c128] <5.13-maint>

	* lib/configure.py:
	Fixed the handling of the output of test programs.
	[dd545829885d] <5.13-maint>

	* lib/project.py:
	Don't build the plugins when building a wheel.
	[928a6392fa3c] <5.13-maint>

	* lib/project.py:
	Added the Designer and qmlscene plugins (untested).
	[5d20e4548775] <5.13-maint>

	* qpy/QtCore/qpycore_qt_conf.cpp:
	Fixed building with a Qt namespace defined.
	[2b38bc74866c] <5.13-maint>

2019-08-20  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Added the console scripts.
	[cb2e037d6d79] <5.13-maint>

	* lib/project.py:
	Mark the Qt module as internal.
	[4d52a067ce6a] <5.13-maint>

	* lib/project.py:
	Added the pylupdate and pyrcc modules.
	[70ffa53c1c91] <5.13-maint>

	* lib/project.py:
	The composite Qt module is now installed.
	[2ccc57847870] <5.13-maint>

	* lib/project.py:
	The uic module is no installed.
	[32ee729ed3a5] <5.13-maint>

	* lib/project.py:
	Added support for the (deprecated) PYQT_CONFIGURATION.
	[98b19464eea8] <5.13-maint>

	* lib/project.py:
	Added support for __init__.py.
	[ca97101a3212] <5.13-maint>

2019-08-19  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	project.py fixes.
	[3ce196e5fb8d] <5.13-maint>

2019-08-16  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Replace calls to information() by calls to progress().
	[3f6488f3bd12] <5.13-maint>

2019-08-13  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	The Windows search for the Qt DLLs no longer raises an exception in
	case the application has already taken steps which it doesn't know
	about.
	[04d7981c0826] <5.13-maint>

2019-08-12  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	On Windows the directory containing sys.executable is also searched
	for the QtCore DLL.
	[9fe8c15ff93e] <5.13-maint>

2019-08-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Ensure that connectSlotsByName() doesn't leave a (benign) Python
	exception lying around.
	[214cce9442c9] <5.13-maint>

2019-08-05  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/__init__.py:
	Fixed the support for custom widgets when using loadUiType().
	[24c37fd0e8c1] <5.13-maint>

2019-07-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_event_handlers.cpp,
	qpy/QtCore/qpycore_event_handlers.h,
	qpy/QtCore/qpycore_public_api.cpp:
	Further tweaks to the QObject monitoring.
	[a5562b4e4149] <5.13-maint>

2019-07-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_event_handlers.cpp,
	qpy/QtCore/qpycore_public_api.cpp:
	Some tweaks to the QObject monitoring.
	[60ba3d9a5c07] <5.13-maint>

	* qpy/QtCore/qpycore_event_handlers.cpp:
	Fixed a silly build bug.
	[edc4c50ea2ce] <5.13-maint>

2019-07-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Implemented the handling of the QtCore configuration tests.
	[26289542aacd] <5.13-maint>

	* qpy/QtCore/qpycore_event_handlers.cpp,
	qpy/QtCore/qpycore_event_handlers.h,
	qpy/QtCore/qpycore_public_api.cpp:
	Disable the QObject monitoring when shutting down.
	[4be58ad217b5] <5.13-maint>

2019-07-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	Added the QtCore bindings meta-data.
	[685feae56e24] <5.13-maint>

2019-07-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py:
	project.py now treats the license.py file as a data file.
	[d10befd49da0] <5.13-maint>

	* lib/project.py, lib/pyproject.toml:
	Implemented the license checking in project.py.
	[77e0f0342bd3] <5.13-maint>

2019-07-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/project.py, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	rb-product:
	All Python owned QObject instances are now destroyed before the
	QCoreApplication instance.
	[2f419c7ebaae] <5.13-maint>

2019-07-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	Add support for the PyQt_WebChannel feature needed by PyQtWebEngine.
	[5e8c7d1796c5] <5.13-maint>

2019-07-19  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/project.py, lib/pyproject.toml:
	Added the stubs of the new build system.
	[5da52a42d076] <5.13-maint>

2019-07-17  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Use sip5-distinfo if available.
	[4361f5386d85] <5.13-maint>

	* PyQt5.msp:
	Added the missing QObject.disconnect(QMetaObject.Connection).
	[aef036220269] <5.13-maint>

2019-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed some (now redundant) Python v2 code in the QString
	convertor.
	[80b0bf28af84] <5.13-maint>

2019-07-11  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qpycore_qstring.cpp:
	Fixed the conversion of Unicode objects with Python v2.
	[81b34c9373b6] <5.13-maint>

2019-07-04  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.13.0 for changeset 1592be9a7612
	[93850ecc1e96]

	* NEWS:
	Released as v5.13.0.
	[1592be9a7612] [5.13.0]

	* qpy/QtNetwork/qpynetwork_qhash.sip:
	Fixed the conversion of the result of
	QNetworkCacheMetaData.attributes().
	[7a790979cc76]

2019-07-02  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[4f43ce95dd35]

2019-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed building against Qt v5.13.0 on Windows.
	[20b114bd92ba]

	* lib/configure.py:
	Fix building with sip5 on Windows.
	[4ee512d20432]

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixes for building against Python v2.
	[e5dd514fdba6]

2019-06-30  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	We stopped updating after a new patch version of Qt.
	[fa00587b11b3]

2019-06-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtTest, QtWebChannel, QtWebSockets, QtWidgets, QtXml and
	QtXmlPatterns to Qt v5.13.0.
	[5a6b19710480]

	* PyQt5.msp:
	Updated QtQml, QtQuick, QtQuickWidgets, QtRemoteObjects, QtSensors,
	QtSerialPort, QtSql and QtSvg for Qt v5.13.0.
	[1efbbbdd5935]

2019-06-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtPrintSupport/qpyprintsupport_qlist.sip:
	Updated QtPositioning and QtPrintSupport for Qt v5.13.0.
	[88f1e11d6196]

2019-06-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtNetworkAuth, QtNfc and QtOpenGL for Qt v5.13.0.
	[c7c509085f3a]

	* PyQt5.msp:
	Updated QtLocation, QtMultimedia, QtMultimediaWidgets and QtNetwork
	for Qt v5.13.0.
	[bcbfd98dfbc7]

	* PyQt5.msp, lib/SubclassCode/QtHelp.versions:
	Updated QtHelp for Qt v5.13.0.
	[717494d15859]

	* PyQt5.msp:
	Updated QtDBus, QtDesigner and QtGui for Qt v5.13.0.
	[b8478519a504]

	* QAxContainer/qaxbase.sip:
	Updated QAxContainer for Qt v5.13.0.
	[8e09194d3ed2]

	* PyQt5.msp, lib/SubclassCode/QtCore.versions:
	Updated QtBluetooth and QtCore for Qt v5.13.0.
	[140145f8f1a8]

2019-06-25  Phil Thompson  <phil@riverbankcomputing.com>

	* Merged the v5.12.3 release.
	[be2545659bbb]

	* .hgtags:
	Added tag 5.12.3 for changeset 8c3a9f671ec5
	[c110974325ce] <5.12-maint>

	* NEWS:
	Released as v5.12.3.
	[8c3a9f671ec5] [5.12.3] <5.12-maint>

	* NEWS:
	Updated the NEWS file.
	[6b074b64e411] <5.12-maint>

	* lib/configure.py, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_post_init.cpp.in, qpy/QtCore/qpycore_qt_conf.cpp:
	The support for qt.conf is now enabled at run time rather than
	compile time.
	[59568b1d96e6] <5.12-maint>

	* lib/configure.py:
	Fixed __init__.py on Windows for the bundled copy of OpenSSL.
	[e84650f7cf69] <5.12-maint>

2019-06-24  Phil Thompson  <phil@riverbankcomputing.com>

	* Merged the lates 5.12-maint changes.
	[bf79e402f77f]

	* PyQt5.msp:
	QObject.__getattr__() now accepts a utf-8 encoded attribute name.
	[8d83d3192363] <5.12-maint>

	* lib/configure.py:
	Fixes for Python v3.8 on Windows.
	[f42c4fc95380] <5.12-maint>

2019-06-20  Phil Thompson  <phil@riverbankcomputing.com>

	* Merged the 5.12-maint branch.
	[5dcb488f8a1e]

	* PyQt5.msp:
	Added support for Qt v5.12.4.
	[8f10c119b8c0] <5.12-maint>

	* lib/configure.py:
	Added the --abi-version option to configire.py.
	[0769b17197a0] <5.12-maint>

2019-06-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QCoreApplication can now be used as a context manager.
	[8c5ae57d1d1b] <5.12-maint>

2019-06-17  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Update configure.py for the latest sip5 changes.
	[2c5923582a51] <5.12-maint>

2019-06-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added WA_ContentsMarginsRespectsSafeArea as if it as added in Qt
	v5.11.0 although it was actually added (undocumented) in Qt v5.10.1.
	[f846f255111c] <5.12-maint>

2019-05-22  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/compiler.py, pyuic/uic/__init__.py,
	pyuic/uic/uiparser.py:
	Make pyuic more resilient when given non-ui files.
	[7f9ad7d2b87d] <5.12-maint>

2019-05-06  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.12.2 for changeset 37e48229d59a
	[bec1f0ae4bd3] <5.12-maint>

	* NEWS:
	Released as v5.12.2.
	[37e48229d59a] [5.12.2] <5.12-maint>

	* NEWS:
	Updated the NEWS file.
	[d5e5edec0d1d] <5.12-maint>

2019-05-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed the sub-class convertor code for QGraphicsVideoItem as the
	assumption it is based on is too unsafe.
	[350a409dc097] <5.12-maint>

	* PyQt5.msp:
	Renamed the True and False members of QCborSimpleType.
	[ef294140ba74] <5.12-maint>

2019-04-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated for Qt v5.12.3.
	[2477434943e9] <5.12-maint>

2019-04-15  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Check that sip5-module ran successfully.
	[1db5050c67fe] <5.12-maint>

2019-04-14  Phil Thompson  <phil@riverbankcomputing.com>

	* config-tests/cfgtest_QtCore.cpp, lib/configure.py:
	Use sip v5 if it is installed.
	[604795867c85] <5.12-maint>

	* PyQt5.msp:
	Added QOpenGLContext.getProcAddress().
	[4cdfeee895e1] <5.12-maint>

2019-04-02  Phil Thompson  <phil@riverbankcomputing.com>

	* rb-product:
	Added the 'RequiresDist' field to the product file.
	[273e02f87c28] <5.12-maint>

2019-04-01  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/pylupdate/fetchtr.cpp:
	Added support for Python fstrings to pylupdate.
	[1000b6b9b7a8] <5.12-maint>

2019-03-19  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.12.1 for changeset 19c22cf8059b
	[33d51713a566] <5.12-maint>

	* NEWS:
	Released as v5.12.1.
	[19c22cf8059b] [5.12.1] <5.12-maint>

	* PyQt5.msp:
	Fixed QIcon(QIconEngine) to reflect that the engine is explicitly
	shared between every copy of the icon.
	[85ce20a0fa09] <5.12-maint>

2019-03-18  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[cc3a848d0b27] <5.12-maint>

2019-03-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated for Qt v5.12.2.
	[71df8ce4b154] <5.12-maint>

2019-03-06  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp, qpy/QtQml/qpyqmlobject.h:
	Eliminated a warning message from QObject::connect() in (hopefully)
	benign circumstances.
	[0950192b85ee] <5.12-maint>

	* qpy/QtQuick/qpyquickitem.cpp, qpy/QtQuick/qpyquickitem.h:
	Increased the number of QQuickItem types that can be registered from
	30 to 60.
	[1916f00c5b9e] <5.12-maint>

	* PyQt5.msp:
	Fixed the QPolygon ctors that take a list argument so that
	unpickling works.
	[329dbcbceeb7] <5.12-maint>

2019-02-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated sub-class convertors to switch to the QObject convertor
	rather than resolve (in a limited way) QObject based QGraphicItems.
	Make sure the QObject base type is always used when switching.
	[e83237b00873] <5.12-maint>

2019-02-19  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py:
	Fixed pyuic's handling of 'sizePolicy' properties.
	[23a0e1edccc3] <5.12-maint>

	* qpy/pylupdate/fetchtr.cpp:
	Fixed pylupdate to handle empty strings at the end of a line so that
	the line number remains correct.
	[df2d5e1f4012] <5.12-maint>

2019-02-04  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.12 for changeset 526660b54717
	[41a56ae09f54]

	* NEWS:
	Released as v5.12.
	[526660b54717] [5.12]

	* PyQt5.msp:
	Fixed the QNearFieldManager.adapterStateChanged() signal.
	[bc192094e603]

2019-02-02  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Updated for Qt v5.12.1.
	[e02bdf1210e0]

2019-01-25  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQml/qpyqmlvalidator.cpp,
	qpy/QtQml/qpyqmlvalidator.h:
	Added support for QML validators implemented in Python.
	[e5fedd29154f]

2019-01-24  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/compiler.py, pyuic/uic/__init__.py:
	More PEP8-related updates for pyuic.
	[a059eeb3140a]

2019-01-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Replaced the PyQtFlags class annotation with PyQtFlagsEnums.
	[9a261dc29075]

2019-01-04  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py:
	Added UInt as a property type in pyuic.
	[40e805c9b888]

2019-01-02  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/compiler.py:
	Improve the PEP 8 compatibility for pyuic generated output.
	[ca3cda506000]

2018-12-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed a type hint in QtRemoteObjects.
	[b8cca9cc8457]

2018-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the QtRemoteObjects support.
	[76378a026396]

	* PyQt5.msp:
	Added the QtRemoteObjects sub-class convertor code.
	[7cb90f77fd20]

	* lib/SubclassCode/mksccode.py:
	Updated the convertor code generator for PyQt5.sip.
	[626bc555459b]

	* PyQt5.msp:
	Implemented the easy-to-implement QtRemoteObjects support.
	[11eab8cc583c]

	* examples/remoteobjects/simpleswitch/registryconnecteddynamicclient.p
	y, examples/remoteobjects/simpleswitch/registryconnecteddynamicserve
	r.py:
	Added the registry based remote objecst examples.
	[e07030366ec0]

	* examples/remoteobjects/simpleswitch/directconnectdynamicserver.py:
	Updated the directconnectdynamicserver.py.
	[b857b5a82573]

	* examples/remoteobjects/simpleswitch/directconnectdynamicserver.py:
	Added the (almost working correctly) directconnectdynamicserver.py
	example.
	[4553381e1277]

	* METADATA.in:
	Corrected the wheel meta-data version.
	[b163e65ec668]

2018-12-20  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera_storage.cpp:
	Eliminated a Qt warning message creating a QVariant using
	QMetaType::Void.
	[564438b84b2f]

	* NEWS:
	Updated the NEWS file.
	[bcfd0754696a]

	* PyQt5.msp, examples/remoteobjects/modelview/modelviewclient.py,
	examples/remoteobjects/modelview/modelviewserver.py,
	examples/remoteobjects/modelviewclient.py,
	examples/remoteobjects/modelviewserver.py,
	examples/remoteobjects/simpleswitch/directconnectdynamicclient.py:
	The new directconnectdynamicclient.py example now works.
	[bd087d02a6b1]

	* NEWS, PyQt5.msp, examples/remoteobjects/modelviewclient.py,
	examples/remoteobjects/modelviewserver.py:
	Added QLoggingCategory. Added the modelviewserver.py example.
	Implented enough of QtRemoteObjects to get the modelviewserver.py
	example working.
	[80c51fb955bb]

2018-12-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, examples/remoteobjects/modelviewclient.py,
	lib/configure.py:
	Implemented enough of the QtRemoteObjects module to get the
	modelviewclient.py example working.
	[586d4ec8eb82]

2018-12-18  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed a resource leak checking for DBus.
	[8d423b88dcf0]

2018-12-15  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[075f600af089]

	* PyQt5.msp:
	Added the relevant CBOR classes.
	[2e235bbf660d]

	* PyQt5.msp:
	Implemented QQmlEngine.singletonInstance().
	[45375a4fded3]

	* PyQt5.msp:
	Ignore the QDtls and QDtlsClientVerifier classes introduced in Qt
	v5.12.0 because they don't seem to be supported by any of the
	platform binaries in the Qt installers.
	[006bef3a246d]

2018-12-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtWidgets for Qt v5.12.0.
	[92f046e8c5c6]

	* PyQt5.msp:
	Updated QtQuick, QtQuickWidgets, QtSensors, QtSerialPort, QtSql,
	QtSvg, QtTest, QtWebChannel, QtWebSockets, QtXml and QtXmlPatterns
	for Qt v5.12.0.
	[37a880df34aa]

	* PyQt5.msp:
	Updated QtOpenGL, QtPositioning, QtPrintSupport and QtQml for Qt
	v5.12.0.
	[26322bf5acc5]

2018-12-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtLocation, QtMultimedia, QtMultimediaWidgets, QtNetwork,
	QtNetworkAuth and QtNfc for Qt v5.12.0.
	[fcba8fd3d8d0]

2018-12-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtDBus, QtDesigner, QtGui and QtHelp for Qt v5.12.0.
	[493f362800b2]

	* PyQt5.msp, qpy/QtCore/qpycore_qhash.sip,
	qpy/QtCore/qpycore_qvector.sip:
	Completed the Qt v5.12.0 QtBluetooth support.
	[8f901ebcac32]

2018-12-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Initial Qt v5.12 support for QtBluetooth and QtCore.
	[609022b4751d]

2018-12-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	configure.py fix for win32-g++.
	[7a74847749f9]

2018-12-02  Phil Thompson  <phil@riverbankcomputing.com>

	* rb-product:
	The minimum sip version is v4.19.14 which contains fixes for overlow
	checking.
	[52471f590b70]

	* NEWS, qpy/QtCore/qpycore_post_init.cpp.in:
	Overflow checking is now enabled by default.
	[083e9d277c13]

2018-12-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixes for QTextStream::operator<<().
	[12c7bf9d27f0]

2018-11-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed QByteArray.number() and QByteArray.setNum().
	[7f8138f4cad4]

2018-11-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtBluetooth/qpybluetooth_quint128.sip:
	Fixed the quint128 TypeHint annotation.
	[0aec591095b8]

2018-10-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtWebEngine.versions,
	lib/SubclassCode/QtWebEngineWidgets.versions, lib/configure.py:
	Removed the QtWebEngine modules.
	[93af6f0713f9]

	* pyuic/uic/objcreator.py:
	Removed the deprecated 'U' flag to open().
	[20ea662166ae]

2018-10-25  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtslot.h, qpy/QtCore/qpycore_types.cpp:
	A slot in a mixin will override a slot with the same signature in a
	super-class mixin when building a dynamic QMetaObject.
	[6d6432ea1881]

2018-10-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed an exception message typo.
	[6c0576316836]

2018-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* Merged the 5.11-maint branch with the trunk.
	[8b92b6d9074b]

2018-10-01  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.11.3 for changeset f1e0b5e6688c
	[77330a07214f] <5.11-maint>

	* NEWS:
	Released as v5.11.3.
	[f1e0b5e6688c] [5.11.3] <5.11-maint>

2018-09-30  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[231e5ffd7681] <5.11-maint>

2018-09-29  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/draganddrop/dropsite.py:
	Backed out changeset e2ced9c16e81 The root cause was the bug in
	QByteArray.__getitem__().
	[9e7736e27ccc] <5.11-maint>

	* PyQt5.msp:
	Fixed QByteArrat.at() and __getitem__() to return a byte with Python
	v3.
	[8dd77fcfeebb] <5.11-maint>

	* examples/draganddrop/dropsite.py:
	Fixed a bug in dropsite.py when dropping unknown binary data.
	[e2ced9c16e81] <5.11-maint>

	* examples/opengl/grabber.py, examples/opengl/hellogl.py,
	examples/opengl/openglwindow.py, examples/opengl/overpainting.py,
	examples/opengl/textures/textures.py:
	Updated the OpenGL examples to explicitly set a supported OpenGL
	version.
	[555ef35e97c1] <5.11-maint>

	* PyQt5.msp:
	Added support for Qt v5.11.2.
	[8038a93084ba] <5.11-maint>

2018-09-14  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing qInfo().
	[46bbf46f79e7] <5.11-maint>

2018-08-13  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_enums_flags.cpp:
	Fixed a build problem with Python v2.
	[972751e6e1a4] <5.11-maint>

2018-07-31  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Fixed a regression in the handling of signals with 'const char *'
	arguments.
	[2c91b80b4e5d] <5.11-maint>

2018-07-20  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_enums_flags.cpp:
	Work around a build problem with Python v2.7 and later (unsupported)
	versions of MSVC.
	[744cc5f4c8fa] <5.11-maint>

	* lib/configure.py:
	Removed the checks for PyQt5.sip as (for a clean installation) there
	won't be a __init__.py file.
	[dd65db4cd291] <5.11-maint>

2018-07-15  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed a regression in the handling of extension module names on
	Windows.
	[80b4604973e5] <5.11-maint>

2018-07-14  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the dist-info support for static builds.
	[03b569aa406e] <5.11-maint>

	* lib/configure.py:
	Don't try to import PyQt5.sip when building a static version.
	[802e93d1791d] <5.11-maint>

2018-07-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Renamed QRandomGenerator.global() to global_().
	[598e976dbe41] <5.11-maint>

2018-07-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qmetaobjectbuilder.h,
	qpy/QtCore/qpycore_types.cpp:
	Fixes for when building against Qt v5.8.* and v5.9.*.
	[d61ea9439728] <5.11-maint>

2018-07-04  Phil Thompson  <phil@riverbankcomputing.com>

	* designer/pluginloader.cpp, qmlscene/pluginloader.cpp:
	Fixed the qmlscene and designer plugins to use the private copy of
	the sip module.
	[079b562d29c9] <5.11-maint>

	* lib/configure.py:
	Reverted the limited API version to v3.4.
	[599442a49892] <5.11-maint>

	* lib/configure.py:
	Fixed a quoting problem when invoking mk_distinfo.py.
	[b04abe4f35ad] <5.11-maint>

	* test/tests/classes/test_QByteArray.py:
	Added the unit test for QByteArray slicing.
	[aab96301063b] <5.11-maint>

	* lib/configure.py:
	The mk_distinfo.py script now takes a temporary installation
	directory as an additional argument.
	[bd3096b5b8aa] <5.11-maint>

	* lib/configure.py:
	Fixes for invoking mk_distinfo.py with out-of-tree builds.
	[3ca1bb19225f] <5.11-maint>

2018-07-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qvariant_value.cpp:
	Fixed a bug detecting a failed conversion to a QVariantMap.
	[0ebb8b9619d8] <5.11-maint>

2018-06-29  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.11.2 for changeset eae29c8c2da9
	[f9dd92207f27] <5.11-maint>

	* NEWS:
	Released as v5.11.2.
	[eae29c8c2da9] [5.11.2] <5.11-maint>

	* NEWS:
	Updated the NEWS file.
	[214d3a264b0e] <5.11-maint>

	* NEWS, lib/configure.py:
	Documented and checked the availability of the enum34 module.
	[580e69901a87] <5.11-maint>

	* test/tests/metaobject/test_qenum.py:
	Fixed the enum tests for Python v2.
	[5a5a9d928414] <5.11-maint>

2018-06-26  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	The type parser will now retry without typedefs expanded if it fails
	with them expanded. This fixes signal argument types like
	QVector<qreal>.
	[e737f4c40ec9] <5.11-maint>

	* PyQt5.msp:
	Fixed the remaining broken signals.
	[58f88366d063] <5.11-maint>

2018-06-25  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Handle 'const' when parsing C++ types as it can occur in signal
	arguments.
	[4d0a42b79c8e] <5.11-maint>

	* NEWS, PyQt5.msp:
	Updated the project file format version.
	[67a00c5666c4] <5.11-maint>

	* PyQt5.msp, rb-product:
	Replaced the /StripScope/ with the /ScopesStripped/ annotation.
	[5e2c10455770] <5.11-maint>

	* PyQt5.msp:
	Fixed the QGraphicsBlurEffect.blurHintsChanged() signal.
	[86710c30a455] <5.11-maint>

	* NEWS, qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp:
	Added the signatures attribute to unbound signals.
	[db2ecffd264c] <5.11-maint>

	* PyQt5.msp:
	Fixed the QDnsLookup.typeChanged() signal.
	[5e524eb73a1f] <5.11-maint>

2018-06-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed QGuiApplication.applicationDisplayNameChanged().
	[7062dc247c88] <5.11-maint>

	* lib/configure.py:
	The .dist-info directory respects $(INSTALL_ROOT).
	[93978a369f09] <5.11-maint>

2018-06-23  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.11.1 for changeset e68a890ea6b8
	[30525c4119d4] <5.11-maint>

	* NEWS:
	Released as v5.11.1.
	[e68a890ea6b8] [5.11.1] <5.11-maint>

2018-06-22  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.11 for changeset 8f5d26af2746
	[343a84f97ac6]

	* NEWS:
	Released as v5.11.
	[8f5d26af2746] [5.11]

2018-06-21  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[df06aa4d7841]

	* NEWS, PyQt5.msp:
	Updated for Qt v5.11.1.
	[552f32ca0216]

2018-06-18  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Put the check for the private sip module in the right place.
	[0ee45a8ed20f]

2018-06-17  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	configure.py now checks for a private copy of the sip module.
	[c431be7c36bd]

	* lib/configure.py, rb-product:
	Use a private copy of the sip module. SIP v4.19.9 is now required.
	[7c9bae40b66c]

2018-06-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QWebEngineCookieScore.setFilter() should no longer leak any previous
	filter.
	[55cef5311fc3]

	* PyQt5.msp:
	Fixed garbage collection issues with
	QWebEngineCookieStore.setCookieFilter() again.
	[69f69256e752]

2018-06-11  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed garbage collection issues with
	QWebEngineCookieStore.setCookieFilter().
	[28340dc8210e]

	* PyQt5.msp:
	Updated QtWidgets for Qt v5.11.0.
	[aeee6c28cebd]

	* PyQt5.msp:
	Fixed the building of QAbstractItemModelTester because of bugs in
	qabstractitemmodeltester.h in Qt v5.11.0.
	[b31a523572d9]

2018-06-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtXml and QtXmlPatterns for Qt v5.11.0.
	[39851da4cb5f]

	* PyQt5.msp:
	Updated QtWebChannel, QtWebEngine, QtWebEngineCore,
	QtWebEngineWidgets and QtWebSockets for Qt v5.11.0.
	[8b60186848da]

2018-06-09  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtSensors, QtSerialPort, QtSql, QtSvg and QtTest for Qt
	v5.11.0.
	[1a85a313a769]

	* PyQt5.msp:
	Updated QtPositioning, QtPrintSupport, QtQml, QtQuick and
	QtQuickWidgets for Qt v5.11.0.
	[3343307dbde7]

	* PyQt5.msp:
	Updated QtNetwork, QtNetworkAuth, QtNfc and QtOpenGL for Qt v5.11.0.
	[fd21e0bf4512]

	* PyQt5.msp:
	Updated QtMultimedia and QtMultimediaWidgets for Qt v5.11.0.
	[9ba81ca7ac0a]

	* qpy/QtCore/qpycore_qvariantmap.cpp,
	qpy/QtCore/qpycore_qvariantmap.sip:
	Added the missing QVariantMap convertors to the repo.
	[d9e1bccb7abd]

	* PyQt5.msp, qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h:
	QVariantMap is now implemented by a dedicated mapped type so that is
	can be used as an argument to mapped type templates. Updated QtHelp
	and QtLocation for Qt v5.11.0.
	[b22b2c737a0c]

2018-06-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtDBus, QtDesigner and QtGui for Qt v5.11.0.
	[f3bbee99095b]

	* PyQt5.msp:
	Updated QtBluetooth and QtCore for Qt v5.11.0.
	[e7804e2e16ba]

2018-06-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed the internal QTest methods that have been removed in Qt
	v5.11.0.
	[33c3ec619c2f]

	* Merged the 5.10-maint branch.
	[53a61440fa64]

2018-06-06  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp, qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.h:
	connect() of a bound signal now returns a QMetaObject.Connection
	object. disconnect() of a bound signal now accepts a
	QMetaObject.Connection object.
	[edb17999d00d] <5.10-maint>

2018-06-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qmetaobjectbuilder.h,
	qpy/QtCore/qpycore_types.cpp:
	Python enums are only marked as scoped in a QMetaObject in Qt v5.8.0
	and later.
	[1ba6f6a7f02b] <5.10-maint>

	* NEWS, PyQt5.msp, qpy/QtCore/qpycore_enums_flags.cpp,
	qpy/QtCore/qpycore_enums_flags.h,
	qpy/QtCore/qpycore_qmetaobjectbuilder.h,
	qpy/QtCore/qpycore_types.cpp, test/tests/metaobject/test_qenum.py:
	Added support for Python enums to Q_ENUM() etc.
	[3767261498bf] <5.10-maint>

	* PyQt5.msp, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_enums_flags.cpp,
	qpy/QtCore/qpycore_enums_flags.h,
	test/tests/metaobject/test_qenum.py:
	Implemented Q_ENUM() and Q_FLAG().
	[0929ceb1de64] <5.10-maint>

	* test/tests/metaobject/test_qenum.py:
	Added unit tests for Q_ENUMS and Q_FLAGS.
	[bfea3882d8c8] <5.10-maint>

2018-06-04  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, lib/mk_distinfo.py:
	Removed mk_distinfo.py as it is now added as part of preparation.
	[3cbde28585b0] <5.10-maint>

	* NEWS, lib/configure.py, lib/mk_distinfo.py:
	Completed the support for the .dist-info directory.
	[49eee7a59afe] <5.10-maint>

2018-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, lib/mk_distinfo.py:
	Added the stub for creating the .dist-info directory.
	[7082da319e5d] <5.10-maint>

2018-05-29  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	More fixes for spaces in path names.
	[f1c6525f5245] <5.10-maint>

	* lib/configure.py:
	Fixes for spaces in path names.
	[b5f8125345a5] <5.10-maint>

2018-05-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QQuickWidget.setSource() now releases the GIL.
	[fa1ca7902278] <5.10-maint>

2018-05-02  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgignore:
	Ignore compiled QML files.
	[88c4b4aff111] <5.10-maint>

	* designer/pluginloader.cpp:
	Make sure the GIL isn't retained by the Designer plugin.
	[2a1461190bee] <5.10-maint>

2018-04-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the explicit Qt v5.9 LTS versions to the timeline. The
	previous approach (of adding a single high version number doesn't
	work because sip does a string comparison on the tag and doesn't
	interpret the embedded numbers).
	[6105adee4a9f] <5.10-maint>

2018-04-12  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[190602cb95d1] <5.10-maint>

	* NEWS, PyQt5.msp:
	Added the missing inputMethod() and styleHints() method to
	QGuiApplication.
	[79a97a665db6] <5.10-maint>

2018-04-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQuick/qpyquickframebufferobject.cpp,
	qpy/QtQuick/qpyquickframebufferobject.h,
	qpy/QtQuick/qpyquickitem.cpp, qpy/QtQuick/qpyquickitem.h,
	qpy/QtQuick/qpyquickpainteditem.cpp,
	qpy/QtQuick/qpyquickpainteditem.h, qpy/QtQuick/qpyquickview.cpp,
	qpy/QtQuick/qpyquickview.h, qpy/QtQuick/qpyquickwindow.cpp,
	qpy/QtQuick/qpyquickwindow.h:
	Improved the fix for QtQuick meta-objects so that the
	customgeometry.py example works again.
	[7facd5e24cbb] <5.10-maint>

	* examples/quick/tutorials/extending/chapter1-basics/chapter1-basics.p
	y:
	Improved fixes for the QtQuick tutorial chapter 1 example.
	[2eb1ae9d235f] <5.10-maint>

	* qpy/QtQuick/qpyquickframebufferobject.h, qpy/QtQuick/qpyquickitem.h,
	qpy/QtQuick/qpyquickpainteditem.h, qpy/QtQuick/qpyquickview.h,
	qpy/QtQuick/qpyquickwindow.h:
	Fixed the handling of QQuickItem and similar classes so that the
	correct meta-object is returned by metaObject().
	[8bf883e1619f] <5.10-maint>

	* examples/quick/tutorials/extending/chapter1-basics/chapter1-basics.p
	y:
	Fixed a warning in one of the QtQuick examples.
	[baaefd519f7e] <5.10-maint>

2018-04-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/pylupdate/fetchtr.cpp:
	The pylupdate expression parser can now handle more expressions.
	[f9c40ec61b7c] <5.10-maint>

2018-04-05  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/quick/models/abstractitemmodel/abstractitemmodel_rc.py,
	examples/quick/models/objectlistmodel/objectlistmodel_rc.py,
	examples/quick/models/stringlistmodel/stringlistmodel_rc.py:
	Regenerated the resource files in the examples that embed .qml
	files.
	[e64325318426] <5.10-maint>

	* qpy/pyrcc/rcc.cpp:
	Fixed the handling of v2 format rcc files that affects embedded .qml
	files.
	[a5bb57d5a578] <5.10-maint>

2018-03-28  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qobject_helpers.cpp:
	Fixed QObject.inherits() when applied to a Python sub-class of a C++
	sub-class of QObject.
	[66270559fa89] <5.10-maint>

	* test/tests/classes/test_QObject.py:
	Added the unit test for the failing QObject.inherits() when called
	for a Python sub-class of a C++ class that is a sub-class of
	QObject.
	[9d6daf4a95ef] <5.10-maint>

2018-03-27  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp:
	Signal signatures can now have a full version appended if a
	namespace has been stripped from any argument.
	[7815d8ce482d] <5.10-maint>

2018-03-21  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/quick/models/abstractitemmodel/abstractitemmodel.py,
	examples/quick/models/objectlistmodel/objectlistmodel.py,
	examples/quick/models/stringlistmodel/stringlistmodel.py:
	Further fixes to the QtQuick examples that embed the QML is a
	resource file.
	[addc5cf26db3] <5.10-maint>

2018-03-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing QSqlQuery.exec() overload for Python v3.
	[6a196c11e14d] <5.10-maint>

2018-03-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Implemented glReadPixels(). (Thanks to Jayson Kempinger.)
	[e65865275584] <5.10-maint>

2018-03-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Set the limited API to v3.7.0.
	[5ab0e4c014a6] <5.10-maint>

	* PyQt5.msp:
	Replaced calls to PySlice_GetIndicesEx() with
	sipConvertFromSliceObject().
	[c732d9f55a63] <5.10-maint>

	* PyQt5.msp, qpy/QtQuick/qpyquick_register_type.cpp,
	qpy/QtQuick/qpyquickview.cpp, qpy/QtQuick/qpyquickview.h,
	qpy/QtQuick/qpyquickwindow.cpp, qpy/QtQuick/qpyquickwindow.h:
	Handle QQuickWindow and QQuickView as special cases (cf. QQuickItem)
	when exposing sub-classes to QML.
	[78085eee5e7e] <5.10-maint>

2018-03-01  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/quick/models/abstractitemmodel/abstractitemmodel.py,
	examples/quick/models/objectlistmodel/objectlistmodel.py,
	examples/quick/models/stringlistmodel/stringlistmodel.py:
	Further fixes for the QtQuick examples.
	[5db868c90075] <5.10-maint>

	* examples/quick/models/objectlistmodel/objectlistmodel.py,
	examples/quick/models/stringlistmodel/stringlistmodel.py:
	Fixes for a couple of the QtQuick examples.
	[9d3b24c4012a] <5.10-maint>

2018-02-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	The connect() and disconnect() methods of QDBusConnection now
	release the GIL.
	[b07ff8dc7347] <5.10-maint>

	* NEWS:
	Fixed a typo in the NEWS file.
	[d624ede272dd] <5.10-maint>

2018-02-26  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.10.1 for changeset dc149e6643d5
	[71c3d60be239] <5.10-maint>

	* NEWS:
	Released as v5.10.1.
	[dc149e6643d5] [5.10.1] <5.10-maint>

2018-02-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the new QAbstractOAuth2 methods added in Qt v5.10.1.
	[b2ea22e58de6] <5.10-maint>

2018-02-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated for Qt v5.10.1.
	[e27d89dd3457] <5.10-maint>

2018-02-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing qmlClearTypeRegistrations() to the QtQml module.
	[c9a7040cb4a7] <5.10-maint>

2018-02-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed incorrect annotation on
	QQmlNetworkAccessManagerFactory::create().
	[6401ed81edee] <5.10-maint>

2018-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Removed some (hopefully) redundant code.
	[6e9e33411f41] <5.10-maint>

2018-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Make sure LTS releases of Qt v5.9 don't get handled as Qt v5.10.
	[8474d7f26f1f] <5.10-maint>

2018-02-04  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Added the --disabled-feature option to configure.py.
	[5a554278bbf0] <5.10-maint>

2018-01-31  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/quick/tutorials/extending/chapter1-basics/chapter1-basics.p
	y, examples/quick/tutorials/extending/chapter2-methods/chapter2-meth
	ods.py, examples/quick/tutorials/extending/chapter3-bindings/chapter
	3-bindings.py, examples/quick/tutorials/extending/chapter4-customPro
	pertyTypes/chapter4-customPropertyTypes.py, examples/quick/tutorials
	/extending/chapter5-listproperties/chapter5-listproperties.py:
	Avoid an assertion failure when using a debug version of Qt.
	[6eb406e64db8] <5.10-maint>

	* qpy/QtQml/qpyqml_register_singleton_type.cpp,
	qpy/QtQml/qpyqml_register_type.cpp:
	Reverted the change in PyQt v5.8 that dealt with QML and properties
	so that all the examples work again.
	[9eb53449681d] <5.10-maint>

2018-01-23  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.10 for changeset 9f68e48cf5f5
	[c18dad0e8eec]

	* NEWS:
	Released as v5.10.
	[9f68e48cf5f5] [5.10]

	* NEWS:
	Updated the NEWS file.
	[0f2753f9a303]

2018-01-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the %ConvertToSubClassCode for QtNetworkAuth.
	[b9783c0386aa]

	* PyQt5.msp:
	Implemented the remaining QtNetworkAuth methods.
	[73f3c9cc94ae]

2018-01-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixes to get QtNetworkAuth to build.
	[4d37b274bc0a]

	* lib/configure.py:
	Added support for QtNetworkAuth to configure.py.
	[4f516477a254]

	* qpy/QtCore/qpycore_qpair.sip:
	Implemented the mapped typ etemplate for QPair<T1, T2> needed by
	QtNetworkAuth.
	[4657c9ea8733]

2018-01-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added initial support for QtNetworkAuth.
	[ddbbb40ddf1e]

	* PyQt5.msp:
	Updated QtWidgets for Qt v5.10.0.
	[dadfd4f1295c]

	* PyQt5.msp:
	Updated QtTest, QtWebChannel, QtWebEngine, QtWebEngineCore,
	QtWebEngineWidgets and QtWebSockets for Qt v5.10.0.
	[83b53f46e600]

2018-01-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtPrintSupport, QtQml, QtQuick, QtQuickWidgets, QtSensors,
	QtSerialPort and QtSql for Qt v5.10.0.
	[6b6e25ea6792]

	* PyQt5.msp:
	Updated QtNetwork, QtNfc, QtOpenGL and QtPositioning for Qt v5.10.0.
	[743896f26ce5]

2018-01-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtLocation, QtMultimedia and QtMultimediaWidgets for Qt
	v5.10.0.
	[3289ec6e2f72]

	* PyQt5.msp:
	Updated QtGui for Qt v5.10.0.
	[fcec94307c8f]

	* PyQt5.msp:
	Updated QtDBus, QtDesigner, QtHelp, QtSvg, QtXml and QtXmlPatterns
	for Qt v5.10.0.
	[8fad1106423b]

2018-01-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qobject_helpers.cpp:
	Properly fixed a regression in QObject.inherits().
	[92cbc384946a]

	* PyQt5.msp:
	Finished updating QtCore for Qt v5.10.0.
	[3dcac7147ec6]

2018-01-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Started to update QtCore for Qt v5.10.0.
	[c18a11bf815d]

	* PyQt5.msp:
	Updated QtBluetooth for Qt v5.10.0.
	[df5635ee7bf6]

	* Merged the 5.9-maint branch into the trunk.
	[e973de99d35d]

2018-01-05  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Loader/qobjectcreator.py, pyuic/uic/widget-
	plugins/qtcharts.py:
	Fixed pyuic's handling of widget implemented in a C++ namespace
	(specifically QChartView).
	[338e6a251aee] <5.9-maint>

2017-12-20  Phil Thompson  <phil@riverbankcomputing.com>

	* pyrcc/pyrcc_main.py:
	Fixed the handling of arguments to pyrcc5.
	[7d9643a53c66] <5.9-maint>

	* lib/configure.py:
	Fixed out-of-tree builds.
	[573d3b66d402] <5.9-maint>

2017-12-16  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixes for building in a Windows venv.
	[1003c37c2cb5] <5.9-maint>

2017-12-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Die more gracefully when attempting to connect to a Python method
	with a non-ASCII name.
	[0d30a9b8441b] <5.9-maint>

2017-11-24  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py:
	Fixed a bug in loadUi() handling gradients.
	[0aef34d2beb2] <5.9-maint>

2017-11-23  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.9.2 for changeset 7fac90c2d528
	[02e55c83f900] <5.9-maint>

	* NEWS:
	Released as v5.9.2.
	[7fac90c2d528] [5.9.2] <5.9-maint>

	* PyQt5.msp:
	Updated for Qt v5.9.3.
	[5fffc2c72bd5] <5.9-maint>

2017-11-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added /NewThread/ to QRunnable::run().
	[17c89f899276] <5.9-maint>

2017-11-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_event_handlers.cpp:
	Ignore destroyed QObjects when there is no interpreter.
	[276966407f1c] <5.9-maint>

2017-11-18  Phil Thompson  <phil@riverbankcomputing.com>

	* QtAndroidExtras/qtandroid.sip:
	Fixed the name of the QtAndroid header file.
	[58b1a3f4108d] <5.9-maint>

	* QtAndroidExtras/qtandroid.sip:
	Fixed the name of the QtAndroid namespace.
	[87890f4acfe5] <5.9-maint>

2017-11-15  Phil Thompson  <phil@riverbankcomputing.com>

	* QtAndroidExtras/qtandroid.sip:
	Added the missing QtAndroid .sip file.
	[ee26f550ab15] <5.9-maint>

	* QtMacExtras/qmacpasteboardmime.sip, QtMacExtras/qmactoolbar.sip,
	QtMacExtras/qmactoolbaritem.sip:
	Fixed QtMacExtras for iOS.
	[058934cee148] <5.9-maint>

	* QtAndroidExtras/QtAndroidExtrasmod.sip:
	Added the QtAndroid namespace to QtAndroidExtras.
	[170c3a17042e] <5.9-maint>

2017-11-14  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Check that user supplied module names are valid.
	[b1154438a794] <5.9-maint>

2017-11-10  Phil Thompson  <phil@riverbankcomputing.com>

	* QtAndroidExtras/QtAndroidExtrasmod.sip,
	QtAndroidExtras/qandroidjniobject.sip, lib/configure.py:
	Added the QtAndroidExtras module containing a sub-set of the
	QAndroidJniObject class.
	[bad8eb717c80] <5.9-maint>

2017-11-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Restored QUrl.query() for Qt v5.9.0 and earlier.
	[3a40388e51bc] <5.9-maint>

2017-11-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Module .pro fixes for static builds.
	[08ccbbe1325c] <5.9-maint>

	* lib/configure.py:
	Extension modules on macOS are now bundles rather than shared
	libraries.
	[2f298782351f] <5.9-maint>

	* .hgtags:
	Added tag 5.9.1 for changeset 6a8d6710ba64
	[b68eec6b9b94] <5.9-maint>

	* NEWS:
	Released as v5.9.1.
	[6a8d6710ba64] [5.9.1] <5.9-maint>

	* lib/configure.py:
	Windows-specific fixes related to the detection of sip version
	mismatches.
	[2a30790477c1] <5.9-maint>

2017-11-01  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Further fixes for --sip-incdir.
	[4859965322a4] <5.9-maint>

	* lib/configure.py:
	Fixed the handling of the --sip-incdir option.
	[e1ac86a6bc52] <5.9-maint>

	* config-tests/cfgtest_QtCore.cpp, lib/configure.py:
	configure.py now makes sure that the version numbers of the sip code
	generator and sip.h match.
	[d5b36b960994] <5.9-maint>

	* lib/configure.py:
	Added the --allow-sip-warnings option to configure.py.
	[f4eebe2a30ee] <5.9-maint>

2017-10-31  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_event_handlers.cpp:
	Release the GIL when connecting a QObject monitor because of
	reported deadlocks.
	[f945685fa2b5] <5.9-maint>

2017-10-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added support for Qt v5.9.2.
	[f2ddcf108add] <5.9-maint>

	* PyQt5.msp:
	Rescanned QUrl with the fixed metasip to fix code that may not be
	able to be handled by old versions of GCC. There will probably be
	other cases but the only solution woukd be to rescan every single
	class.
	[dd92e57fbfaa] <5.9-maint>

2017-10-06  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed pyuic handling of margins of QWidgets that are not layout
	widgets.
	[ee2eef5d82ee] <5.9-maint>

2017-09-22  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed the default margins of nested layouts.
	[0e7d014185b6] <5.9-maint>

2017-09-06  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_event_handlers.cpp:
	Fixed a memory leak caused by multiple identical connections when
	monitoring a QObject's lifecycle.
	[0abf2886cbef] <5.9-maint>

2017-09-05  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/ipc/sharedmemory/sharedmemory.py:
	Fixed the shared memeory example.
	[718b731a63a8] <5.9-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_qlist.sip, qpy/QtGui/qpygui_qlist.sip,
	qpy/QtGui/qpygui_qpair.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtNetwork/qpynetwork_qhash.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Removed all calls to sipCanConvertToEnum().
	[c75deb889b1e] <5.9-maint>

2017-08-31  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_enums_flags.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_qhash.sip,
	qpy/QtCore/qpycore_qlist.sip, qpy/QtCore/qpycore_qmap.sip,
	qpy/QtCore/qpycore_qmessagelogger.cpp, qpy/QtCore/qpycore_qpair.sip,
	qpy/QtCore/qpycore_qvector.sip, qpy/QtGui/qpyopengl_value_array.cpp,
	qpy/QtQml/qpyqmllistproperty.cpp:
	Removed all calls to SIPLong_AsLong().
	[326d7caa3d2e] <5.9-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_qjsonvalue.cpp, qpy/QtCore/qpycore_qlist.sip,
	qpy/QtGui/qpygui_qlist.sip, qpy/QtGui/qpygui_qpair.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtNetwork/qpynetwork_qhash.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtQml/qpyqml_qjsvalue.cpp, qpy/QtWidgets/qpywidgets_qlist.sip:
	Migrated all handwritten code to use sipConvertToEnum().
	[8f3251301f87] <5.9-maint>

2017-08-30  Phil Thompson  <phil@riverbankcomputing.com>

	* rb-product:
	SIP v4.19.4 is now required.
	[302c09890e23] <5.9-maint>

2017-07-25  Phil Thompson  <phil@riverbankcomputing.com>

	* pyrcc/pyrcc_main.py, pyrcc/pyrccmod.sip, qpy/pyrcc/rcc.h:
	Removed the unimplemented -name option to pyrcc.
	[307cff7f1dbb] <5.9-maint>

2017-07-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed QTabBar when built without accessibility support.
	[0c5314852dd2] <5.9-maint>

2017-07-16  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the configuration tests' handling of disabled features.
	[1a7f9ba28fed] <5.9-maint>

2017-07-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtBluetooth/qpybluetooth_qlist.sip, qpy/QtCore/qjsonarray.sip,
	qpy/QtCore/qpycore_qlist.sip, qpy/QtCore/qpycore_qset.sip,
	qpy/QtCore/qpycore_qvector.sip, qpy/QtCore/qstringlist.sip,
	qpy/QtGui/qpygui_qvector.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Clear the exception whenever PyObject_GetIter() fails when checking
	if an object can be converted.
	[07fc1c2b14a6] <5.9-maint>

	* PyQt5.msp:
	Release the GIL on all QThreadPool methods that access the internal
	mutex.
	[f710d0e81300] <5.9-maint>

2017-07-03  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.9 for changeset 307fa2afedd4
	[d84f568cd92f]

	* NEWS:
	Released as v5.9.
	[307fa2afedd4] [5.9]

2017-07-02  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/api_details/qjsonarray.rst,
	sphinx/api_details/qjsonobject.rst,
	sphinx/api_details/qjsonvalue.rst, sphinx/api_metadata.cfg,
	sphinx/class_reference.rst, sphinx/conf.py, sphinx/dbus.rst,
	sphinx/deploy_commercial.rst, sphinx/deprecations.rst,
	sphinx/designer.rst, sphinx/extension_api.rst, sphinx/gotchas.rst,
	sphinx/i18n.rst, sphinx/incompatibilities.rst, sphinx/index.rst,
	sphinx/installation.rst, sphinx/introduction.rst,
	sphinx/metaobjects.rst, sphinx/multiinheritance.rst,
	sphinx/opengl.rst, sphinx/pickle.rst, sphinx/platforms.rst,
	sphinx/pyqt4_differences.rst, sphinx/pyqt_qsettings.rst,
	sphinx/pyqt_qvariant.rst, sphinx/python_shell.rst, sphinx/qml.rst,
	sphinx/qt_interfaces.rst, sphinx/qt_properties.rst,
	sphinx/resources.rst, sphinx/signals_slots.rst,
	sphinx/static/classic.css, sphinx/static/logo.png,
	sphinx/static/logo_tn.ico:
	Remove the documentation.
	[c10072f0b507]

2017-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated for Qt v5.9.1.
	[a19c481d1d26]

2017-06-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Removed some assumptions about a slot receiver when it is a method.
	[e32538351d89]

2017-06-11  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	The .sip files of all public modules are now installed even if the
	module has not been built.
	[d5785dc95062]

	* .hgignore:
	Ignore .pyc files.
	[e9483645c942]

2017-06-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Deal with the incompatibilities introduced in Qt v5.9.0 in the
	Windows specs.
	[ccaae0890fa8]

	* config-tests/cfgtest_QtCore.cpp, config-tests/cfgtest_QtGui.cpp,
	config-tests/cfgtest_QtNetwork.cpp, config-
	tests/cfgtest_QtPrintSupport.cpp, lib/configure.py:
	Refactored the configuration tests so that they properly deal with
	the build system incompatibilities introduced in Qt v5.8.0.
	[5bff9174bdf5]

2017-06-06  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_event_handlers.cpp,
	qpy/QtCore/qpycore_event_handlers.h:
	Fixed the QObject monitoring to deal with the argument of the
	destroyed() signal.
	[e600f5863011]

2017-06-05  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/conf.py:
	Updated the documentation copyright notice.
	[307e1590d17a]

2017-06-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the updates for Qt v5.9.0.
	[3f8fdcacc41e]

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Updated QtWebEngineCore for Qt v5.9.0.
	[2a44428921a5]

	* PyQt5.msp, lib/SubclassCode/QtWebEngine.versions,
	sphinx/api_metadata.cfg:
	Updated QtWebEngine for Qt v5.9.0.
	[200385c3790c]

	* PyQt5.msp, lib/SubclassCode/QtSensors.versions,
	sphinx/api_metadata.cfg:
	Updated QtSensors for Qt v5.9.0.
	[4f978799eaed]

	* PyQt5.msp:
	Update QtQml, QtQuick and QtWidgets for Qt v5.9.0.
	[e4dce2d967dc]

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Updated QtNfc and QtPositioning for Qt v5.9.0.
	[e96fbd85d316]

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Updated QtLocation and QtNetwork for Qt v5.9.0.
	[66167aa051e8]

2017-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Updated QtHelp for Qt v5.9.0.
	[5ab49587596b]

	* PyQt5.msp:
	Updated QtGui for Qt v5.9.0.
	[8c2adf7c6678]

2017-06-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Completed QtCore for Qt v5.9.0.
	[c1647883b06a]

2017-05-31  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Started work on Qt v5.9.0.
	[45fb92dcc67b]

2017-05-30  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial, lib/LICENSE.commercial.short,
	lib/LICENSE.gpl, lib/LICENSE.gpl.short, lib/LICENSE.internal,
	lib/RaspberryPi/configuration.txt:
	Merged the 5.8-maint branch with the trunk.
	[15759489c83d]

	* .hgignore:
	Updated .hgignore for the changed build directory.
	[5507908d36d4] <5.8-maint>

	* lib/README, lib/RaspberryPi/configuration.txt:
	Minor tidy ups.
	[ce0390f84167] <5.8-maint>

2017-05-27  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_event_handlers.cpp,
	qpy/QtCore/qpycore_event_handlers.h,
	qpy/QtCore/qpycore_post_init.cpp.in, rb-product:
	Added the event handlers to implement detection of the destruction
	of QObject instances created by C++.
	[3312bc9f9693] <5.8-maint>

2017-05-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Improved the reproduceability of builds.
	[8c18ae66b8a3] <5.8-maint>

2017-05-23  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Make the output of configure.py easier to read with --verbose.
	[ebc3188b638c] <5.8-maint>

	* PyQt5.msp:
	Fixed QGuiApplication for when there is no session management.
	[f01c1372343b] <5.8-maint>

2017-04-27  Phil Thompson  <phil@riverbankcomputing.com>

	* test/tests/classes/test_QObject.py:
	Fixed the new QObject.inherits() unit test.
	[05140ab844bf] <5.8-maint>

	* qpy/QtCore/qpycore_qobject_helpers.cpp,
	test/tests/classes/test_QObject.py:
	Fixed a regression in the qt_metacast() helper.
	[412e7be14d1f] <5.8-maint>

	* qpy/QtCore/qpycore_chimera.cpp:
	Reverted the part of changeset 1281 related to dict and QVariantMap.
	[71b9958bad49] <5.8-maint>

2017-04-18  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/designer.rst:
	Corrected the pyuic5 documentation.
	[bba9257ee0f6] <5.8-maint>

2017-04-17  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/itemviews/interview/images/interview.png,
	examples/itemviews/interview/images/services.png,
	examples/itemviews/interview/interview.py,
	examples/qtdemo/examples.xml:
	Added the interview.py example from Hans-Peter Jansen.
	[c9fd1cdbc210] <5.8-maint>

	* examples/itemviews/frozencolumn/frozencolumn.py,
	examples/itemviews/frozencolumn/grades.txt,
	examples/qtdemo/examples.xml:
	Added the frozencolumn.py example from Hans-Peter Jansen.
	[7fb636b504e8] <5.8-maint>

	* examples/itemviews/storageview.py, examples/qtdemo/examples.xml:
	Added the storageview.py example from Hans-Peter Jansen.
	[f98741ba3c82] <5.8-maint>

	* examples/itemviews/editabletreemodel/editabletreemodel.py:
	Updates to the editabletreemodel.py example from Hans-Peter Jansen.
	[76d240529c4c] <5.8-maint>

	* examples/itemviews/dirview.py:
	Updated the dirview.py example from Hans-Peter Jansen.
	[c588f6571970] <5.8-maint>

	* examples/itemviews/combowidgetmapper.py:
	Fixes for the combowidgetmapper.py example from Hans-Peter Jansen.
	[81cbf58f3bcf] <5.8-maint>

	* PyQt5.msp:
	Implemented __hash__() for QFlags.
	[7766a40af0d6] <5.8-maint>

2017-04-05  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/itemviews/pixelator/pixelator.py:
	Fixes for the pixelator.py example.
	[2c3574fb346f] <5.8-maint>

	* PyQt5.msp:
	Implemented the non-argument overloads of the toSubpathPolygons(),
	toFillPolygons() and toFillPolygon() methods of QPainterPath.
	[af1fdb5e696d] <5.8-maint>

	* examples/itemviews/chart/chart.py:
	Fixed issues with the chart.py example.
	[86ca9f21d8ee] <5.8-maint>

	* examples/itemviews/spinboxdelegate.py:
	Updated the spinboxdelegate.py example to match the current C++
	version.
	[6d27e01c70b5] <5.8-maint>

2017-04-03  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/quick/animation/animation_rc.py,
	examples/quick/canvas/canvas_rc.py,
	examples/quick/models/abstractitemmodel/abstractitemmodel_rc.py,
	examples/quick/models/objectlistmodel/objectlistmodel_rc.py,
	examples/quick/models/stringlistmodel/stringlistmodel_rc.py,
	examples/quick/scenegraph/customgeometry/customgeometry_rc.py,
	examples/quick/shared/shared_rc.py:
	Updated all the pyrcc output to use v2 where QML files are stored.
	[0e09475f02d3] <5.8-maint>

	* qpy/pyrcc/rcc.cpp, qpy/pyrcc/rcc.h:
	Added support for v2 of the resource file format to pyrcc.
	[bc8a379011ca] <5.8-maint>

2017-03-30  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.8.2 for changeset 96c86cda6415
	[833d4681ee3d] <5.8-maint>

	* NEWS:
	Released as v5.8.2.
	[96c86cda6415] [5.8.2] <5.8-maint>

2017-03-29  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixes for the OpenGL detection needed by the incompatible
	configuration changes in Qt v5.8.0.
	[bf6caed84fd3] <5.8-maint>

2017-03-27  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	When parsing a Python type map list and dict to QVariantList and
	QVariantMap.
	[e7158e3e2a31] <5.8-maint>

2017-03-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial, lib/LICENSE.commercial.short,
	lib/LICENSE.gpl, lib/LICENSE.gpl.short, lib/LICENSE.internal:
	Remove the license copies that are now part of rb-tools.
	[c15cf2c0c055] <5.8-maint>

2017-03-22  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed the margins of the top layout in a tab by pyuic.
	[f5594ddfb6ee] <5.8-maint>

	* pyuic/uic/driver.py, pyuic/uic/exceptions.py,
	pyuic/uic/properties.py, pyuic/uic/pyuic.py:
	Improved the error handling of an unknown C++ class.
	[c4dab2a95dc6] <5.8-maint>

2017-03-21  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/qml.rst:
	Added explicit warnings about PyQt's ability to support QML to the
	docs.
	[e0c7e29a7852] <5.8-maint>

2017-03-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added a comment about why opengl_types.sip is included twice.
	[95518ec3931a] <5.8-maint>

	* PyQt5.msp:
	Only enable QOpenGLTextureBlitter if OpenGL is supported.
	[ef351b9d8f03] <5.8-maint>

	* PyQt5.msp:
	Avoid a deadlock when using asynchronous image providers in QML.
	[33ed4db6949b] <5.8-maint>

2017-03-07  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.8.1 for changeset 7426ab9ba43b
	[0ddf209259b4] <5.8-maint>

	* NEWS:
	Released as v5.8.1.
	[7426ab9ba43b] [5.8.1] <5.8-maint>

2017-03-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Special case a QVariant containing std::nullptr_t.
	[001ad7fc01fb] <5.8-maint>

2017-02-27  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Updated the Requires-Dist meta-data so it includes the values from
	the release file.
	[2933ac7bf19d] <5.8-maint>

2017-02-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Disable desktop OpenGL if OpenGLES v3 or v3.1 is detected.
	[4ba0f0b49e2a] <5.8-maint>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Fixed the handling of properties in Qml because of changes to the
	internals in Qt v5.8.0.
	[feeab3eb94fa] <5.8-maint>

2017-02-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed QLocale.toString() for Python v2.
	[027b070ff19e] <5.8-maint>

	* PyQt5.msp:
	Anticipate that Qt v5.9.0 will be released before Qt v5.8.1 to avoid
	problems building PyQt v5.9 against Qt v5.8.1.
	[6022c9537b69] <5.8-maint>

2017-02-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtPrintSupport/qpyprintsupport_qlist.sip:
	The QtPrintSupport mapped types are only included if printers are
	supported.
	[7b3afef45f92] <5.8-maint>

	* sphinx/pyqt_qvariant.rst:
	Updated the docs regarding support for QVariant.
	[657a7b5e45ce] <5.8-maint>

2017-02-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp:
	Fixed signals in QML registered types that are defined in a Python
	sub-class of the registered type.
	[e5d27b6ce571] <5.8-maint>

2017-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.8 for changeset a04bf1746ae4
	[f12c11450b7f]

	* NEWS:
	Released as v5.8.
	[a04bf1746ae4] [5.8]

2017-02-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	More SSL support fixes.
	[f3e90b840b5f]

	* PyQt5.msp:
	Fixed building without SSL support.
	[0c33c8cce200]

	* sphinx/installation.rst, sphinx/qml.rst:
	Some documentation clarifications.
	[79b2d4a5368c]

2017-02-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qmlscene/pluginloader.cpp, qmlscene/qmlscene.pro-in:
	The qmlscene plugin now loads the Python library with exported
	symbols.
	[03722ff7eea9]

2017-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtGui/qpyopengl_api.h, qpy/QtGui/qpyopengl_get.cpp:
	Improved the support in the other glGet functions.
	[e97a57356d73]

2017-02-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtGui/qpyopengl_api.h, qpy/QtGui/qpyopengl_get.cpp,
	qpy/QtGui/qpyopengl_init.cpp:
	Improved the support for glGetFloatv().
	[0e9414c6c2ad]

2017-02-01  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qwineventnotifier.sip:
	Hopefully fixed the QWinEventNotifier.activated() signal.
	[0c65b46fa231]

	* lib/configure.py, sphinx/installation.rst:
	On Windows a debug build of Python is needed if --debug is specified
	(and vice versa).
	[badca59b38be]

2017-01-31  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qhash.sip, qpy/QtCore/qpycore_qlist.sip,
	qpy/QtCore/qpycore_qset.sip:
	Disable the garbage collector while wrapping multiple C++ instances
	in case some of those instances would be destroyed if the garbage
	collector was run.
	[652a401092f3]

	* qpy/QtCore/qsysinfo.sip:
	Updated QSysInfo for Qt v5.8.0.
	[104d002e3fc0]

2017-01-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Release the GIL in QmlApplicationEngine ctors.
	[85a18ee47e51]

	* PyQt5.msp:
	Updated QtWebSockets, QtWidgets, QtXml and QtXmlPatterns for Qt
	v5.8.0.
	[8fdb72bca3b5]

2017-01-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtSensors, QtSerialPort, QtSql, QtSvg, QtTest, QtWebChannel,
	QtWebEngine, QtWebEngineCore and QtWebEngineWidgets for Qt v5.8.0.
	[cf1faa2c9606]

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Updated QtQml, QtQuick and QtQuickWidgets for Qt v5.8.0.
	[2459038a6733]

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Updated QtHelp, QtLocation, QtMultimedia, QtMultimediaWidgets,
	QtNetwork, QtNfc, QtOpenGL, QtPositioning and QtPrintSupport for Qt
	v5.8.0.
	[d0eeb8270f29]

	* lib/configure.py:
	Updated the configure.py test for QtDesigner to detect the broken Qt
	v5.8.0 macOS installer.
	[ce70a466f5c9]

2017-01-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Eliminate a compiler warning message in QtCore.
	[99d23c39f9ff]

	* NEWS, PyQt5.msp, lib/configure.py, sphinx/installation.rst:
	Updated QtBluetooth, QtCore, QtDBus, QtDesigner, QtGui and
	configure.py for Qt v5.8.0.
	[daac5fdeb6ee]

	* Makefile, build.py, pyuic/uic/port_v2/invoke.py,
	pyuic/uic/port_v2/load_plugin.py, pyuic/uic/port_v3/invoke.py,
	pyuic/uic/port_v3/load_plugin.py:
	Merged the 5.7-maint branch.
	[05971e186d25]

2017-01-20  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Added __fspath__() to QFileInfo.
	[6dbc033e73c4] <5.7-maint>

	* lib/configure.py:
	Updated the configure.py test for qreal to allow for QT_COORD_TYPE.
	[05bb9d526a1c] <5.7-maint>

	* lib/configure.py, sphinx/installation.rst:
	QML debugging is now enabled with a separate --qml-debug option to
	configure.py.
	[b189f32a6cc7] <5.7-maint>

2017-01-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtGui/qpyopengl_value_array.cpp:
	Fixed a bug in the handling of Arrays.
	[f4e8be0593cc] <5.7-maint>

2017-01-17  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, sphinx/installation.rst:
	Added the --link-full-dll option to configure.py to force a link
	against the full DLL on Windows.
	[a5ebf7ca384c] <5.7-maint>

2017-01-13  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp:
	Fixed a bug emitting a signal defined in a super-class of a class
	registered with QML.
	[0e2a24362686] <5.7-maint>

	* qpy/QtQml/qpyqmllistproperty.cpp:
	Check that the type argument to QQmlListProperty is a QObject sub-
	type.
	[67543cbe2445] <5.7-maint>

2017-01-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtslotproxy.cpp:
	Disabled slot proxies will be ignored when checking for unique
	connections.
	[7d061b0767d5] <5.7-maint>

	* PyQt5.msp, lib/configure.py, rb-product, sphinx/installation.rst:
	Changes required to fix building for debug builds of Python. The
	minimum SIP requirement is now v4.19.1.
	[945c725e4eae] <5.7-maint>

2017-01-09  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Release the GIL on all QQmlComponent ctors that parse QML.
	[d9cd45f80515] <5.7-maint>

	* PyQt5.msp:
	Fixed problems building QtWebEngine against Qt v5.6.
	[8d9460a607dd] <5.7-maint>

2016-12-25  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.7.1 for changeset a25b699c3bff
	[e6e0f1b22e73] <5.7-maint>

	* NEWS:
	Released as v5.7.1.
	[a25b699c3bff] [5.7.1] <5.7-maint>

2016-12-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Link against the correct Python DLL when using the limited API.
	[b09fa4890933] <5.7-maint>

2016-12-19  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/installation.rst:
	Updated the pyqtlicense documentation.
	[e8d4a7dff111] <5.7-maint>

2016-12-17  Phil Thompson  <phil@riverbankcomputing.com>

	* QAxContainer/qaxobject.sip:
	Fixed some very old convertor code in QAxContainer.
	[1ca987d031ad] <5.7-maint>

2016-12-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated for Qt v5.7.1.
	[5132c77b8800] <5.7-maint>

2016-12-14  Phil Thompson  <phil@riverbankcomputing.com>

	* designer/pluginloader.cpp, designer/pluginloader.h:
	The Designer plugin now releases the GIL once all plugins have been
	loaded.
	[57d8ce89670d] <5.7-maint>

2016-12-04  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/pylupdate_main.py:
	pylupdate now generates correct relative paths when -ts is used.
	[1ba3c08d40e4] <5.7-maint>

	* pyuic/uic/uiparser.py:
	Fixed a crash when a .ui file doesn't contain a button group when it
	should.
	[5f3cbec20103] <5.7-maint>

2016-11-25  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/installation.rst:
	Documented the --build-tag command line option to pyqtlicense.
	[422623d23a48] <5.7-maint>

2016-11-23  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/objcreator.py, pyuic/uic/port_v2/invoke.py,
	pyuic/uic/port_v2/load_plugin.py, pyuic/uic/port_v3/invoke.py,
	pyuic/uic/port_v3/load_plugin.py, pyuic/uic/pyuic.py:
	Removed all pyuic code that required Python v2.5 and earlier.
	[446394da9951] <5.7-maint>

	* sphinx/deploy_commercial.rst, sphinx/extension_api.rst,
	sphinx/installation.rst, sphinx/introduction.rst,
	sphinx/pyqt4_differences.rst:
	All references to the website no wuse https.
	[16fd5cc19aab] <5.7-maint>

	* qpy/QtQml/qpyqmllistpropertywrapper.cpp:
	Fixed the QML support when using the limited API.
	[519b2b27c289] <5.7-maint>

2016-11-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Fixed a regression trawling class hierachies using the limited API.
	[4333b8ba87fd] <5.7-maint>

2016-11-12  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/installation.rst:
	Documented the --qt-version option to pyqtlicense.
	[d5efc2dd635e] <5.7-maint>

2016-11-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added a missing /Out/ annotation to
	QWebEnginePage.javaScriptPrompt().
	[c5886ff2dc94] <5.7-maint>

2016-11-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qobject_helpers.cpp:
	Fixed a regression in the handling of ReadProperty and WriteProperty
	in PyQt v5.6 that broke the chapter5-listproperties.py example.
	[5c3d541a12a2] <5.7-maint>

2016-10-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added QRegion.setRects().
	[a7014a7d4259] <5.7-maint>

	* pyuic/uic/widget-plugins/qtcharts.py, pyuic/uic/widget-
	plugins/qtwebenginewidgets.py:
	Added widget plugins for QChartView and QWebEngineView.
	[29003cce4a88] <5.7-maint>

	* PyQt5.msp:
	Added Qt_5_6_2 to the %Timeline and corresponding values for later
	versions of Qt v5.6.
	[9449a57f8e13] <5.7-maint>

2016-10-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qpycore_qstring.cpp:
	Fixed a regression building against Python v2.
	[935bb79a7b1c] <5.7-maint>

2016-10-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/SubclassCode/mksccode.py:
	Updated mksccode.py to match the current handling of hidden
	namespaces.
	[fbddad196e67] <5.7-maint>

2016-10-14  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/pylupdate_main.py:
	Fixed a bad call in pylupdate.
	[9a1caa071647] <5.7-maint>

2016-10-04  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/api_metadata.cfg:
	Added the missing QOpenGLVersionProfile to the documentation.
	[ed7f40f61a68] <5.7-maint>

2016-09-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qpycore_qmetaobject.cpp,
	qpy/QtGui/qpyopengl_attribute_array.cpp,
	qpy/QtGui/qpyopengl_uniform_value_array.cpp,
	qpy/QtGui/qpyopengl_value_array.cpp:
	Converted all access to the user object to use the new SIP calls.
	[71c272511448] <5.7-maint>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_types.cpp:
	Changes needed by the different way of handling plugin generated
	data.
	[e9490c8f0819] <5.7-maint>

2016-09-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updates for the latest SIP changes.
	[1677ae8bd951] <5.7-maint>

2016-09-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed calls to sipFindType() that were too early.
	[f04f4d92ab9b] <5.7-maint>

	* PyQt5.msp:
	Fixes for the latest SIP changes.
	[81eaffffa555] <5.7-maint>

2016-09-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Added the QtWebEngine module.
	[8c8d065d8148] <5.7-maint>

2016-09-14  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	The byteArray argume to the QBuffer ctor and setBuffer() method must
	be a QByteArray (and not something that can be converted to a
	QByteArray) because it needs to outlive the QBuffer instance.
	[2976e49222bb] <5.7-maint>

	* PyQt5.msp:
	Added a missing /TransferThis/ to the QWebEngineUrlSchemeHandler
	ctor.
	[29be98207b30] <5.7-maint>

	* qpy/QtQml/qpyqmlobject.cpp:
	Use a unique signal when connecting to a proxy model to allow the
	model to be used in multiple views.
	[cd6fbe437e70] <5.7-maint>

2016-09-11  Phil Thompson  <phil@riverbankcomputing.com>

	* QtMacExtras/QtMacExtrasmod.sip, QtMacExtras/qtmac.sip:
	Added the QtMac namespace to the QtMacExtras module.
	[581743b7d329] <5.7-maint>

2016-09-10  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in, lib/configure.py, rb-product:
	Add configuration information to the product file. Specifiy the
	minimal SIP version in the wheel meta-data.
	[347419aab38c] <5.7-maint>

2016-09-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtGui/qpyopengl_value_array.cpp:
	Further changes for sipGetBufferInfo().
	[2dfc32d2117b] <5.7-maint>

	* qpy/QtGui/qpyopengl_value_array.cpp:
	Fixed the call to sipGetBufferInfo().
	[842376cb0aa8] <5.7-maint>

2016-09-08  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtproperty.cpp:
	Fixed regressions in pyqtProperty.
	[a1d6f69fef7a] <5.7-maint>

	* qpy/QtGui/qpyopengl_attribute_array.cpp, qpy/QtGui/qpyopengl_misc.h,
	qpy/QtGui/qpyopengl_uniform_value_array.cpp,
	qpy/QtGui/qpyopengl_value_array.cpp:
	Fixed the limited API changes when using the PySequence_Fast_*()
	macros.
	[04fe0b23b049] <5.7-maint>

	* QAxContainer/QAxContainermod.sip, QAxContainer/qaxbase.sip,
	QtMacExtras/QtMacExtrasmod.sip, QtWinExtras/QtWinExtrasmod.sip,
	QtX11Extras/QtX11Extrasmod.sip, pylupdate/pylupdatemod.sip,
	pyrcc/pyrccmod.sip:
	The handwritten modules now all use the limited API.
	[939cc11b2007] <5.7-maint>

	* qpy/QtBluetooth/qpybluetooth_qlist.sip,
	qpy/QtBluetooth/qpybluetooth_quint128.sip:
	QtBluetooth now uses the limited API.
	[dec01d730da6] <5.7-maint>

2016-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtDBus/qpydbus_chimera_helpers.cpp:
	QtDBus now uses the limited API.
	[82a0acefefd3] <5.7-maint>

	* qpy/QtWidgets/qpywidgets_qlist.sip:
	QtWidgets now uses the limited API.
	[16de076d88c6] <5.7-maint>

	* qpy/QtQuick/qpyquick_chimera_helpers.cpp:
	QtQuick now uses the limited API.
	[a834a23d561b] <5.7-maint>

	* qpy/QtQml/qpyqml_post_init.cpp, qpy/QtQml/qpyqml_qjsvalue.cpp,
	qpy/QtQml/qpyqml_register_singleton_type.cpp,
	qpy/QtQml/qpyqml_register_type.cpp,
	qpy/QtQml/qpyqmllistproperty.cpp, qpy/QtQml/qpyqmllistproperty.h,
	qpy/QtQml/qpyqmllistproperty.sip,
	qpy/QtQml/qpyqmllistpropertywrapper.cpp,
	qpy/QtQml/qpyqmllistpropertywrapper.h:
	QtQml now uses the limited API.
	[486082bf4be5] <5.7-maint>

	* qpy/QtPrintSupport/qpyprintsupport_qlist.sip:
	QtPrintSupport now uses the limited API.
	[b8c0b62a20a7] <5.7-maint>

	* qpy/QtNetwork/qpynetwork_qhash.sip,
	qpy/QtNetwork/qpynetwork_qmap.sip:
	QtNetwork now uses the limited API.
	[82798213e9a3] <5.7-maint>

	* qpy/QtMultimedia/qpymultimedia_qlist.sip:
	QtMultimedia now uses the limited API.
	[6f34d2b297ce] <5.7-maint>

	* PyQt5.msp, qpy/QtGui/qpygui_qlist.sip, qpy/QtGui/qpygui_qpair.sip,
	qpy/QtGui/qpygui_qvector.sip,
	qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_attribute_array.cpp,
	qpy/QtGui/qpyopengl_data_cache.cpp,
	qpy/QtGui/qpyopengl_data_cache.h, qpy/QtGui/qpyopengl_init.cpp,
	qpy/QtGui/qpyopengl_uniform_value_array.cpp,
	qpy/QtGui/qpyopengl_value_array.cpp,
	qpy/QtGui/qpyopengl_version_functions.cpp:
	QtGui now uses the limited API.
	[937e89e76d2d] <5.7-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.h,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.h,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtproperty.h,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h:
	More limited API changes - QtCore now compiles and loads.
	[d9f7295c5dd7] <5.7-maint>

	* qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_types.cpp, qpy/QtCore/qpycore_types.h:
	More limited API changes.
	[00a8fbb9f360] <5.7-maint>

2016-09-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	The QString convertors now use the limited API.
	[f57db32b0b5d] <5.7-maint>

	* qpy/QtCore/qpycore_objectified_strings.h,
	qpy/QtCore/qpycore_post_init.cpp.in,
	qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_qjsonvalue.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_types.cpp, qpy/QtCore/qpycore_types.h:
	The QObject helpers now use the limited API.
	[64c71c6a9ee3] <5.7-maint>

	* qpy/QtCore/qpycore_post_init.cpp.in,
	qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.h,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h,
	qpy/QtCore/qpycore_pyqtslot.cpp, qpy/QtCore/qpycore_types.cpp:
	pyqtSignal now uses the limited API.
	[9caf7074a4fe] <5.7-maint>

	* lib/configure.py, qpy/QtCore/qpycore_post_init.cpp.in,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtproperty.h, qpy/QtCore/qpycore_types.cpp:
	Python v3.4 is now needed when using the limited API. pyqtProperty
	now uses the limited API.
	[4b144ae683bd] <5.7-maint>

	* qpy/QtCore/qpycore_post_init.cpp.in,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.h:
	Moved the method proxy type to the limited API.
	[ae940422e87f] <5.7-maint>

	* qpy/QtCore/qpycore_post_init.cpp.in,
	qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.h,
	qpy/QtCore/qpycore_pyqtconfigure.cpp:
	The bound signal type is now created using the limited API.
	[326cb5271420] <5.7-maint>

2016-08-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtslot.cpp:
	More limited API changes.
	[caef2e592071] <5.7-maint>

	* qpy/QtCore/qpycore_misc.cpp:
	Use sipCheckPluginForType().
	[97c12d786d1e] <5.7-maint>

2016-08-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_enums_flags.cpp, qpy/QtCore/qpycore_types.cpp:
	Use sipPyTypeDict() where appropriate.
	[eb2d099a8804] <5.7-maint>

	* qpy/QtCore/qpycore_classinfo.cpp,
	qpy/QtCore/qpycore_enums_flags.cpp:
	Used sipGetFrame() where appropriate.
	[1d3dbd765934] <5.7-maint>

	* qpy/QtCore/qpycore_chimera.cpp:
	Use sipIsUserType().
	[45310e53497b] <5.7-maint>

	* PyQt5.msp, qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_qlist.sip, qpy/QtCore/qpycore_qpair.sip,
	qpy/QtCore/qpycore_qvector.sip:
	Refactored the date/time conversions to use the new SIP calls.
	[3705eb12433a] <5.7-maint>

2016-08-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qjsonarray.sip, qpy/QtCore/qjsonobject.sip,
	qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_enums_flags.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_qhash.sip,
	qpy/QtCore/qpycore_qlist.sip, qpy/QtCore/qpycore_qmap.sip,
	qpy/QtCore/qpycore_qobject_getattr.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_qpair.sip, qpy/QtCore/qpycore_qset.sip,
	qpy/QtCore/qpycore_qvector.sip, qpy/QtCore/qpycore_types.cpp,
	qpy/QtCore/qstringlist.sip:
	Remove references to tp_name.
	[f7f509727431] <5.7-maint>

	* PyQt5.msp, qpy/QtCore/qjsonarray.sip,
	qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_decorators.cpp,
	qpy/QtCore/qpycore_enums_flags.cpp,
	qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtpyobject.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtslot.cpp,
	qpy/QtCore/qpycore_qlist.sip, qpy/QtCore/qpycore_qmap.sip,
	qpy/QtCore/qpycore_qmessagelogger.cpp,
	qpy/QtCore/qpycore_qmetaobject_helpers.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_qstring.cpp,
	qpy/QtCore/qpycore_qvariant_value.cpp,
	qpy/QtCore/qpycore_qvector.sip, qpy/QtCore/qpycore_types.cpp,
	qpy/QtCore/qstringlist.sip:
	Started to switch over from the fast macros to the limited API
	versions.
	[806af319f405] <5.7-maint>

2016-08-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_post_init.cpp.in, qpy/QtCore/qpycore_types.cpp,
	qpy/QtCore/qpycore_types.h, qpy/QtQml/qpyqmlobject.h:
	Eliminated the PyQt-specific meta-type.
	[b88f1ef8bcb0] <5.7-maint>

2016-08-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Enabled the limited API for all modules.
	[937556c0ec2b] <5.7-maint>

	* PyQt5.msp:
	Updated the %BIGetBufferCode for the limited API.
	[94deb582b250] <5.7-maint>

	* lib/configure.py:
	Updated configure.py to set Py_LIMITED_API for qpy code.
	[236a19384c91] <5.7-maint>

2016-08-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	toString() and toCurrencyString() of QLocale now only overflow if
	they really have to.
	[f850c5c9f5b1] <5.7-maint>

	* qpy/QtCore/qpycore_qobject_helpers.cpp:
	Fixed QObject.inherits().
	[c7e1a7efb2bf] <5.7-maint>

2016-08-18  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Build modules with 'exceptions_off' rather than special case g++ and
	clang. Build static modules with 'hide_symbols' to avoid OS X weak
	symbol warnings.
	[f02239f94d5e] <5.7-maint>

2016-08-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, build.py:
	Removed the old internal build system.
	[633d0f7fe1b7] <5.7-maint>

2016-08-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Reverted the conversion of bytes to 'const char *' as the latter is
	not supported by QMetaType and gives QSignalSpy a problem.
	[75a3228c629a] <5.7-maint>

	* qpy/pylupdate/pylupdate.h:
	Fixed the pylupdate changes.
	[02a9da7b1643] <5.7-maint>

2016-07-27  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/pylupdate_main.py, pylupdate/pylupdatemod.sip,
	qpy/pylupdate/merge.cpp:
	Moved a pylupdate progress message to C++ to avoid out-of-order
	messages.
	[6f932fba5b39] <5.7-maint>

	* sphinx/introduction.rst:
	Clarified the docs intro about the inclusion of Qt in wheels.
	[8d01fcc7cdd0] <5.7-maint>

2016-07-25  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Removed the Obsoletes tag from METADATA.
	[3055d670d1da]

	* .hgtags:
	Added tag 5.7 for changeset 5e459651a5cb
	[bb3ddca217a0]

	* NEWS:
	Released as v5.7.
	[5e459651a5cb] [5.7]

	* lib/configure.py:
	Simplified the setting of PATH to include the qmake directory.
	[8b1b53bd60b1]

2016-07-24  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/pylupdate_main.py, pyrcc/pyrcc_main.py,
	pyuic/uic/pyuic.py:
	Provided pylupdate, pyrcc and pyuic with main() wrappers that are
	invoked by pip generated wrappers.
	[0be6588d6b5c]

2016-07-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	When --qmake is used on Windows add the directory containing qmake
	to PATH.
	[c9fb16354936]

	* NEWS:
	Updated the NEWS file.
	[fd3b3f3e721c]

2016-07-19  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Updates to METADATA.
	[24491cc4092b]

2016-07-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fixed the error message when an attempt is made to connect to a
	pyqtSlot decorated method of a non-QObject class.
	[84bb348755e1]

2016-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/pylupdate_main.py:
	Make sure the progress messages from pylupdate appear in the right
	order.
	[975fc04a1d1d]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Further fixes for choosing the right pyqtSlot decorator for a
	signal.
	[96281e6eb259]

2016-07-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fixed an out-of-bound index regression.
	[d4fcde1ad4e1]

2016-07-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the support for Qt v5.7.0.
	[877c3a8a6cbd]

	* PyQt5.msp:
	Updated QtWidgets for Qt v5.7.0.
	[4f59eafc77cf]

2016-07-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Updated most of QtWebEngineWidgets for Qt v5.7.0.
	[ca2289d9d0d0]

	* PyQt5.msp:
	Updated QtGui for Qt v5.7.0.
	[02bfa6bb3c5d]

	* PyQt5.msp:
	Updated QtCore for Qt v5.7.0.
	[d9bf4daa7994]

2016-07-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added some Qt v5.7.0 support.
	[7e56302498df]

2016-06-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Initial scan of Qt v5.7.0.
	[659af5655c90]

	* build.py, installers/AddToPath.nsh, installers/BuildGPL.txt,
	installers/PyQt5-Qt5-gpl.nsi, installers/StrSlash.nsh, installers
	/mysql-config.bat, installers/psql-config.bat,
	installers/pyqt5-check.py, installers/pyqt5-config.bat, installers
	/qsci-pyqt5-config.bat, installers/qt5-config.bat, installers/sip-
	pyqt5-config.bat:
	Removed the old .nsi installers.
	[22449f1b0af2]

	* lib/PlansForWheels.txt, pylupdate/fetchtr.cpp, pylupdate/main.cpp,
	pylupdate/merge.cpp, pylupdate/metatranslator.cpp,
	pylupdate/metatranslator.h, pylupdate/numberh.cpp,
	pylupdate/proparser.cpp, pylupdate/proparser.h,
	pylupdate/sametexth.cpp, pylupdate/simtexth.cpp,
	pylupdate/simtexth.h, pylupdate/translator.cpp,
	pylupdate/translator.h, pyrcc/main.cpp, pyrcc/rcc.cpp, pyrcc/rcc.h,
	rbproduct.py:
	Merged the v5.6 maintenance branch into the trunk.
	[7b8de1cc9585]

	* qpy/QtCore/qpycore_qt_conf.cpp:
	Removed the (now unnecessary) special handling of qt.conf on
	Windows.
	[1ada2bed3c1d] <5.6-maint>

2016-06-28  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/multiinheritance.rst:
	Fixed a typo in the docs.
	[129e481a1ef1] <5.6-maint>

2016-06-27  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the creation of the .api file.
	[8374c4c770c2] <5.6-maint>

2016-06-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Fixed a regression in the special handling of QGraphicsItem.
	[02bc5a7d40d6] <5.6-maint>

2016-06-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Add some %Imports so that a module imports all the modules it
	explicitly references.
	[bb6823120280] <5.6-maint>

	* PyQt5.msp:
	Updated for Qt v5.6.1.
	[0ce20a30a8a1] <5.6-maint>

2016-06-21  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgignore, PyQt5.msp:
	Updated QtBluetooth for Qt v5.6.1.
	[db0d3198b0da] <5.6-maint>

	* rb-product, rbproduct.py:
	Replaced the product plugin with a product file.
	[a027ea04a02f] <5.6-maint>

2016-06-20  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Implemented the minimal-build.
	[cff7f5006501] <5.6-maint>

	* rbproduct.py:
	The product plugin uses the sip from a minimal sip build.
	[342d116ba9d6] <5.6-maint>

	* commercial/pyqt-commercial.sip, lib/pyqt-commercial.sip,
	rbproduct.py:
	More product plugin refactoring.
	[674b4a8b867f] <5.6-maint>

2016-06-18  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Updates to the product plugin in preparation for replacing build.py.
	[2c314a5a11df] <5.6-maint>

2016-05-30  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/qt_properties.rst:
	Removed some (aparant) ambibuity in the docus related to
	pyqtProperty.
	[62540c04cb07] <5.6-maint>

2016-05-27  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Updated the product plugin to add pylupdate5 and pyrcc5 to wheels.
	[117c4d6d7ed5] <5.6-maint>

	* Makefile, build.py, lib/configure.py, pylupdate/fetchtr.cpp,
	pylupdate/main.cpp, pylupdate/merge.cpp,
	pylupdate/metatranslator.cpp, pylupdate/metatranslator.h,
	pylupdate/numberh.cpp, pylupdate/proparser.cpp,
	pylupdate/proparser.h, pylupdate/pylupdate_main.py,
	pylupdate/pylupdatemod.sip, pylupdate/sametexth.cpp,
	pylupdate/simtexth.cpp, pylupdate/simtexth.h,
	pylupdate/translator.cpp, pylupdate/translator.h,
	pyrcc/pyrcc_main.py, qpy/pylupdate/fetchtr.cpp,
	qpy/pylupdate/merge.cpp, qpy/pylupdate/metatranslator.cpp,
	qpy/pylupdate/metatranslator.h, qpy/pylupdate/numberh.cpp,
	qpy/pylupdate/proparser.cpp, qpy/pylupdate/proparser.h,
	qpy/pylupdate/pylupdate.h, qpy/pylupdate/sametexth.cpp,
	qpy/pylupdate/simtexth.cpp, qpy/pylupdate/simtexth.h,
	qpy/pylupdate/translator.cpp, qpy/pylupdate/translator.h:
	Refactored pylupdate5 to be a wrapper around a Python extension
	module.
	[2793a3f7cd3d] <5.6-maint>

	* Makefile, build.py, lib/configure.py, pyrcc/main.cpp,
	pyrcc/pyrcc_main.py, pyrcc/pyrccmod.sip, pyrcc/rcc.cpp, pyrcc/rcc.h,
	qpy/pyrcc/rcc.cpp, qpy/pyrcc/rcc.h:
	Refactored pyrcc5 so that it is a Python wrapper around a C++
	extension module.
	[7f2ffc54b8b7] <5.6-maint>

2016-05-23  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Removed a duplicated import in the product plugin.
	[8b00d4415e7d] <5.6-maint>

2016-05-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_public_api.cpp:
	Fixed a reference count problem in py_err_print().
	[427d33257f8b] <5.6-maint>

2016-05-20  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/installation.rst:
	Installation docs updates regarding MSVC 2015.
	[43f7f646b5f1] <5.6-maint>

	* PyQt5.msp:
	Added some /ReleaseGIL/ annotations to potentially time consuming
	methods of QSvgRenderer.
	[9926569b7c70] <5.6-maint>

	* qpy/QtCore/qpycore_public_api.cpp:
	Fixed a recursion problem when handling uncaught Python exceptions.
	[2bb4251641d5] <5.6-maint>

2016-05-16  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/installation.rst:
	More documentation updates.
	[99509478d73f] <5.6-maint>

2016-05-15  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/installation.rst:
	Updated the installation instruction to cover wheels and
	pyqtlicense.
	[d59c0d20804e] <5.6-maint>

2016-05-12  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in, rbproduct.py:
	Try to prevent the GPL and commercial versions being installed at
	the same time. (Although it doesn't seem to work.)
	[43e83a4358f7] <5.6-maint>

	* METADATA.in, rbproduct.py:
	Configure the PKG-INFO meta-data according to the license.
	[fab20f18cc82] <5.6-maint>

	* lib/PlansForWheels.txt:
	Removed the plan for implementing wheels as it is now implemented.
	[fe01c4744c57] <5.6-maint>

2016-05-11  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Eliminate a compiler warning message.
	[988950701a58] <5.6-maint>

2016-05-10  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	More changes to the product plugin required by rbtools.
	[1a1f56ebde3a] <5.6-maint>

2016-05-09  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Updates to the product plugin for the latest rbtools changes.
	[f9f06f093901] <5.6-maint>

	* rbproduct.py:
	Give commercial unlicensed wheels a non-standard extension.
	[a24e4ce279f6] <5.6-maint>

	* commercial/BuildNotes.txt, commercial/pyqtlicense.pdy,
	commercial/pyqtlicense.py:
	Moved pyqtlicense to a separate repo.
	[7ccc7256c707] <5.6-maint>

2016-05-08  Phil Thompson  <phil@riverbankcomputing.com>

	* commercial/BuildNotes.txt, commercial/pyqtlicense.pdy:
	pyqtlicense can now be built for OS X.
	[8b303294336e] <5.6-maint>

	* pyuic/uic/pyuic.py:
	Fixed misleading help text in pyuic5.
	[b5b8f9ddca13] <5.6-maint>

	* commercial/BuildNotes.txt, commercial/pyqtlicense.pdy:
	Added the initial .pdy file for pyqtlicense.
	[8b0724883824] <5.6-maint>

2016-05-05  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Fixed out of date information in the meta-data.
	[c1e0ebea4ad4] <5.6-maint>

2016-05-03  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/incompatibilities.rst:
	Documented the slot signature checking as a potential
	incompatibility.
	[12c3868cce84] <5.6-maint>

	* qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fixed connections to decorated slots to enforce the slot signature
	and not silently ignore the decorator. sip.voidptr and bytes
	arguments to the decorator now generate an appropriate C++ type.
	[2a1416f9a2d3] <5.6-maint>

2016-04-30  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/multimediawidgets/camera/camera.py:
	Fixed a bug in the camera.py example.
	[20f251a709d4] <5.6-maint>

2016-04-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Don't expect QVariant convertor helpers to handle None.
	[145437cb0acf] <5.6-maint>

2016-04-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added /ReleaseGIL/ to QPushButton.event() because it can trigger the
	display of a QMenu which will enter its own event loop.
	[9c50925525e4] <5.6-maint>

2016-04-27  Phil Thompson  <phil@riverbankcomputing.com>

	* commercial/pyqtlicense.py:
	Added the --qt option to pyqtlicense.
	[8054d2d4db90] <5.6-maint>

	* commercial/pyqtlicense.py:
	Implemented the --openssl option of pyqtlicense.
	[c4fb07c17181] <5.6-maint>

	* commercial/pyqtlicense.py:
	Implemented the --no-msvc-runtime and --no-openssl options to
	pyqtlicense.
	[4591c0e28b5a] <5.6-maint>

2016-04-26  Phil Thompson  <phil@riverbankcomputing.com>

	* commercial/pyqt-commercial.sip:
	Licensing on OS X now works.
	[a3b0438a540f] <5.6-maint>

2016-04-25  Phil Thompson  <phil@riverbankcomputing.com>

	* commercial/pyqt-commercial.sip:
	Debugged the license check code.
	[5f579e057d18] <5.6-maint>

	* commercial/pyqt-commercial.sip, commercial/pyqtlicense.py:
	Initial implementation of pyqtlicense.
	[93328b3c897a] <5.6-maint>

	* Makefile, commercial/pyqt-commercial.sip, rbproduct.py:
	Implemented the creation of unlicensed commercial wheels.
	[f042971d28ec] <5.6-maint>

	* lib/configure.py:
	--no-timestamps no longer passes the (redundant) -T flag to sip.
	[77bff7d59668] <5.6-maint>

	* lib/configure.py:
	Fixed the handling of dbus-python if it has multiple include
	directories.
	[db626499ded9] <5.6-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	Fixed the Windows installers so that QtWebEngineProcess works.
	[06ecf8131050] <5.6-maint>

2016-04-24  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.6 for changeset ae50bac2ef88
	[b1939581dab4]

	* NEWS:
	Released as v5.6.
	[ae50bac2ef88] [5.6]

	* rbproduct.py:
	The SSL library and MSVC runtime are now installed in the PyQt5
	directory.
	[6b7672768236]

2016-04-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qt_conf.cpp:
	Fixed the setting of PATH on Windows.
	[8a95f97ca7aa]

	* METADATA.in, installers/BuildGPL.txt, installers/PyQt5-Qt5-gpl.nsi,
	installers/pyqt5-check.py, installers/pyqt5-config.bat,
	lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short, lib/LICENSE.internal:
	Updated the installers fro Qt v5.6.0. Fixed the dates on copyright
	messages. Updated the meta-data to say that Linux wheels will be
	available on PyPI.
	[f9cf4e3290c7]

2016-04-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qt_conf.cpp:
	When --qtconf-prefix is specified then PATH is alos set on Windows.
	[d147afaee2c6]

2016-04-18  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, rbproduct.py:
	Removed some (now redundant) qmake handlign on Windows.
	[02f8ab12f5ad]

2016-04-17  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, rbproduct.py:
	More handling of spaces in directory names. Account for different
	Makefile structures on Windows.
	[94a4e61390a3]

	* rbproduct.py:
	Fixed a testing regression in the product plugin.
	[8e05253f91d8]

	* sphinx/installation.rst:
	Removed a Sphinx warning.
	[dd499921d5fb]

	* rbproduct.py:
	Implemented the minimal install in the product plugin.
	[8e25715c1d82]

	* rbproduct.py:
	Exploit verbose mode in the product plugin.
	[8099e3b3bca3]

	* rbproduct.py:
	Fixed permissions on the product plugin.
	[19c006f2d22c]

2016-04-16  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	The QScintilla API file is now included in the wheels.
	[a8aa89c52747]

	* METADATA.in:
	Fixed a typo in the meta-data.
	[8f14fe6ee051]

	* Makefile, build.py, rbproduct.py:
	Removed the --omit-license-tag option from build.py as it is no
	longer needed.
	[d24af7ea1d4c]

2016-04-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtWidgets/qmaccocoaviewcontainer.sip:
	QMenu.setAsDockMenu() is not available on iOS.
	[8dba3377ce19]

2016-04-14  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	The --dbus option to configure.py overrides (rather than
	supplements) any directories returned by pkg-config.
	[e39f0eeff58b]

	* Makefile, lib/configure.py:
	Fixed the handling of dbus-python header files.
	[608f71af6d2f]

	* qpy/QtCore/qpycore_qt_conf.cpp:
	Adjusted qt.conf on Windows so that QtWebEngineProcess can be found.
	[a4d8055d6b1a]

	* Makefile, build.py, rbproduct.py:
	Ensure regular snapshots have the license tag but those used in
	wheels don't.
	[ca8272fb55ff]

2016-04-12  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Fixes for the additional Windows DLLs.
	[8402c18b9cfe]

	* rbproduct.py:
	Windows wheels will now install OpenSSL DLLs and the MSVC C++
	runtime DLL.
	[d8f47655a777]

2016-04-09  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Updated the description in the meta-data.
	[94bd36376d2a]

2016-04-08  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Update the METADATA to try and require sip.
	[6a2e30c56378]

	* METADATA.in, build.py:
	Use v1.1 for the METADATA format. Don't tag the GPL source packages
	with '_gpl' because of the knock-on effect with PyPi.
	[04357f447388]

	* sphinx/qml.rst:
	Fixed a sphinx warning.
	[00b1ee427a44]

	* METADATA.in, rbproduct.py:
	Added the METADATA.in file.
	[0d593d43bf70]

2016-04-06  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Added the test for SQL drivers to the product plugin.
	[9d2b4177b3cf]

	* rbproduct.py:
	Fixed the tests defined in the product plugin.
	[21a0cdb51e30]

2016-04-05  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Added more tests to the product plugin.
	[9f8f7adbdcf0]

	* rbproduct.py:
	Properly defined the PyQt5 modules in the product plugin.
	[63dc33b74805]

	* rbproduct.py:
	Added the rbtools product plugin.
	[da8471176b5c]

2016-04-04  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, qpy/QtCore/qpycore_qt_conf.cpp,
	sphinx/installation.rst:
	Removed --qtconf-libraries.
	[b750e716119b]

	* lib/configure.py, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_post_init.cpp.in, qpy/QtCore/qpycore_qt_conf.cpp,
	sphinx/installation.rst:
	Renamed --qt-prefix-path to --qtconf-prefix. Added --qtconf-
	libraries.
	[e63e022443bc]

2016-04-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	More spaces-in-path fixes.
	[bebf960c9e18]

	* lib/configure.py:
	Fixed the invocation of sip if it has spaces in its path.
	[a491032a2f01]

2016-04-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_post_init.cpp.in, qpy/QtCore/qpycore_qt_conf.cpp:
	The Qt prefix path is now calculated at run-time to make it re-
	locatable.
	[0c8718600680]

2016-04-01  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the embedded qt.conf.
	[def17c899da2]

2016-03-31  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, qpy/QtCore/qpycore_post_init.cpp.in,
	sphinx/installation.rst:
	Added the --qt-prefix-path option to configure.py.
	[7e55c68410fe]

	* PyQt5.msp:
	Fixed an annotation typo.
	[bd8301c85566]

2016-03-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing qt_set_sequence_auto_mnemonic() to QtGui.
	[1cc2ecff7245]

2016-03-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing MouseLock to QWebEnginePage.Feature.
	[49675f503e40]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Backed out an incorrect fix (not mentioned in the previous(?)
	commit).
	[3a53b336acd1]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_qobject_getattr.cpp:
	Respect method names starting with '__' found in the meta-object as
	private as they are most likely to be Python methods decorated with
	pyqtSlot.
	[6cb67313a7f3]

2016-03-27  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/PlansForWheels.txt:
	Added the plan for handling commercial and GPL wheels.
	[dfc074229564]

2016-03-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py, sphinx/installation.rst:
	Added the --rpath option to configure.py.
	[2787cd711d1c]

2016-03-25  Phil Thompson  <phil@riverbankcomputing.com>

	* QAxContainer/qaxbase.sip:
	Removed deprecated /DocValue/ annotations.
	[1f2319650dff]

	* build.py:
	Apply the new naming standards to generated source packages.
	[e1f0d30ea050]

2016-03-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Connecting to a decorated method will now fail without a compatible
	signature.
	[d58baf1a1473]

	* examples/quick/models/abstractitemmodel/abstractitemmodel.py:
	Fixed a bug in the abstyractitemmodel.py example.
	[654315b1dcf6]

2016-03-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing WA_DontShowOnScreen.
	[571b2ed0ce32]

2016-03-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qsysinfo.sip:
	Updated for Qt v5.6.0. Added the missing QSysInfo static functions.
	[740db730593a]

2016-03-13  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/driver.py, pyuic/uic/pyuic.py:
	Fixed a couple of pyuic syntax errors.
	[70e9fff5c84d]

2016-03-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Restored the QFlags copy ctor to ensure assignment helpers are
	generated.
	[2c5cceeba03a]

2016-03-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp, qpy/QtQml/qpyqmlobject.h:
	Fixed a deadlock problem in the implementation of QML proxies.
	[293152ad5ca1]

2016-03-09  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/designer/plugins/widgets/helloglwidget.py:
	Fixed the heeloglwidget.py example so that it doesn't use PyOpenGL.
	[2d7a76584798]

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_enums_flags.cpp, qpy/QtCore/qpycore_types.cpp,
	sphinx/metaobjects.rst:
	Fixed the defining of enums and flags so that they appear as
	expected in Qt Designer.
	[0f17783785e4]

2016-03-08  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Don't include an explicit scope when implementing Q_ENUMS and
	Q_FLAGS.
	[256cb1cf3c5d]

	* examples/designer/plugins/python/multipagewidgetplugin.py,
	examples/designer/plugins/widgets/multipagewidget.py:
	Fixes to the plugins.py example.
	[151f0d8f13e8]

	* pyuic/uic/Compiler/compiler.py, pyuic/uic/Compiler/misc.py,
	pyuic/uic/__init__.py, pyuic/uic/driver.py, pyuic/uic/pyuic.py,
	sphinx/designer.rst:
	Added the --import-from command line argument to pyuic5.
	[d05ca4f9dda7]

2016-03-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the QVersionNumber class.
	[c660515bc830]

	* PyQt5.msp:
	Updated QtOpenGL for Qt v5.6rc.
	[ea5c02548075]

	* lib/configure.py, sphinx/platforms.rst:
	The Qt v5.5 rpath problems seem to have been fixed in v5.6.
	[5205794e6b9a]

	* PyQt5.msp, lib/SubclassCode/QtQuick.versions:
	Updated the QObject convertor code for QtQuick and QtWebEngineCore.
	[82eea261797e]

2016-03-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Implemented the QtWebEngineCore module.
	[023eb0e60c08]

	* PyQt5.msp:
	Completed the QtWidgets updates for Qt v5.6rc.
	[045ee6a65f5f]

2016-03-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Started updating the QtWidgets module for Qt v5.6rc.
	[742e6cc983e8]

	* sphinx/api_metadata.cfg:
	Updated the API metadata for new classes added so far.
	[531a749af28d]

	* PyQt5.msp:
	Updated the QtQml, QtQuick, QtQuickWidgets, QtSensors, QtSerialPort,
	QtSql, QtSvg and QtTest modules for Qt v5.6rc.
	[b3632c46462b]

2016-03-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated the QtNfc, QtPositioning, QtPrintSupport, QtXml and
	QtXmlPatterns modules for Qt v5.6rc.
	[ae1f88b0c079]

	* PyQt5.msp, qpy/QtMultimedia/qpymultimedia_qlist.sip:
	Updated the QtHelp, QtLocation, QtMultimedia, QtMultimediaWidgets
	and QtNetwork modules for Qt 5.6rc.
	[b957d29ef95c]

	* PyQt5.msp:
	Completed the QtGui support for Qt v5.6rc.
	[e30d789c0141]

	* PyQt5.msp:
	More QtGui updates for Qt v5.6rc.
	[e232b46d197a]

2016-03-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Partially implemented the Qt v5.6rc support for the QtGui module.
	[eb7a53fdfb5b]

2016-03-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated the QtDBus and QtDesigner modules for Qt v5.6.0rc.
	[242ffa94e504]

	* PyQt5.msp:
	Updated the QtCore module for Qt v5.6.0rc.
	[75369fe650fe]

2016-03-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated the Enginio and QtBluetooth modules for Qt v5.6rc.
	[b86fccf0f71e]

	* lib/configure.py:
	Don't embed the -f flag in PYQT_CONFIGURATION.
	[c1a15cadbc73]

	* PyQt5.msp:
	All implementations of swap() now have the /Constrained/ annotation.
	[fb287ed7e9da]

	* Makefile, PyQt5.msp:
	Removed a redundant QBrush ctor.
	[5f34d42010aa]

2016-02-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the previous change.
	[b86e13d182d7]

	* Makefile, PyQt5.msp:
	Removed the redundant QVariant copy ctor.
	[0cb802120239]

2016-02-27  Phil Thompson  <phil@riverbankcomputing.com>

	* Merged the 5.5-maint branch into the trunk.
	[f923036edfe1]

	* PyQt5.msp:
	Fixed the type hint for QDesktopServices.setUrlHandler().
	[0fa72a09eb1e] <5.5-maint>

	* PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip,
	qpy/QtCore/qjsonarray.sip, qpy/QtCore/qpycore_qlist.sip,
	qpy/QtCore/qpycore_qset.sip, qpy/QtCore/qpycore_qvector.sip,
	qpy/QtCore/qstringlist.sip, qpy/QtGui/qpygui_qvector.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Use Iterable rather than Iterator in type hints.
	[ab690c76000c] <5.5-maint>

2016-02-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed some superfluous ctors.
	[f0c110db9340] <5.5-maint>

	* PyQt5.msp:
	Make sure the datetime module is available in stub files.
	[aad90c9b7268] <5.5-maint>

	* PyQt5.msp:
	Updated type hints for classes with %ConvertToTypeCode.
	[0f619b3c60e2] <5.5-maint>

2016-02-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtQml/qmlregistertype.sip:
	Updated the project version number. More type hint improvements.
	[8be0a10b466f] <5.5-maint>

2016-02-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	More changes to the type hints.
	[5a3f980959af] <5.5-maint>

2016-02-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed some handwritten type hine code.
	[2677d628d385] <5.5-maint>

2016-02-18  Phil Thompson  <phil@riverbankcomputing.com>

	* test/tests/classes/test_QFlags.py:
	Added the QFlags unit tests.
	[796954fadf1e] <5.5-maint>

	* lib/configure.py:
	SIP warnings are now treated as fatal.
	[ef2c015cb086] <5.5-maint>

	* Makefile, PyQt5.msp:
	Updated the QFlags support from PyQt4.
	[5bd2318ecef3] <5.5-maint>

	* PyQt5.msp:
	Completed the conversion to /TypeHint/.
	[7d4c7c1162e0] <5.5-maint>

	* PyQt5.msp:
	Updated the type hints for the OpenGL modules.
	[a3d88993c395] <5.5-maint>

2016-02-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qjsonarray.sip, qpy/QtCore/qjsonobject.sip,
	qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_enums_flags.cpp,
	qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtconfigure.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_qhash.sip,
	qpy/QtCore/qpycore_qlist.sip, qpy/QtCore/qpycore_qmap.sip,
	qpy/QtCore/qpycore_qmetaobject_helpers.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_qpair.sip, qpy/QtCore/qpycore_qset.sip,
	qpy/QtCore/qpycore_qstring.cpp, qpy/QtCore/qpycore_qvector.sip,
	qpy/QtCore/qpycore_types.cpp, qpy/QtCore/qstringlist.sip,
	qpy/QtGui/qpygui_qlist.sip, qpy/QtGui/qpygui_qpair.sip,
	qpy/QtGui/qpygui_qvector.sip, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_attribute_array.cpp,
	qpy/QtGui/qpyopengl_uniform_value_array.cpp,
	qpy/QtGui/qpyopengl_value_array.cpp,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtNetwork/qpynetwork_qhash.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtQml/qpyqmllistpropertywrapper.cpp,
	qpy/QtQuick/qpyquick_chimera_helpers.cpp,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Removed all uses of SIP_SSIZE_T.
	[f1c9ab62de9e] <5.5-maint>

2016-02-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip,
	qpy/QtBluetooth/qpybluetooth_quint128.sip,
	qpy/QtCore/qjsonarray.sip, qpy/QtCore/qpycore_qlist.sip,
	qpy/QtCore/qpycore_qpair.sip, qpy/QtCore/qpycore_qset.sip,
	qpy/QtCore/qpycore_qvector.sip, qpy/QtCore/qstringlist.sip,
	qpy/QtGui/qpygui_qlist.sip, qpy/QtGui/qpygui_qpair.sip,
	qpy/QtGui/qpygui_qvector.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Removed all occurrences of SIP_SSIZE_T_FORMAT.
	[6c323983f866] <5.5-maint>

	* Makefile, PyQt5.msp:
	Make use of the new type hint class annotaions for QVariant.
	[9e1f9b26502f] <5.5-maint>

	* PyQt5.msp:
	Fix the type hints for signals and slots.
	[a7286c0088ff] <5.5-maint>

	* PyQt5.msp:
	Migrated the simple uses of /DocValue/ to /TypeHint/.
	[17fe5ba76141] <5.5-maint>

	* Makefile, PyQt5.msp:
	Removed /TypeHintValue/ when they will now be picked up from the
	mapped type.
	[e9ca1dfbd2f9] <5.5-maint>

	* sphinx/gotchas.rst:
	Extended the section of QString gotchas to include null vs. empty
	strings.
	[4f9c20591646] <5.5-maint>

2016-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip,
	qpy/QtCore/qjsonarray.sip, qpy/QtCore/qjsonobject.sip,
	qpy/QtCore/qpycore_qhash.sip, qpy/QtCore/qpycore_qlist.sip,
	qpy/QtCore/qpycore_qmap.sip, qpy/QtCore/qpycore_qset.sip,
	qpy/QtCore/qpycore_qvector.sip, qpy/QtCore/qstringlist.sip,
	qpy/QtGui/qpygui_qlist.sip, qpy/QtGui/qpygui_qvector.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtNetwork/qpynetwork_qhash.sip,
	qpy/QtNetwork/qpynetwork_qmap.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Added /TypeHintValue/ to all mapped types that might have a default
	value.
	[2f5d9532caf3] <5.5-maint>

	* qpy/QtBluetooth/qpybluetooth_qlist.sip,
	qpy/QtBluetooth/qpybluetooth_quint128.sip,
	qpy/QtCore/qjsonarray.sip, qpy/QtCore/qjsonobject.sip,
	qpy/QtCore/qpycore_qhash.sip, qpy/QtCore/qpycore_qlist.sip,
	qpy/QtCore/qpycore_qmap.sip, qpy/QtCore/qpycore_qpair.sip,
	qpy/QtCore/qpycore_qset.sip, qpy/QtCore/qpycore_qvector.sip,
	qpy/QtCore/qstringlist.sip, qpy/QtDBus/qpydbusreply.sip,
	qpy/QtGui/qpygui_qlist.sip, qpy/QtGui/qpygui_qpair.sip,
	qpy/QtGui/qpygui_qvector.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip:
	Updated the type hints for all handwritten code.
	[1fc9973d53a9] <5.5-maint>

	* qpy/QtCore/qpycore_pyqtslot.cpp:
	Updated the comment in the previous change.
	[7bfc1d8650d4] <5.5-maint>

	* qpy/QtCore/qpycore_pyqtslot.cpp:
	Fixed a bug disconnecting wrapped C++ methods.
	[a930ddb1c6a7] <5.5-maint>

2016-02-13  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/gotchas.rst, sphinx/pyqt4_differences.rst:
	Added a section to the gotchas chapter about patterns to avoid
	crashes on exit.
	[da3142f18207] <5.5-maint>

2016-02-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_qobject_helpers.cpp:
	Improved the support for Qt properties. Allow a QVariantMap to be
	converted to a dict if that was what was expected.
	[57ba51c12753] <5.5-maint>

2016-02-11  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/network/lightmaps.py:
	Fixed the lightmaps.py example.
	[9897e881d280] <5.5-maint>

	* PyQt5.msp:
	Added comments explaining why deleting top level widgets is a bad
	idea.
	[eced50bba03e] <5.5-maint>

2016-02-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtslot.cpp:
	Fixed a crash when a proxy for a non-method callable might be
	invoked while the proxy is being garbage collected.
	[fc21a0a97001] <5.5-maint>

	* qpy/QtDBus/qpydbuspendingreply.sip, qpy/QtDBus/qpydbusreply.sip,
	qpy/QtNetwork/qpynetwork_qhash.sip,
	qpy/QtNetwork/qpynetwork_qmap.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtQml/qpyqmllistproperty.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Removed some of the handwritten uses of DocType.
	[23c5a8da2265] <5.5-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp:
	Updated the repr() of bound and unbound signals as per PyQt4.
	[807eb26f59ef] <5.5-maint>

	* lib/configure.py, sphinx/installation.rst:
	Added the --no-stubs and --stubdir options to configure.py.
	[7b60214e8c60] <5.5-maint>

	* lib/LicenseFAQ.txt:
	Updated the license FAQ to make sure the version numbers of the
	commercial and GPL versions match.
	[273545f90a4a] <5.5-maint>

2016-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/pyqt4_differences.rst:
	Tone down the warnings about not using a main() function.
	[d304857728a3] <5.5-maint>

2016-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtWidgets/qpywidgets_api.h,
	qpy/QtWidgets/qpywidgets_chimera_helpers.cpp,
	qpy/QtWidgets/qpywidgets_chimera_helpers.h,
	qpy/QtWidgets/qpywidgets_post_init.cpp:
	Fixed the special handling of QGraphicsItem so that it doesn't
	interfere with parsing pyqtSignal argument types.
	[71cd6c6e7045] <5.5-maint>

2016-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated the project file to v8.
	[3df32493cb78] <5.5-maint>

2016-01-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Renamed QUrlFormattingOption.None to None_.
	[d4c8f03f6403] <5.5-maint>

2016-01-25  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Removed some redundant Borland support.
	[0f60e49c22df] <5.5-maint>

	* lib/configure.py, sphinx/installation.rst:
	The --qmake option has been added to configure.py when running on
	Windows on the assumption that the historical problem of invoking
	qmake with a path has been resolved.
	[d2653451e966] <5.5-maint>

2016-01-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.h:
	Removed some redundant data structures.
	[b071187c2187] <5.5-maint>

	* qpy/QtCore/qpycore_types.h:
	Fixes for the latest sip v5.
	[fb770c78e3dd] <5.5-maint>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Fixed a regression in the registering of QtQuick items.
	[0d9e60c88804] <5.5-maint>

2016-01-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtDBus/qpydbus_post_init.cpp,
	qpy/QtQml/qmlregistertype.sip, qpy/QtQml/qpyqml_post_init.cpp,
	qpy/QtQml/qpyqml_register_type.cpp,
	qpy/QtQuick/qpyquick_post_init.cpp:
	Call Q_ASSERT() for values returned by sipImportSymbol().
	[6ecc7eb4b7b8] <5.5-maint>

2016-01-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed an unused reference to the public API.
	[e09839f29cbd] <5.5-maint>

2016-01-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Make sure QQmlProperty.connectNotifySignal() behaves the same as the
	PyQt4 equivalent.
	[074e64f58b7f] <5.5-maint>

	* qpy/QtCore/qpycore_public_api.cpp:
	Fixed a compilation error.
	[41cfb44def2b] <5.5-maint>

	* qpy/QtCore/qpycore_public_api.cpp:
	Improved the error reporting in pyqt5_get_pyqtslot_parts().
	[5336dad73d73] <5.5-maint>

2016-01-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Use "slot" as an argument type consistently.
	[3e72e500339c] <5.5-maint>

	* PyQt5.msp, qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_public_api.h, sphinx/extension_api.rst:
	Re-implemented QWizardPage.registerField(). Fixed
	QWizard.setDefaultProperty(). The transmitter argument to
	pyqt5_get_signal_signature() is now optional.
	[b701cde0001b] <5.5-maint>

2016-01-11  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, qpy/QtCore/qpycore_decorators.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_types.cpp,
	qpy/QtGui/qpyopengl_data_cache.cpp,
	qpy/QtQml/qpyqmllistproperty.cpp,
	qpy/QtQml/qpyqmllistpropertywrapper.cpp:
	Fixes for sip5.
	[74c8e3a5a137] <5.5-maint>

2016-01-06  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/signals_slots.rst:
	Documented the PyQt_PyObject signal argument type.
	[b7d0ec91f94b] <5.5-maint>

2016-01-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the conversion of TouchCancel touch events.
	[a611260e4cb5] <5.5-maint>

2015-12-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Switched the internal build system to Python v3.5.
	[60e96c2f91b5] <5.5-maint>

2015-12-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Added support for venv to the internal build system.
	[1f541a9bc326] <5.5-maint>

2015-12-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the internal QQuickCloseEvent as an opaque class. Added the
	QQuickWindow::closing() signal.
	[61e0fc70e389] <5.5-maint>

2015-12-05  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed pyuic's handling of the margins of layout widgets.
	[5b5f0fb1b3f6] <5.5-maint>

2015-11-16  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/platforms.rst:
	Fixed a typo in the docs.
	[7f0cbf6087dd] <5.5-maint>

2015-10-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Handle PATH components that are enclosed in quotes.
	[bfa081d2253d] <5.5-maint>

	* PyQt5.msp:
	Fixed QStyleOptionButton.None.
	[993102189469] <5.5-maint>

2015-10-25  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.5.1 for changeset ee08241be21f
	[0659e00fc2ab] <5.5-maint>

	* NEWS, installers/PyQt5-Qt5-gpl.nsi:
	Released as v5.5.1.
	[ee08241be21f] [5.5.1] <5.5-maint>

	* qpy/QtCore/qpycore_pyqtproperty.cpp:
	Fixed the handling of getter docstrings by pyqtProperty.
	[75fe5856da75] <5.5-maint>

	* lib/configure.py:
	Make sure configure.py enables debug flags early enough.
	[71a413789681] <5.5-maint>

2015-10-18  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi,
	qpy/QtCore/qsysinfo.sip:
	Remainig updates for Qt v5.5.1.
	[13f9ece29d02] <5.5-maint>

2015-10-17  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	The workaround for the Qt v5.5 rpath problem on OS X will now handle
	Qt builds where any of QtPrintSupport, QtDBus or QtWidgets have been
	disabled.
	[aec0addf0acb] <5.5-maint>

	* PyQt5.msp:
	Updated from the initial scan of Qt v5.5.1.
	[942ae18cf71c] <5.5-maint>

2015-10-16  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/network/http/http.py:
	Another minor fix to http.py.
	[0be6496d6bfe] <5.5-maint>

	* examples/network/http/http.py:
	Fixed a bug in the http.py example.
	[e4609df54374] <5.5-maint>

2015-09-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed ownership issues with QQuickFramebufferObject.Renderer.
	[32c52859b93a] <5.5-maint>

	* installers/BuildGPL.txt, installers/pyqt5-config.bat,
	lib/configure.py, sphinx/installation.rst:
	Added the --disable option to configure.py.
	[992d1d3c2439] <5.5-maint>

2015-09-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Don't assume unicode objects being converted to QStrings are ready.
	[dd00723a6712] <5.5-maint>

2015-09-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Hopefully fixed the ownership of the object returned by
	QQuickFramebufferObject.createRenderer().
	[28175521934f] <5.5-maint>

	* PyQt5.msp, qpy/QtQuick/qpyquick_register_type.cpp,
	qpy/QtQuick/qpyquickframebufferobject.cpp,
	qpy/QtQuick/qpyquickframebufferobject.h:
	Handle a QQuickFramebufferObject in the same was as
	QQuickPaintedItem.
	[af9ef4c21748] <5.5-maint>

	* pyuic/uic/properties.py:
	Fixed pyuic's handling of non-ASCII font family names.
	[cf72929c8d36] <5.5-maint>

2015-09-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed all handwritten code that uses C++11 lambdas.
	[5c39838726ef] <5.5-maint>

	* Makefile, PyQt5.msp:
	Improved some handwritten code.
	[7bf4b1f25365] <5.5-maint>

2015-09-09  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	Updated the root URL for the Qt docs.
	[c52056ca5ef2] <5.5-maint>

2015-09-08  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, installers/PyQt5-Qt5-gpl.nsi, installers
	/psql-config.bat:
	Updates to installers for Python v3.5.
	[df9e3329a638] <5.5-maint>

	* lib/configure.py:
	Use win32-msvc2015 for Python v3.5.
	[8ab07055894e] <5.5-maint>

	* installers/BuildGPL.txt, installers/PyQt5-Qt5-gpl.nsi:
	Installer updates for Python v3.5.
	[bf1db67f03e7] <5.5-maint>

	* PyQt5.msp:
	Remainder of QMacCocoaViewContainer fix.
	[06cf88343082] <5.5-maint>

2015-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/SubclassCode/QtWidgets.versions,
	qpy/QtWidgets/qmaccocoaviewcontainer.sip:
	QMacCocoaViewContainer is now feature dependent so that it can be
	disabled for iOS.
	[ee9b7b0e0576] <5.5-maint>

2015-09-02  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/animation/animatedtiles/animatedtiles.py,
	examples/animation/appchooser/appchooser.py,
	examples/animation/easing/easing.py,
	examples/animation/moveblocks.py,
	examples/animation/states/states.py,
	examples/animation/stickman/stickman.py,
	examples/graphicsview/dragdroprobot/dragdroprobot.py,
	examples/graphicsview/padnavigator/padnavigator.py:
	Fixed implicit conversions from strings to QByteArray in the
	examples.
	[03781fa3b27e] <5.5-maint>

	* PyQt5.msp:
	Implemented __matmul__ and __imatmul__ for QMatrix4x4 and
	QTransform.
	[f13ef1501dfb] <5.5-maint>

2015-09-01  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	The internal build system now defaults to Python v3.5.
	[514fd7675915] <5.5-maint>

2015-08-28  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qobject_getattr.cpp:
	Fixed a legacy comment.
	[fc27a24424ee] <5.5-maint>

2015-08-27  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/qml/referenceexamples/attached.py,
	examples/qml/referenceexamples/binding.py,
	examples/qml/referenceexamples/coercion.py,
	examples/qml/referenceexamples/default.py,
	examples/qml/referenceexamples/grouped.py,
	examples/qml/referenceexamples/methods.py,
	examples/qml/referenceexamples/properties.py,
	examples/qml/referenceexamples/signal.py,
	examples/qml/referenceexamples/valuesource.py,
	qpy/QtCore/qpycore_namespace.h, qpy/QtQml/qpyqml_post_init.cpp,
	qpy/QtQml/qpyqmllistproperty.cpp, qpy/QtQml/qpyqmllistproperty.sip,
	qpy/QtQml/qpyqmllistpropertywrapper.cpp,
	qpy/QtQml/qpyqmllistpropertywrapper.h, sphinx/qml.rst:
	QQmlListProperty now acts as a proxy for any underlying Python list.
	[ffd5437ab83f] <5.5-maint>

2015-08-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Applied a better fix than 56be1a87fd2c that doesn't break proxy
	resolution.
	[e0fc4cba9b47] <5.5-maint>

2015-08-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Backed out 56be1a87fd2c because it breaks the proxy resolution.
	[209dc1cc0ecc] <5.5-maint>

2015-08-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Fixed the conversion of enums for Qt v5.5.
	[698e32887e28] <5.5-maint>

2015-08-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed a remaining OpenGL feature.
	[02a5c02ddbcb] <5.5-maint>

2015-08-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h:
	Fixed a missing exception when failing to parse types.
	[fb938891400e] <5.5-maint>

2015-08-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtWidgets.versions:
	Fixes for building against a Qt without OpenGL support.
	[2bd297e85e66] <5.5-maint>

2015-08-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed a leak in the handling of QQuickItem.updatePaintNode().
	[8bfac6a28129] <5.5-maint>

	* lib/configure.py:
	Properly fix the different licensee values for the LGPL version of
	Qt.
	[45a7890b0823] <5.5-maint>

	* PyQt5.msp:
	Ensure that QtWebEngineWidgets is imported before a QCoreApplication
	instance is created.
	[a4041c1d6446] <5.5-maint>

2015-07-23  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/qtdemo/demoitemanimation.py:
	Fixed an implicit coding bug in qtdemo.
	[7ff58420e62e] <5.5-maint>

2015-07-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtCore.versions, lib/configure.py:
	Changes needed because iOS doesn't have QProcess etc.
	[4e482908fc36] <5.5-maint>

	* lib/configure.py:
	Interpret a licensee of "Builder Qt" as being the LGPL version.
	[1327c48468e4] <5.5-maint>

	* Merge the forgotten tagging of the v5.5 release.
	[fec61fb57dc8] <5.5-maint>

	* .hgtags:
	Added tag 5.5 for changeset a4bf2ec86f1e
	[9d7d3e5d6370]

	* Makefile:
	Updated the default target version.
	[4e9e6b798220] <5.5-maint>

	* PyQt5.msp:
	Fixes for compiling against Qt builds without SSL support.
	[a5cfb55177fc] <5.5-maint>

2015-07-17  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, installers/pyqt5-check.py:
	Released as v5.5.
	[a4bf2ec86f1e] [5.5]

	* lib/configure.py:
	Tidied up the format of chenerated .pro files.
	[3481361d7081]

	* installers/pyqt5-check.py:
	pyqt5-check.py now checks the import of each module.
	[204bcf3320a3]

2015-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, installers/PyQt5-Qt5-gpl.nsi,
	installers/pyqt5-check.py:
	Updated the Windows installer for Qt v5.5.0.
	[7291c392fd1f]

	* PyQt5.msp:
	Fixed a build problem when compiling each class separately.
	[6968432991a7]

	* sphinx/deprecations.rst, sphinx/index.rst, sphinx/platforms.rst:
	Added the section covering platform specific issues to the docs.
	[872c73dc46ec]

	* PyQt5.msp, designer/pluginloader.cpp, designer/pluginloader.h,
	qpy/QtDesigner/qpydesignercustomwidgetcollectionplugin.h,
	qpy/QtDesigner/qpydesignercustomwidgetplugin.h:
	Eliminated the warning messages when compiling QtDesigner against Qt
	v5.5.0.
	[ef816a6023fa]

	* PyQt5.msp:
	Ignore the Qt3D namespace.
	[f76909162b0d]

2015-07-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qhash.sip, qpy/QtCore/qpycore_qmap.sip:
	Made small improvements to the exception text for some mapped type
	conversions.
	[6636b3382c7c]

	* NEWS, PyQt5.msp, sphinx/api_metadata.cfg:
	Implemented QProxyStyle.
	[4a8da89efee1]

	* PyQt5.msp:
	Added the initial scan of QProxyStyle.
	[10918a24693d]

2015-07-09  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Documented the QtNfc module.
	[098fa0059151]

	* PyQt5.msp, lib/configure.py:
	Completed the implementation of the QtNfc module.
	[980a642056c2]

	* PyQt5.msp:
	Completed the initial scan of the QtNfc module.
	[f84dc533613e]

	* PyQt5.msp:
	Really scan Qt v5.5.0.
	[e942243e71f2]

	* lib/configure.py:
	Update QMAKE_RPATHDIR rather than set it.
	[6e7ef843d1a8]

2015-07-07  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Added QtLocation to the documentation. Updated the NEWS file.
	[6fd628724de4]

	* PyQt5.msp:
	Updated for Qt v5.5.0.
	[825d80753312]

	* lib/configure.py:
	Fixed the remaining problems caused by the use of rpath in Qt v5.5.0
	on OS X.
	[5245460dd4e0]

2015-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	Completed the implementation of QtLocation.
	[5ef6f88ed7cc]

	* pyuic/uic/uiparser.py:
	Fixed the adding of a widget to a box layout when an alignment is
	specified.
	[c7462b03a569]

	* PyQt5.msp:
	Added the initial support for QtLocation.
	[74dba26ade24]

	* lib/configure.py:
	Updated configure.py for the QtLocation module.
	[2adcdd927f7b]

	* sphinx/api_metadata.cfg:
	Updated the API configuration for the recently added new classes.
	[46d2397e4bac]

	* PyQt5.msp:
	Completed the initial scan of QtLocation.
	[01c5d7b2f5c1]

2015-06-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtWebEngineWidgets.versions,
	lib/configure.py:
	Updated QtWebEngineWidgets for Qt v5.5.0-rc.
	[9d90aaba2346]

	* PyQt5.msp:
	Updated QtGui for Qt v5.5.0-rc.
	[29e5da47d4eb]

	* PyQt5.msp:
	Added QT v5.5.0-rc support to QtOpenGL, QtPositioning,
	QtPrintSupport, QtQml, QtQuick, QtQuickWidgets, QtSensors,
	QtSerialPort and QtTest.
	[16c53510a247]

2015-06-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the Qt v5.5 support for QtNetwork.
	[7df1482cd7cd]

	* PyQt5.msp, lib/SubclassCode/QtMultimedia.versions:
	Completed the Qt v5.5 support for QtMultimedia.
	[9bc46f0d7c99]

	* PyQt5.msp:
	Initial scan of the remaining existing modules.
	[c267700a94e9]

2015-06-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed a missing reference in the QtGui module.
	[639da5a3046f]

	* lib/configure.py:
	Set QMAKE_RPATHDIR for Qt v5.5 and later on OS X.
	[4cb6a26802dd]

	* PyQt5.msp, lib/configure.py:
	Completed the updates for QtGui for Qt v5.5.0-rc.
	[40bfae01fe1a]

2015-06-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the QtDBus and QtDesigner modules for Qt v5.5.0-rc.
	[9169626a8e94]

	* PyQt5.msp:
	Initial scan of QtDBus, QtDesigner and QtGui for Qt v5.5.0-rc.
	[bd6a2e668fd7]

	* PyQt5.msp:
	Completed the initial Qt v5.5 support for QtBluetooth and QtCore.
	[19bff136b8f4]

	* PyQt5.msp:
	Parsed the Qt v5.5.0-rc changes for Enginio, QtBluetooth and QtCore.
	[051e57a17d18]

2015-06-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Simplified the fix for the memory leak in attributeNames().
	[d5b00e76067f]

2015-06-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QSGMaterialShader.attributeNames() no longer leaks memory.
	[be201b77bdb6]

	* QtMacExtras/QtMacExtrasmod.sip, QtMacExtras/qmactoolbar.sip,
	QtMacExtras/qmactoolbaritem.sip:
	Added QMacToolBar and QMacToolBarItem.
	[07cd3c5604f2]

	* PyQt5.msp:
	Added /ReleaseGIL/ to the QCoreApplication, QGuiApplication and
	QApplication dtors to allow for the internal mutex in OpenGL
	rendering.
	[64f2c9dbf061]

2015-06-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	The ownership of the QSGNode returned by
	QQuickItem.updatePaintNode() is now handled correctly.
	[97ce4458a5c1]

	* PyQt5.msp:
	Added /ReleaseGIL/ for all QQuickWindow methods that seem to lock
	the internal mutex.
	[61740b8dd171]

	* PyQt5.msp:
	Fix the QSGMaterialShader super-type as it can be owned.
	[67adc9416118]

	* PyQt5.msp:
	The QQuickView dtor now releases the GIL in order to avoid a
	deadlock.
	[70f4a305607e]

2015-06-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing Qt.NoOpaqueDetection and Qt.NoFormatConversion
	values.
	[f800f67c3286]

2015-06-12  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/deprecations.rst, sphinx/incompatibilities.rst,
	sphinx/index.rst:
	Documented the incompatible changes.
	[f6bfd44ba749]

	* PyQt5.msp, build.py, qpy/QtCore/qpycore_public_api.cpp:
	Removed the (deprecated) ability to convert a Latin-1 string to a
	QByteArray(). Unhandled Python exceptions now call qFatal().
	[de30e9dedad8]

	* examples/graphicsview/dragdroprobot/dragdroprobot.qrc,
	examples/graphicsview/dragdroprobot/dragdroprobot_rc.py,
	examples/opengl/samplebuffers.py,
	examples/opengl/textures/textures.qrc,
	examples/opengl/textures/textures_rc.py, examples/qtdemo/qtdemo.qrc,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml,
	sphinx/static/default.css:
	Merged the v5.4 maintenance branch with the trunk.
	[b512611dd0ea]

2015-06-11  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.4.2 for changeset 5a34feb6b31d
	[6f80aa2771d3] <5.4-maint>

	* NEWS:
	Released as v5.4.2.
	[5a34feb6b31d] [5.4.2] <5.4-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	Fixed a missing image plugin in the Windows installer.
	[29760ab3d5f9] <5.4-maint>

	* Makefile:
	Clean up any extra Mac crap.
	[dcbc92d15a8b] <5.4-maint>

2015-06-07  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/compiler.py,
	pyuic/uic/Compiler/qobjectcreator.py:
	Make sure all generedt imports are sorted and therefore repeatable.
	[9ad1a251d97b] <5.4-maint>

2015-06-05  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp:
	Completed the support for Qt v5.4.2.
	[02c99f5affde] <5.4-maint>

	* PyQt5.msp:
	Scanned Qt v5.4.2.
	[7fbd795f8c5e] <5.4-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the Windows installer for Qt v5.4.2.
	[74c080b5bdb2] <5.4-maint>

	* PyQt5.msp:
	Added missing /Factory/ annotations from the create() and
	beginCreate() methods of QQmlComponent.
	[56be1a87fd2c] <5.4-maint>

2015-06-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the handling of the value returned by Python re-
	implementations of QSGMaterialShader.attributeNames().
	[cb620297cbc8] <5.4-maint>

2015-05-23  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, sphinx/installation.rst:
	Added the --no-python-dbus option to configure.py.
	[df17d3eace7a] <5.4-maint>

2015-05-18  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed another deprecation warning in pyuic.
	[6333c15a9a6b] <5.4-maint>

	* pyuic/uic/driver.py, pyuic/uic/objcreator.py,
	pyuic/uic/port_v2/load_plugin.py, pyuic/uic/port_v3/load_plugin.py:
	Fixed all the deprecation warnings from pyuic.
	[e8f96fbc8cf0] <5.4-maint>

2015-05-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Fixed the path to SIP on OS/X.
	[39ecf0bc71e1] <5.4-maint>

2015-05-06  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Loader/qobjectcreator.py, pyuic/uic/icon_cache.py,
	pyuic/uic/objcreator.py:
	Fixed the handling of themed icons by uic.loadUi().
	[506c268c8f43] <5.4-maint>

2015-04-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Handle properties that are objects that are defined in QML.
	[aebd6aab85d4] <5.4-maint>

2015-04-04  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Fixed pyuic's handling of default margins.
	[6a7e3e6175c8] <5.4-maint>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Fixed pyuic's handling of the default spacing.
	[12193d5afbe1] <5.4-maint>

2015-04-03  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/main.cpp:
	pylupdate now saves locations as relative to the .ts file.
	[1757d2e318f6] <5.4-maint>

2015-04-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added QWIDGETSIZE_MAX to QtWidgets.
	[b136fd7c485e] <5.4-maint>

2015-03-25  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/static/classic.css, sphinx/static/default.css:
	Fixed the stylesheet.
	[d35996e57f02] <5.4-maint>

2015-03-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	The GIL is now released for all QImage ctors and methods that might
	block.
	[3fd70eec66b9] <5.4-maint>

	* PyQt5.msp:
	Removed the internal QGraphicsSceneEvent.setWidget().
	[622e5b5ebcfc] <5.4-maint>

2015-03-11  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi:
	Added the OpenGL v2.1 backend to the Windows installer.
	[ca1e4c121c78] <5.4-maint>

	* sphinx/conf.py:
	Updated for sphinx v1.3.
	[1c1cd1eac7ce] <5.4-maint>

	* qpy/QtCore/qsysinfo.sip:
	Added Yosemite and iOS v8.0 to QSysInfo.
	[01d4d1af5961] <5.4-maint>

	* pyuic/uic/uiparser.py:
	pyuic now handles empty zorder elements.
	[a0dcd07b7e72] <5.4-maint>

	* lib/configure.py:
	Added nostrup to the generated .pro file.
	[d6445df281a6] <5.4-maint>

2015-03-01  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	pyuic will now ignore spacer items when setting the z-order.
	[28704a096a3a] <5.4-maint>

2015-02-26  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi:
	Installer fix for Qt v5.4.1.
	[0b21a7fa6750] <5.4-maint>

	* .hgtags:
	Added tag 5.4.1 for changeset 0a5d7730c142
	[e9b5f2d5bd48] <5.4-maint>

	* NEWS:
	Released as v5.4.1.
	[0a5d7730c142] [5.4.1] <5.4-maint>

2015-02-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the changes for Qt v5.4.1.
	[368c0d736e49] <5.4-maint>

	* PyQt5.msp:
	Scanned Qt v5.4.1.
	[2045a358e1e4] <5.4-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the installer for Qt v5.4.1.
	[22974f5a4007] <5.4-maint>

	* NEWS:
	Updated the NEWS file.
	[fd53bf1f9638] <5.4-maint>

2015-02-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LicenseFAQ.txt:
	Slight clarification in the license FAQ.
	[a4e16da29a86] <5.4-maint>

	* examples/opengl/grabber.py:
	grabber.py now uses QtOpenGLWidget and no longer uses PyOpenGL.
	[cf42f047f5af] <5.4-maint>

	* examples/opengl/samplebuffers.py, examples/qtdemo/examples.xml,
	examples/qtdemo/mainwindow.py, examples/qtdemo/menumanager.py,
	examples/qtdemo/qtdemo.py, examples/qtdemo/qtdemo.qrc,
	examples/qtdemo/qtdemo_rc.py, examples/qtdemo/xml/examples.xml:
	qtdemo.py no longer uses pyrcc. Removed the samplebuffers.py
	example.
	[9dd44e33dbf2] <5.4-maint>

2015-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/opengl/overpainting.py:
	overpainting.py no longer uses PyOpenGL.
	[0095ac30f3f1] <5.4-maint>

	* examples/opengl/hellogl.py:
	hellogl.py no longer uses PyOpenGL.
	[2466595ffaa8] <5.4-maint>

	* examples/opengl/textures/textures.py:
	textures.py no longer uses PyOpenGL.
	[cea54a81d734] <5.4-maint>

	* examples/opengl/textures/textures.py,
	examples/opengl/textures/textures.qrc,
	examples/opengl/textures/textures_rc.py:
	The textures.py example now uses QOpenGLWidget and does not use
	pyrcc.
	[0038f626c540] <5.4-maint>

	* examples/opengl/overpainting.py:
	overpainting.py now uses QOpenGLWidget.
	[adb738a8823d] <5.4-maint>

	* PyQt5.msp:
	Added the _QOpenGLFunctions_2_1 module.
	[831d9420cdb9] <5.4-maint>

	* PyQt5.msp:
	Initial scan of the _QOpenGLFunctions_2_1 module.
	[87965430e499] <5.4-maint>

	* examples/opengl/2dpainting.py:
	Updated 2dpainting.py to match Qt v5.4.
	[2444297431e1] <5.4-maint>

	* examples/opengl/2dpainting.py, examples/opengl/hellogl.py:
	2dpainting.py and hellogl.py now use QOpenGLWidget.
	[7570b3ee5137] <5.4-maint>

2015-02-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Default to sip4.
	[56103de21ca0] <5.4-maint>

	* Makefile, lib/configure.py:
	Installing into a virtual env should now work.
	[d18494d4f984] <5.4-maint>

2015-02-12  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/graphicsview/dragdroprobot/dragdroprobot.py,
	examples/graphicsview/dragdroprobot/dragdroprobot.qrc,
	examples/graphicsview/dragdroprobot/dragdroprobot_rc.py:
	Fixed the dragdroprobot.py example.
	[29d42f347e05] <5.4-maint>

	* examples/widgets/calendarwidget.py:
	Fixed the calendarwidget.py example so it doesn't use obsolete
	methods.
	[5bfdad59eee6] <5.4-maint>

2015-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py:
	Improved the implementation of the executable search.
	[c8a254ad3b53] <5.4-maint>

	* Makefile:
	Switch the internal build system to sip5.
	[8553ce1a8cff] <5.4-maint>

	* lib/configure.py:
	Use sip5 in preference to sip4.
	[e104f5f49120] <5.4-maint>

2015-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QEvent.None is now QEvent.None_.
	[21c5779b9a9a] <5.4-maint>

	* PyQt5.msp:
	Added some missing QEvent.Type values.
	[09db852ff2ee] <5.4-maint>

2015-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed all the pseudo-ctors that take a QVariant argument.
	[1507018b0814] <5.4-maint>

2015-02-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Enabled the simplest calls in OpenGL 4.0-core.
	[bcb234196361] <5.4-maint>

2015-02-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated OpenGL 4.1Core from 2.0.
	[2197f1d1f00b] <5.4-maint>

	* PyQt5.msp:
	Get the name right for the _QOpenGLFunctions_4_1_Core module.
	[8ce7c02e45da] <5.4-maint>

	* PyQt5.msp:
	Added the stub of the _QOpenGLFunctions_4_1_core module.
	[cc4b33b46918] <5.4-maint>

2015-02-01  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	configure.py will now ignore old moc generated C++ files.
	[b9f4e00ddb92] <5.4-maint>

2015-01-31  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, sphinx/installation.rst:
	Added the --license-dir command line option to configure.py.
	[bc8255a4dd33] <5.4-maint>

2015-01-30  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	configure.py will now handle a blank licensee.
	[0db0131e1ac0] <5.4-maint>

	* lib/configure.py:
	Fixed the handling of the --qml-plugindir option to configure.py.
	[c4f830debfc8] <5.4-maint>

	* qpy/QtCore/qpycore_public_api.cpp:
	Converting argv now uses the current locale codec rather than
	Latin-1.
	[73c52f636ad1] <5.4-maint>

	* pyuic/uic/uiparser.py:
	pyuic now supports the z-order of widgets.
	[f9b37fb09d6e] <5.4-maint>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Improved the fix for handling frame shadows of lines.
	[9904222abd9b] <5.4-maint>

2015-01-29  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Fixed pyuic's handling of the frame shadow of lines.
	[0b20cc5fda6f] <5.4-maint>

	* pyrcc/rcc.cpp, pyuic/uic/__init__.py:
	Removed the timestamp from the header generated by pyrcc.
	[a56bb17ad8ce] <5.4-maint>

	* pyuic/uic/__init__.py:
	Removed the timestamp from the header generated by pyuic.
	[83ff904a1929] <5.4-maint>

2015-01-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed a regression converting a QString with a surrogate pair as the
	last character.
	[55f521ae431b] <5.4-maint>

2015-01-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Fixed the previous fix.
	[0d0762e7b5ef] <5.4-maint>

2015-01-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Ensure any exception is cleared after introspecting QObject class
	attributes.
	[afaaea82b022] <5.4-maint>

2015-01-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	The QtWebChannel and QtWebSockets modules don't need a GUI.
	[154b7ed4e071] <5.4-maint>

	* PyQt5.msp:
	The loadUrl() methods of QQmlComponent now release the GIL.
	[c7a9f34318ad] <5.4-maint>

2015-01-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short, lib/LICENSE.internal, sphinx/conf.py:
	Updated the copyright notices.
	[83f2a9f8495b] <5.4-maint>

	* PyQt5.msp, lib/SubclassCode/QtWidgets.versions, lib/configure.py,
	qpy/QtWidgets/qmaccocoaviewcontainer.sip, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Added the QMacCocoaViewContainer class.
	[4e2f742ce34d] <5.4-maint>

2014-12-25  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.4 for changeset 51e7270c0aad
	[5bf7aad36927]

	* NEWS:
	Released as v5.4.
	[51e7270c0aad] [5.4]

2014-12-24  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi, installers/qt5-config.bat:
	Enable ICU support for the WIndows build of Qt. Updated the
	installer now that the default OpenGL support is desktop.
	[bcbeae513872]

2014-12-23  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/pyqt5-check.py, installers/qt5-config.bat:
	Updated the check script to handle the additional image formats in
	Qt v5.4.0. Updated the Qt5 configure script to enable dynamic OpenGL
	selection.
	[8d58795da4b1]

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the installer for Qt v5.4.0.
	[0d2998cc5275]

2014-12-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qmlscene/pluginloader.cpp:
	Fixed a bug in the qmlscene plugin when building against Python v2.
	[73b7aaf3c7cc]

	* sphinx/introduction.rst:
	Updated the docs regarding the commercial license.
	[c8a533acf511]

	* lib/LICENSE.commercial.short:
	Fixed the short commercial license to match the full one.
	[1a7134faa09a]

	* lib/LicenseFAQ.txt:
	Tweaks to the license FAQ.
	[75f024dc27b1]

2014-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial:
	Updated the commercial license to v4.0.
	[6f91254b3779]

	* lib/LicenseFAQ.txt:
	Added the license FAQ.
	[970d31cd4a5e]

2014-12-18  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/SubclassCode/mksccode.py:
	The sub-class convertor code generator now handles hidden C++
	namespaces.
	[f951bd1e9437]

2014-12-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed the QString to Unicode conversion to not assume that a QString
	has a trailing null QChar.
	[7c319bbde1bf]

2014-12-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp:
	Fixed a bug in the relaying of signals defined in Python to QML.
	[850ad2e2dd38]

2014-12-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp:
	Removed a forgotton debug statement.
	[10c73f88bfd5]

	* PyQt5.msp:
	Updated for Qt v5.4.0.
	[dde3d6b31be9]

	* PyQt5.msp:
	Scanned Qt v5.4.0.
	[77ec0fc59d92]

2014-12-07  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp, qpy/QtQml/qpyqmlobject.h:
	Fixed problems with creating item models in Python and accessing
	from QML.
	[646b6aafd24f]

2014-12-05  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/pyqt4_differences.rst:
	Further doc updates regarding QtXml.
	[fd14d57dd224]

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi:
	Completed the QtXml module.
	[29dcc0a9556a]

	* sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Updated the docs for the QtXml module.
	[3170490e2c54]

	* lib/configure.py:
	Updated configure.py for QtXml.
	[907b21fd87f3]

	* PyQt5.msp:
	Added the initial scan of the QtXml module.
	[b0ad7a93f4f3]

2014-12-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Final fixes for QWebEnginePage. Added the QtWebChannel and
	QtWebEngineWidgets classes to the docs.
	[dddb0c57ea0a]

	* PyQt5.msp:
	Scanned QWebEngineCertificateError now that we know it is part of
	the API.
	[1afa4ca635d0]

2014-11-30  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi, sphinx/introduction.rst:
	Updated the docs and installer in relation to QtWebEngineWidgets and
	Windows.
	[c84926e7bb99]

	* PyQt5.msp:
	Completed the implementation of QWebEnginePage.
	[f23dc18cbc3d]

	* PyQt5.msp, lib/configure.py:
	Completed the implementation of QWebEngineView.
	[8a7d384eaf6d]

	* PyQt5.msp, qpy/QtCore/qpycore_qhash.sip:
	Completed the QtWebChannel module.
	[f184466d65d2]

2014-11-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	Implemented the majority of the QtWebChannel and QtWebEngineWidgets
	modules.
	[c7a7ad2384ab]

	* PyQt5.msp:
	Scanned the QtWebChannel and QtWebEngineWidgets modules.
	[3a6e2f146f7b]

	* sphinx/introduction.rst:
	Updated the docs for QtWebChannel and QtWebEngineWidgets.
	[01d762d375dd]

	* pyuic/uic/Compiler/qtproxies.py, pyuic/uic/widget-
	plugins/qtquickwidgets.py:
	Added support for QQuickWidget and QOpenGLWidget to pyuic5.
	[78b75d36ff67]

	* installers/PyQt5-Qt5-gpl.nsi, lib/configure.py:
	Updated configure.py and the installer for QtWebChannel and
	QtWebEngineWidgets.
	[1f0847cc6406]

	* PyQt5.msp, lib/SubclassCode/QtWidgets.versions,
	sphinx/api_metadata.cfg:
	Updated QtWidgets for Qt v5.4.0-rc.
	[c42a45936b60]

	* PyQt5.msp:
	Updated QtSql, QtWebKit and QtWebSockets for Qy v5.4.0-rc.
	[0db3c6fc10e9]

	* PyQt5.msp, lib/SubclassCode/QtSensors.versions,
	sphinx/api_metadata.cfg:
	Updated QtSensors for Qt v5.4.0-rc.
	[89bd5ee95fc7]

	* PyQt5.msp, lib/SubclassCode/QtQuick.versions,
	sphinx/api_metadata.cfg:
	Updated QtQml, QtQuick and QtQuickWidgets for Qt v5.4.0-rc.
	[a3465156fcca]

	* PyQt5.msp, qpy/QtPrintSupport/qpyprintsupport_qlist.sip:
	Updated QtNetwork and QtPrintSupport for Qt v5.4.0-rc.
	[e2ddf6704ca0]

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Completed QtMultimedia (mostly by ignoring the difficult bits
	because they are very unlikely to ever be needed).
	[aaf808e972a1]

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Fixed the transfer annotations on one of the QCompleter ctors.
	Updated the easy parts of QtMultimedia for Qt v5.5.0-rc.
	[a5a2787aac3c]

2014-11-28  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/api_metadata.cfg:
	Updated the docs meta-data for the new classes added so far.
	[4b9612f9fd6e]

	* PyQt5.msp, lib/SubclassCode/QtGui.versions:
	Updated QtGui and QtHelp for Qt v5.4.0-rc.
	[0040ab36e770]

	* PyQt5.msp:
	Updated QtCore for Qt v5.4.0-rc.
	[41f942bc3e5b]

	* PyQt5.msp, lib/SubclassCode/QtBluetooth.versions:
	Updated the Enginio and QtBluetooth modules for Qt v5.4.0-rc.
	[2cbf21f8c128]

	* QtX11Extras/qx11info_x11.sip:
	Updated QtX11Extras for Qt v5.4.0-rc.
	[6d979ec944e4]

	* QtWinExtras/qwinthumbnailtoolbar.sip:
	Updated QtWinExtras for Qt v5.4.0-rc.
	[5cc43b61d591]

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the Qt version number in the installer.
	[cd16e111cb7c]

	* PyQt5.msp:
	Initial scan of Qt v5.4.0-rc for existing modules.
	[7fa71f7ee0df]

2014-11-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the return values of the addWidget() and insertWidget()
	methods of QStackedLayout.
	[d3f5d1f98b7d]

2014-11-25  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/gotchas.rst:
	Updated the description of conversions to QByteArray from latin-1
	strings.
	[4e4b64fa2936]

2014-11-20  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/qml.rst:
	Updated the docs to describe how to run the qmlscene plugin example.
	[360981336f2f]

2014-11-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qmlregistertype.sip:
	Added the missing non-template overloads of qmlRegisterType() and
	qmlRegisterSingletonType().
	[15b37c22d541]

	* build.py:
	A source package now contains a full ChangeLog.
	[51a45084f486]

2014-10-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	QObject.findChild() and QObject.findChildren() now handle QML proxy
	objects.
	[837edec02d98]

	* lib/configure.py:
	Fixed a regression in configure.py related to the DBus Python
	module.
	[c45eba355f57]

2014-10-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Reduced the delay in the input hook on Windows.
	[6e9a8b1ba494]

2014-10-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Always check for the Python dbus module.
	[661bf1f5c6e0]

	* lib/configure.py:
	Run qmake once, recursively.
	[3729fd92a74b]

	* lib/configure.py:
	Renamed the .pro files for pyrcc5 and pylupdate5.
	[2c328ebcc4a3]

	* designer/designer.pro-in, designer/python.pro-in, lib/configure.py,
	qmlscene/python.pro-in, qmlscene/qmlscene.pro-in:
	Renamed the .pro files for the designer and qmlscene plugins.
	[c6ba2b645332]

2014-10-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Handle OS/X with --enable-shared as well as --enable-framework.
	[f2a6301eac36]

2014-10-04  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/deprecations.rst:
	Updated the docs regarding unhandled Python exceptions.
	[027db5a97624]

	* PyQt5.msp, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_pyqtpyobject.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.cpp,
	qpy/QtCore/qpycore_qmessagelogger.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_virtual_error_handler.sip,
	qpy/QtQml/qpyqml_api.h, qpy/QtQml/qpyqml_post_init.cpp,
	qpy/QtQml/qpyqmllistproperty.cpp, qpy/QtQml/qpyqmlobject.cpp,
	qpy/QtQml/qpyqmlsingletonobject.cpp, qpy/QtQuick/qpyquick_api.h,
	qpy/QtQuick/qpyquick_post_init.cpp, qpy/QtQuick/qpyquickitem.cpp,
	qpy/QtQuick/qpyquickpainteditem.cpp, sphinx/extension_api.rst:
	Added pyqt5_err_print() to the public API (as a replacement for
	PyErr_Print() that implements the new policy for unhandled
	exceptions).
	[05a22fdd6ce2]

	* PyQt5.msp, qpy/QtCore/qpycore_virtual_error_handler.sip:
	Implemented the new behaviour for unhandled Python exceptions in
	virtual reimplementations.
	[bd744ebca21d]

2014-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, build.py, sphinx/deprecations.rst,
	sphinx/incompatibilities.rst, sphinx/index.rst:
	The automatic conversion of a Latin-1 encoded string to QByteArray
	is now deprecated.
	[ce37c9511e58]

2014-10-02  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/mainwindows/application/application.qrc,
	examples/mainwindows/application/application_rc.py,
	qpy/QtCore/qpycore_qstringlist.sip:
	Merged the 5.3-maint branch into the trunk.
	[db7746b0db88]

2014-10-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, installers/BuildGPL.txt, lib/configure.py:
	Fixed QNetworkAccessManager.createRequest() so that it aborts rather
	than crashes when None is returned of there is an unhandled
	exception.
	[028a89e8d6a2] <5.3-maint>

2014-09-23  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the Qt version number in the installer.
	[5cef3154ebc0] <5.3-maint>

2014-09-22  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the version of ICU included in the installers.
	[b50fd07dcd1a] <5.3-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	The qt.conf files now use relative pathnames.
	[345f75972cd2] <5.3-maint>

	* PyQt5.msp:
	Updated the project file for Qt v5.3.2.
	[1b51adc53538] <5.3-maint>

	* lib/configure.py:
	Fixed building against Qt v5.3.2.
	[3d76ad16a090] <5.3-maint>

2014-09-16  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed a configure.py regression when introspecting for a static
	Python library.
	[35dae695e5fe] <5.3-maint>

2014-09-13  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Allow an invalid QVariant to be converted to None if a
	QMetaType::Void is expected because QML seems to expect it.
	[9b8a2870307b] <5.3-maint>

2014-09-12  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.3.2 for changeset b0872e23eef2
	[09479720708a] <5.3-maint>

	* NEWS:
	Released as v5.3.2.
	[b0872e23eef2] [5.3.2] <5.3-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	Add the Enginio DLL to the installer.
	[9913df0c09a7] <5.3-maint>

2014-09-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Improved a configure.py error message.
	[55d2db4d2016] <5.3-maint>

2014-09-09  Phil Thompson  <phil@riverbankcomputing.com>

	* designer/pluginloader.cpp, designer/python.pro-in, lib/configure.py:
	Reverted the behaviour of the designer plugin so that it explicitly
	loads the Python interpreter library.
	[520c69cecd7f] <5.3-maint>

2014-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/incompatibilities.rst:
	Documented the different handling of signals with default arguments
	as a potential incompatibility in PyQt v5.3.
	[21c492233b4f] <5.3-maint>

2014-09-04  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[3e67087edaa6] <5.3-maint>

2014-09-03  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a pyuic bug handling the alignment of box layouts.
	[8ceffd80eb09] <5.3-maint>

2014-09-02  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgignore, PyQt5.msp, installers/BuildGPL.txt, lib/configure.py:
	Fixed the handling of Python exceptions in QWebPage.extension().
	[6b688d2514d2] <5.3-maint>

2014-08-25  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, lib/configure.py:
	Avoid a qmake warning by embedding the SIP flags earlier. Fix the
	license check when using a configuration file.
	[2764886c6cc6] <5.3-maint>

2014-08-14  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/signals_slots.rst:
	Tightened up the docs regarding pyqtSignal().
	[920e22cba0c2] <5.3-maint>

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the installer to include qmake and mkspecs which are needed
	by lrelease when it is given a .pro file.
	[946843b4db4e] <5.3-maint>

2014-08-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the (no longer preliminary) QWidget.windowHandle().
	[eec511d5634f] <5.3-maint>

2014-07-31  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtCore/qpycore_qjsonvalue.cpp,
	qpy/QtQml/qpyqml_qjsvalue.cpp:
	Fixed a couple of Python v2 build regressions.
	[dcc21846e00f] <5.3-maint>

	* Makefile, PyQt5.msp:
	Fixed QAbstractPrintDialog.PrintDialogOption.None for Python v3.
	[6cfab73403c8] <5.3-maint>

2014-07-28  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt5.msp, sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Completed the implementation of the Enginio module.
	[4a9d7e1d5662] <5.3-maint>

2014-07-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi, lib/configure.py:
	Implemented the rest of the Enginio module except for EnginioModel.
	[6f28c7ec4a3a] <5.3-maint>

	* PyQt5.msp, lib/configure.py, sphinx/api_metadata.cfg:
	Added the Enginio module to the build system. Implemented the
	Enginio.Enginio namespace.
	[bf79ca211de1] <5.3-maint>

	* PyQt5.msp:
	Initial scan of the Enginio module.
	[b90c5231f98b] <5.3-maint>

	* build.py, sphinx/api_details/qjsonarray.rst,
	sphinx/api_details/qjsonobject.rst,
	sphinx/api_details/qjsonvalue.rst:
	Added support for including additional API specific documentation.
	[7c4bc36ed40a] <5.3-maint>

	* PyQt5.msp, qpy/QtCore/qjsonarray.sip, qpy/QtCore/qjsonobject.sip,
	qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_qjsonvalue.cpp,
	qpy/QtCore/qpycore_qstringlist.sip, qpy/QtCore/qstringlist.sip,
	qpy/QtQml/qpyqml_qjsvalue.cpp, sphinx/api_metadata.cfg:
	Implemented the QJsonDocument, QJsonParseError and QJsonValue
	classes. Implemented QJsonArray and QJsonObject as mapped types.
	Remove redundant QJSValue ctors.
	[abc3d82e4430] <5.3-maint>

	* PyQt5.msp:
	Initial scan of the JSON classes.
	[e454d7715289] <5.3-maint>

2014-07-22  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt:
	Updated the internal docs for installing MSVC2010.
	[dae53e32f8d7] <5.3-maint>

2014-07-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the missing setUnifiedTitleAndToolBarOnMac() and
	unifiedTitleAndToolBarOnMac() to QMainWindow.
	[1cfe8cdfc5a8] <5.3-maint>

	* qpy/QtCore/qpycore_enums_flags.cpp:
	Fixed a benign exception while parsing Q_ENUMS and Q_FLAGS.
	[b8e6f34be940] <5.3-maint>

2014-07-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed ownership changes when calling
	QQmlEngine.setObjectOwnership().
	[77bc10e785e2] <5.3-maint>

	* sphinx/pyqt4_differences.rst:
	Clarified the advice about setdestroyonexit().
	[126152cc8091] <5.3-maint>

	* qpy/QtQml/qpyqmlobject.cpp:
	Fixed an attempt to decrement a reference count with the GIL in the
	QML proxy.
	[722a2bd8deb3] <5.3-maint>

	* PyQt5.msp:
	Added a missing /TransferThis/ to the QItemSelectionModel single arg
	ctor.
	[c0c1d57cd8a8] <5.3-maint>

	* build.py, examples/mainwindows/application/application.py,
	examples/mainwindows/application/application.qrc,
	examples/mainwindows/application/application_rc.py:
	Updated the application.py example so that it doesn't use pyrcc and
	will work as a deployed application without changes.
	[b4b75e5b26f5] <5.3-maint>

2014-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/fetchtr.cpp:
	Fixed the pylupdate parsing of translate().
	[7687a1e7a9e3] <5.3-maint>

	* PyQt5.msp:
	Make sure widgets always have an owner even if the layout isn't in a
	widget.
	[51060169e5be] <5.3-maint>

	* PyQt5.msp:
	Ensure that the ownership of widgets in a layout are always correct.
	[09687398dc66] <5.3-maint>

2014-07-10  Phil Thompson  <phil@riverbankcomputing.com>

	* designer/python.pro-in, lib/configure.py, qmlscene/python.pro-in:
	Work around QTBUG-39300.
	[0b94a0c4f4d2] <5.3-maint>

2014-07-09  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed QWebSocket when SSL support is disabled.
	[bae1d0bfb5a4] <5.3-maint>

2014-07-04  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.3.1 for changeset 04f59a3d5419
	[afc3fc029eef] <5.3-maint>

	* NEWS:
	Released as v5.3.1.
	[04f59a3d5419] [5.3.1] <5.3-maint>

2014-07-03  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/deploy_commercial.rst, sphinx/installation.rst:
	Updated the docs to refer to pyqtdeploy rather than VendorID.
	[144f912ad1eb] <5.3-maint>

2014-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt:
	Updates to the installer docs.
	[796d5e8ebe63] <5.3-maint>

2014-06-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi:
	Updated for Qt v5.3.1.
	[43eca77eb086] <5.3-maint>

	* PyQt5.msp:
	Scanned Qt v5.3.1.
	[ed0fcce6113e] <5.3-maint>

	* PyQt5.msp:
	Added a missing /ReleaseGIL/ to
	QNetworkAccessManager.createRequest().
	[a09288c24355] <5.3-maint>

2014-06-25  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtGui/qpyopengl_value_array.cpp:
	Fixed for building against Python v2.6.2 and earlier.
	[b10aab47cc69] <5.3-maint>

2014-06-17  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a pyuic regression in the handling of implicit QTableWidget
	dimensions.
	[65acf1dcaa30] <5.3-maint>

2014-06-16  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py, sphinx/installation.rst:
	Removed the --consolidate argument to configure.py as it never
	worked and pyqtdeploy is the way forward.
	[8110e649a041] <5.3-maint>

2014-06-14  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Only pass -spec to qmake if it is really necessary.
	[770fc634f362] <5.3-maint>

2014-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixes for Python v2.6.
	[0e31a2da0fa2] <5.3-maint>

2014-06-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the handling of the default qmake spec. Fixed the linker
	version scripts generated for Linux.
	[6ec15bc5d1bd] <5.3-maint>

2014-06-01  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/fetchtr.cpp, pylupdate/main.cpp:
	Added the -tr-function and -translate-function command line options
	to pylupdate5.
	[6cb476d4cc9a] <5.3-maint>

2014-05-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qvariant_value.cpp:
	Ported the QSettings.value() fixes from PyQt4.
	[4466a72038cc] <5.3-maint>

2014-05-29  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, installers/PyQt5-Qt5-gpl.nsi:
	Fixed the link to the Qt documentation in the installers. Updated
	the cross-compile target version.
	[3d4d0f24d41b]

2014-05-26  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.3 for changeset 1c94cbc7c33f
	[50cfe16807be]

	* NEWS:
	Released as v5.3.
	[1c94cbc7c33f] [5.3]

	* PyQt5.msp:
	Backed out the changes related to the parenting of dialogs. It
	introduces potential incompatibilities for no real gain.
	[187d130762ae]

2014-05-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Removed (rather than ignored) the missing QDnsLookup ctor so that we
	will consider it again with Qt v5.3.1.
	[db2986a5beb0]

2014-05-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated for Qt v5.3.0. Ignore the missing QDnsLookup ctor.
	[bce757fd6b87]

2014-05-19  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Added the Android build target.
	[f6e83c05f2a1]

2014-05-16  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Make sure that the -B flag isn't included in PYQT_CONFIGURATION.
	[e43b3f33502e]

	* Makefile:
	Install the .sip files into sysroot when cross-compiling.
	[5d636dfea5d7]

	* lib/configure.py, sphinx/installation.rst:
	Renamed qt_disabled_features to pyqt_disabled_features.
	[64489c7ec72b]

	* lib/configure.py:
	Make use of SIP v4.16's handling of timelines to avoid having to
	work out the exact version tag to use.
	[be0afd3dfe65]

2014-05-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added some missing PyQt_Printer features. Added the PyQt_NoBootstrap
	feature for iOS.
	[22e30a316ffc]

	* Makefile:
	Fix the installation of __init__.py and uic for the iOS simulator
	build.
	[6707f8fb7fcd]

	* Makefile:
	Fixed the installation of the Qt module for the iOS simulator build.
	[d4cbad9ba118]

	* PyQt5.msp:
	Fixed another desktop OpenGL dependency.
	[a96eb576b700]

	* Makefile:
	Refactored the top level Makefile and added support for iOS builds.
	[0c7fb2aa9b47]

2014-05-14  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Don't generate the QScintilla .api file if it isn't going to be
	installed.
	[3fdd63dd47f1]

	* lib/configure.py, sphinx/installation.rst:
	Adjustments to the license handling because there is no way to
	discover the licensee when cross-compiling.
	[559814273fde]

	* qpy/QtGui/opengl_types.sip, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_init.cpp, qpy/QtGui/qpyopengl_value_array.cpp:
	Fixes for building for an OpenGL ES system.
	[b90c3d5ccd5d]

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi, lib/configure.py,
	sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Completed the implementation of the QWebSockets module.
	[b1dfa886d9a7]

	* PyQt5.msp:
	Disabled the new (but missing) QDnsLookup ctor.
	[fb490165ca64]

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi, lib/configure.py,
	sphinx/api_metadata.cfg, sphinx/introduction.rst:
	Completed the QtQuickWidgets module.
	[a251131319a4]

	* PyQt5.msp:
	Added the scanned stubs of the QtQuickWidgets and QtWebSockets
	modules.
	[dc836db4f607]

2014-05-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py, sphinx/api_metadata.cfg:
	Updated all existing non-platform-specific modules for Qt
	v5.3.0-rc1.
	[8ec4f9396cd6]

	* PyQt5.msp:
	Initial scan of Qt v5.3.0-rc1.
	[a0143121db58]

2014-05-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixes for building against Qt v5.3.0-rc1.
	[90a1ae3f0434]

	* lib/configure.py:
	Fixed the default configure.py help text related to prot-is-public.
	[6ec1bbe11d50]

2014-05-11  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py, sphinx/installation.rst:
	Added the --no-tools option to configure.py.
	[3afc3d6a0b8c]

	* Makefile, build.py, configurations/rpi_py3.cfg, lib/configure.py,
	sphinx/installation.rst:
	Reimplemented the support for configuration files so that it is
	portable to Python v2. Removed the configurations directory.
	--sysroot now replaces the sys.prefix part of a directory name.
	[2bc27b9bbc8a]

2014-05-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, sphinx/conf.py, sphinx/installation.rst:
	Documented the --target-py-version and --sysroot options. A couple
	of minor configure.py bug fixes.
	[629d4c624ee3]

	* configurations/rpi_py3.cfg, lib/configure.py:
	Added the --target-py-version and --sysroot options to configure.py.
	Configuration files now have the Python version and sysroot pre-
	populated from the command line. sysroot is now automatically
	prepended to the relevent introspected directories. Updated the RPi
	configuration file appropriately.
	[a65adbbac0f5]

2014-05-06  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, pyuic/uic/widget-plugins/qtdeclarative.py,
	qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_qstringlist.cpp,
	qpy/QtCore/qpycore_sip.h, qpy/QtDBus/qpydbus.pro,
	qpy/QtDesigner/qpydesigner.pro, qpy/QtGui/qpygui.pro,
	qpy/QtGui/qpyopengl_add_constants.c, qpy/QtQml/qpyqml.pro,
	qpy/QtQuick/qpyquick.pro:
	Merged the 5.2-maint branch into the trunk.
	[c00d9ae88bd0]

	* configurations/rpi_py3.cfg, lib/configure.py:
	A configuration file is now parsed with configparser with
	ExtraInterpolation. A configuration file must define a section
	covering the version of Qt being used. Updated the Raspberry Pi
	configuration file to meet the revised requirements.
	[38fca2a9702d]

2014-04-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Qt::UniqueConnection is a flag.
	[3b978cee5968] <5.2-maint>

2014-04-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Implement support for Qt::UniqueConnection when connecting to Python
	slots.
	[33b67d803637] <5.2-maint>

2014-04-28  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtslot.cpp, qpy/QtCore/qpycore_pyqtslot.h,
	qpy/QtCore/qpycore_pyqtslotproxy.cpp:
	Fixed a bug detecting when the Python receiver object has been
	garbage collected. Delete slot proxies if the slot receiver no
	longer exists.
	[3a4d245409f0] <5.2-maint>

	* PyQt5.msp:
	Removed the /TransferThis/ from the parent argument of the ctor of
	all dialog classes. This is a better approach to the special
	ownership behaviour of dialogs as that taken by PyQt4.
	QWidget.setParent() now handles dialogs properly.
	[4535ef2b7372] <5.2-maint>

2014-04-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Handle top-level widgets in the QApplication dtor as PyQt4 does
	because sip.setdestoyonexit() can't help if the GUI isn't held in
	the main block.
	[f6521c24d6b1] <5.2-maint>

2014-04-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added a missing /ReleaseGIL/ to the QSqlQuery ctor that can execute
	a query.
	[d11e914518cc] <5.2-maint>

	* sphinx/incompatibilities.rst, sphinx/index.rst,
	sphinx/signals_slots.rst:
	Documented the no_receiver_check issues.
	[3acf8677f5aa] <5.2-maint>

2014-04-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtslot.cpp,
	qpy/QtCore/qpycore_pyqtslot.h, qpy/QtCore/qpycore_pyqtslotproxy.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.h:
	Implemented the 'no_receiver_check' argument to connect(). By
	default checks for receiver C++ instances are enabled.
	[c29a6eac4aff] <5.2-maint>

2014-04-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed a bug in the conversion of QStrings with surrogate pairs.
	[16a9c19d08cf] <5.2-maint>

	* Makefile, lib/configure.py:
	Make sure the SIP include directory is searched before the Python
	include directory if they are different.
	[50212db2acde] <5.2-maint>

2014-04-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtDBus/qpydbuspendingreply.cpp,
	qpy/QtDBus/qpydbusreply.cpp,
	qpy/QtQml/qmlattachedpropertiesobject.sip,
	qpy/QtQml/qmlregistertype.sip, qpy/QtQml/qpyqml_api.h,
	qpy/QtQml/qpyqml_register_singleton_type.cpp,
	qpy/QtQml/qpyqml_register_type.cpp:
	Fixed the remaining symbol name clashes with static builds.
	[e1ef73ca0fbd] <5.2-maint>

	* pyuic/uic/uiparser.py:
	Fixed pyuic handling of non-exclusive button groups.
	[a46790060328] <5.2-maint>

2014-03-31  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Fixed a regression with Python v2 where a classic class is used as a
	mixin.
	[5fc3bba566c7] <5.2-maint>

2014-03-30  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the display of the static/shared status by configure.py.
	[39a2d2d3925c] <5.2-maint>

2014-03-29  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed pyuic's handling of connecting to QButtonGroups.
	[6b06e4c8a5d2] <5.2-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Improved the text of an exception now that signals can be defined in
	mixins.
	[be0c8c6b433b] <5.2-maint>

2014-03-24  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/widget-plugins/qtdeclarative.py:
	Removed the unsupported pyuic widget plgin for QDeclarativeView.
	[d8a05545da5d] <5.2-maint>

2014-03-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added a missing /KeepReference/ to QThreadPool::globalInstance().
	Added /ReleaseGIL/ to start() and tryStart() for documentation
	reasons. Removed /NewThread/ from QRunnable::run().
	[143e8bb4c4b9] <5.2-maint>

	* PyQt5.msp, lib/configure.py, sphinx/deploy_commercial.rst,
	sphinx/installation.rst:
	VendorID is Python v2 specific.
	[1bf09b117cb2] <5.2-maint>

2014-03-20  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/OpenGL/gen_opengl_constants.py, lib/configure.py,
	qpy/QtGui/qpyopengl_add_constants.cpp:
	Fixed the generated OpenGL constants to be C++11 compatible.
	[5db729002562] <5.2-maint>

2014-03-18  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp:
	Fixed a symbol clash when built as static modules.
	[b582b195ed9f] <5.2-maint>

2014-03-14  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.2.1 for changeset 8709a1871929
	[e86b25532c02] <5.2-maint>

	* NEWS:
	Released as v5.2.1.
	[8709a1871929] [5.2.1] <5.2-maint>

2014-03-13  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qobject_getattr.cpp:
	Fixed a regression parsing introspected signal signatures.
	[b12f051bec16] <5.2-maint>

	* qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_pyqtboundsignal.h:
	Fixes for building against the latest XCode.
	[67b67beb6e4b] <5.2-maint>

2014-03-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	Fixed Windows build problems.
	[f63c627bece7] <5.2-maint>

2014-03-09  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial:
	Updates to the commercial license.
	[3a484144e4ff] <5.2-maint>

2014-03-05  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[f6528098012c] <5.2-maint>

2014-03-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp, sphinx/pyqt4_differences.rst,
	sphinx/signals_slots.rst:
	Properties, signals and slots can now be defined in mixins (ie. non-
	QObject) classes.
	[3942032af2de] <5.2-maint>

	* pylupdate/fetchtr.cpp:
	Backed out ab343b486918 (pylupdate support for nested classes)
	because it breaks a common use case.
	[6cf443fbd854] <5.2-maint>

	* pylupdate/fetchtr.cpp, pylupdate/main.cpp, pylupdate/merge.cpp,
	pylupdate/metatranslator.cpp, pylupdate/metatranslator.h,
	pylupdate/numberh.cpp, pylupdate/proparser.cpp,
	pylupdate/proparser.h, pylupdate/sametexth.cpp,
	pylupdate/simtexth.cpp, pylupdate/simtexth.h,
	pylupdate/translator.cpp, pylupdate/translator.h, pyrcc/main.cpp,
	pyrcc/rcc.cpp, pyrcc/rcc.h:
	Updated the pylupdate5 and pyrcc5 copyright and license notices.
	[379869955e02] <5.2-maint>

2014-03-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	The first stride argument of the ArgumentSet ctor is now the
	optional second argument. The stride is computed if not explicitly
	specified.
	[19a0243f60c2] <5.2-maint>

	* dbus/dbus.cpp, dbus/helper.h:
	Fixed the licensing of the dbus module.
	[6e831021c4ef] <5.2-maint>

2014-02-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial:
	Updated the commercial license.
	[2685b40cf32d] <5.2-maint>

	* sphinx/pyqt4_differences.rst, sphinx/signals_slots.rst:
	Updated the docs regarding the handling of Qt signals with optional
	arguments.
	[9b1debc115c7] <5.2-maint>

	* PyQt5.msp:
	Added the QSGGeometry.AttributeSet ctor and fixed a couple of
	related bugs.
	[d5adaa40b597] <5.2-maint>

	* lib/configure.py:
	Fixed configure.py when QtCore is not being built.
	[d0b2571b8413] <5.2-maint>

2014-02-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Release the GIL when using QQmlApplicationEngine to load a QML file.
	[8e4b7e2d80b4] <5.2-maint>

	* qpy/QtCore/qpycore_chimera_storage.cpp:
	Fixed the handling of results of JavaScript functions in QML.
	[548c6b36b376] <5.2-maint>

	* lib/configure.py:
	Fix remaining misleading error messages about qmake on Windows.
	[a527a1cb7ab0] <5.2-maint>

	* lib/configure.py:
	Fixed the pyuic5 wrapper for Python v3.4 on OS/X.
	[82582f4dbc26] <5.2-maint>

2014-02-18  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h,
	qpy/QtCore/qpycore_qobject_getattr.cpp,
	qpy/QtCore/qpycore_types.cpp:
	Use SIP generated signal emitters if they are available.
	[e48c35dc1609] <5.2-maint>

	* Makefile, PyQt5.msp, QAxContainer/qaxbase.sip,
	QAxContainer/qaxobject.sip, QAxContainer/qaxwidget.sip,
	lib/configure.py, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_misc.cpp, qpy/QtCore/qpycore_misc.h,
	qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_types.cpp:
	Changes needed by the SIP v11.0 internal API.
	[04cb8f12f608] <5.2-maint>

2014-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtGui.versions:
	Fixes when building against OpenGL/ES2.
	[c8f5b569c377] <5.2-maint>

2014-02-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Removed a workaroud for a bug in the OS/X Python installation that
	no longer seems necessary.
	[42b4bf1a7bbc] <5.2-maint>

	* Makefile, lib/configure.py:
	Fixed the building of the Qt module.
	[cdfe5633ab6b] <5.2-maint>

	* PyQt5.msp, installers/PyQt5-Qt5-gpl.nsi:
	Updated for Qt v5.2.1.
	[8858e7832a48] <5.2-maint>

	* lib/OpenGL/gen_opengl_constants.py, lib/configure.py,
	qpy/QtGui/qpyopengl_add_constants.c,
	qpy/QtGui/qpyopengl_add_constants.cpp,
	qpy/QtGui/qpyopengl_version_functions.cpp:
	More fixes for the OpenGL changes.
	[e40a56e2861e] <5.2-maint>

	* PyQt5.msp:
	Don't call qpyopengl_init() if OpenGL is disabled.
	[b3169a87acdd] <5.2-maint>

2014-02-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtDBus/qpydbus_chimera_helpers.cpp:
	Another fix for the QPy refactoring.
	[db0f04a03742] <5.2-maint>

	* lib/OpenGL/gen_opengl_constants.py,
	qpy/QtGui/qpyopengl_add_constants.c, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_attribute_array.cpp,
	qpy/QtGui/qpyopengl_data_cache.cpp,
	qpy/QtGui/qpyopengl_data_cache.h, qpy/QtGui/qpyopengl_init.cpp,
	qpy/QtGui/qpyopengl_uniform_value_array.cpp,
	qpy/QtGui/qpyopengl_value_array.cpp,
	qpy/QtGui/qpyopengl_version_functions.cpp:
	Fixes for the QPy QtGui library when building with OpenGL disabled.
	[32991310ea1e] <5.2-maint>

	* PyQt5.msp, qpy/QtDBus/qpydbus_api.h,
	qpy/QtDBus/qpydbus_chimera_helpers.cpp,
	qpy/QtDBus/qpydbus_chimera_helpers.h,
	qpy/QtDBus/qpydbus_post_init.cpp,
	qpy/QtDBus/qpydbuspendingreply.cpp, qpy/QtDBus/qpydbusreply.cpp,
	qpy/QtQml/qpyqml_post_init.cpp, qpy/QtQml/qpyqml_qjsvalue.cpp,
	qpy/QtQml/qpyqml_sip.h, qpy/QtQml/qpyqmllistproperty.cpp,
	qpy/QtQuick/qpyquick_chimera_helpers.cpp,
	qpy/QtQuick/qpyquick_chimera_helpers.h,
	qpy/QtQuick/qpyquick_post_init.cpp,
	qpy/QtQuick/qpyquick_register_type.cpp,
	qpy/QtQuick/qpyquick_register_type.h:
	Refactored the rest of the QPy libraries with the exception of
	QtGui.
	[9cc5f284b315] <5.2-maint>

	* qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_chimera_storage.cpp,
	qpy/QtCore/qpycore_classinfo.cpp, qpy/QtCore/qpycore_decorators.cpp,
	qpy/QtCore/qpycore_enums_flags.cpp, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_misc.cpp, qpy/QtCore/qpycore_misc.h,
	qpy/QtCore/qpycore_objectified_strings.h,
	qpy/QtCore/qpycore_post_init.cpp.in,
	qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtconfigure.cpp,
	qpy/QtCore/qpycore_pyqtpyobject.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.cpp,
	qpy/QtCore/qpycore_pyqtslotproxy.h,
	qpy/QtCore/qpycore_qmessagelogger.cpp,
	qpy/QtCore/qpycore_qmetaobject.cpp,
	qpy/QtCore/qpycore_qmetaobject_helpers.cpp,
	qpy/QtCore/qpycore_qobject_getattr.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_qobject_helpers.h,
	qpy/QtCore/qpycore_qstring.cpp, qpy/QtCore/qpycore_qvariant.cpp,
	qpy/QtCore/qpycore_qvariant_value.cpp, qpy/QtCore/qpycore_sip.h,
	qpy/QtCore/qpycore_types.cpp, qpy/QtCore/qpycore_types.h:
	Refactored the QPy QtCore header files slightly so that the private
	API to the generated code is qpycore_api.h and the private API from
	the generated code is sipAPIQtCore.h. The public API remains
	qpycore_public_api.h.
	[2194a7a65de6] <5.2-maint>

	* lib/configure.py:
	Generate relative pathnames for the .sip files in the .pro files.
	[501007c40b60] <5.2-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_types.cpp,
	qpy/QtGui/qpyopengl_data_cache.cpp:
	Suppress warnings about tp_finalize.
	[351f44e52713] <5.2-maint>

	* qpy/QtGui/opengl_types.sip, qpy/QtGui/qpygui_qpair.sip:
	Added PyQt_OpenGL to a couple of extra places (primarily for
	documentation purposes as wouldn't generate code).
	[3c1cefcb0c1d] <5.2-maint>

	* lib/configure.py:
	The extension modules now have the correct install name on OS/X.
	[2b36703b6419] <5.2-maint>

2014-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py, qpy/QtCore/qpycore.pro, qpy/QtDBus/qpydbus.pro,
	qpy/QtDesigner/qpydesigner.pro, qpy/QtGui/qpygui.pro,
	qpy/QtQml/qpyqml.pro, qpy/QtQuick/qpyquick.pro:
	The QPy support code is no longer built as separate libraries.
	[b160ecda2f38] <5.2-maint>

2014-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtQml/qpyqml.pro, qpy/QtQml/qpyqml_api.h,
	qpy/QtQml/qpyqml_qjsvalue.cpp, qpy/QtQml/qpyqml_sip.h:
	A special value, bool, int, float or string may be specified
	whenever a QJSValue is expected.
	[4fe146b380cb] <5.2-maint>

	* pylupdate/fetchtr.cpp:
	Fixes for the handling of nested classes in pylupdate from Matteo
	Bertini.
	[ab343b486918] <5.2-maint>

	* examples/widgets/tetrix.py:
	Fixes to the tetrix.py example from Mike Taverne.
	[1ff4b79a485e] <5.2-maint>

2014-02-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtGui.versions, lib/configure.py:
	PyQt should now build against a Qt installation with no OpenGL
	support.
	[1fc92a957229] <5.2-maint>

	* lib/configure.py:
	qreal is defined as double on all platforms when built against Qt
	v5.2.
	[0c098ca98d24] <5.2-maint>

2014-02-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed the QString to Python conversion for Python v3.3 and later as
	I hadn't realised that the KIND is interpreted very strictly.
	[ef3ac28273c8] <5.2-maint>

2014-01-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_qstringlist.cpp,
	qpy/QtCore/qpycore_qstringlist.sip:
	The mapping of QStringList is now handled the same as QList.
	[9f2c1e2bc3c9] <5.2-maint>

2014-01-17  Phil Thompson  <phil@riverbankcomputing.com>

	* QtX11Extras/qx11info_x11.sip, lib/configure.py:
	Fixes for QX11Info so that it will build against Qt v5.1.
	[7d0f384170fd] <5.2-maint>

2014-01-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the build when SSL support is disabled.
	[cb3debf77d04] <5.2-maint>

2014-01-10  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py, sphinx/api_metadata.cfg:
	Updated the docs generation to reflect the changes to the structure
	of the docs on qt-project.org.
	[9301cdf68316] <5.2-maint>

2014-01-08  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtGui/qpygui_qpair.sip:
	Fixed a bug building against versions of Qt prior to v5.2.0.
	[5c798e751276] <5.2-maint>

2014-01-07  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.2 for changeset 9352d801a9da
	[0bb3d7b8c32a]

	* Makefile, NEWS:
	Released as v5.2.
	[9352d801a9da] [5.2]

2014-01-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed the PEP 393 conversion from QString to Python unicode objects
	so that it properly handles surrogates. Also made the common case
	where the text is Latin-1 faster and the final object smaller.
	[52e28eb8f54e]

2014-01-02  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, build.py, dbus/dbus.cpp, dbus/helper.h,
	lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short, lib/LICENSE.internal, pyrcc/rcc.cpp,
	pyuic/uic/Compiler/compiler.py, pyuic/uic/Compiler/indenter.py,
	pyuic/uic/Compiler/misc.py, pyuic/uic/Compiler/proxy_metaclass.py,
	pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Compiler/qtproxies.py, pyuic/uic/Loader/loader.py,
	pyuic/uic/Loader/qobjectcreator.py, pyuic/uic/__init__.py,
	pyuic/uic/exceptions.py, pyuic/uic/objcreator.py,
	pyuic/uic/properties.py, pyuic/uic/uiparser.py, pyuic/uic/widget-
	plugins/qtwebkit.py, sphinx/conf.py:
	Updated the copyright notices.
	[95cd691c347d]

2013-12-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the QJSValue ctors.
	[480c23d29277]

2013-12-25  Phil Thompson  <phil@riverbankcomputing.com>

	* QtWinExtras/qwinjumplist.sip:
	Updated the sub-class convertor code for the QtWinExtras module.
	[31049d3853ae]

	* installers/PyQt5-Qt5-gpl.nsi:
	Fixes for the installer for Qt v5.2.0.
	[421c92fb3c1a]

	* QtWinExtras/qwinthumbnailtoolbar.sip, lib/configure.py:
	More QtWinExtras fixes.
	[35df5513f242]

	* QtWinExtras/qwinfunctions.sip:
	Fixes for the QtWinExtras module.
	[1cb902bbb5c1]

	* installers/PyQt5-Qt5-gpl.nsi:
	Updated the installer for Qt v5.2.0.
	[bb68738fcc1b]

2013-12-24  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/api_metadata.cfg:
	Updated the documentation for the QtWinExtras module.
	[c8cbc2483694]

	* QtWinExtras/QtWinExtrasmod.sip, QtWinExtras/qwinjumplist.sip,
	QtWinExtras/qwinjumplistcategory.sip,
	QtWinExtras/qwinjumplistitem.sip, QtWinExtras/qwintaskbarbutton.sip,
	QtWinExtras/qwintaskbarprogress.sip,
	QtWinExtras/qwinthumbnailtoolbar.sip,
	QtWinExtras/qwinthumbnailtoolbutton.sip:
	Completed the initial implementation of the QtWinExtras module.
	[d27e0faa5fe7]

	* PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip:
	Completed the implementation of the QtBluetooth module.
	[cc31f2f83bb0]

2013-12-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip,
	qpy/QtBluetooth/qpybluetooth_quint128.sip:
	Completed the implementation of QBluetoohUuid.
	[7aa305b853b0]

	* PyQt5.msp:
	Fixed the signature of the QUuid ctor.
	[dbaff74f3365]

	* PyQt5.msp, qpy/QtBluetooth/qpybluetooth_qlist.sip:
	Implemented QList<quint16>.
	[4ef77ea90719]

	* PyQt5.msp:
	Complete the Qt v5.2.0 support for QtGui.
	[d2c55646d351]

	* PyQt5.msp, qpy/QtGui/qpygui_qpair.sip:
	Implemented the new QtGui specific QPair based mapped types.
	[91180027e254]

2013-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Emitting a signal with default arguments ommitted no longer requires
	the exact signal overload to be specified - the default overload can
	be used.
	[a9cbd3fc6215]

	* examples/multimediawidgets/player.py:
	Removed some old debugging messages from the player.py example.
	[4c6847702264]

2013-12-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qpycore_qhash.sip,
	qpy/QtCore/qpycore_qmap.sip, qpy/QtNetwork/qpynetwork_qmap.sip:
	Refactored QMap and QMultiMap.
	[cfb5008d4436]

	* PyQt5.msp, qpy/QtCore/qpycore_qpair.sip:
	Refactored QPair.
	[49eaf99ce9de]

	* qpy/QtCore/qpycore_collections.sip, qpy/QtCore/qpycore_qhash.sip,
	qpy/QtCore/qpycore_qlist.sip, qpy/QtCore/qpycore_qset.sip,
	qpy/QtCore/qpycore_qvector.sip, qpy/QtGui/qlist.sip,
	qpy/QtGui/qpygui_collections.sip, qpy/QtGui/qpygui_qlist.sip,
	qpy/QtGui/qpygui_qvector.sip,
	qpy/QtMultimedia/qpymultimedia_collections.sip,
	qpy/QtMultimedia/qpymultimedia_qlist.sip,
	qpy/QtPrintSupport/qpyprintsupport_collections.sip,
	qpy/QtPrintSupport/qpyprintsupport_qlist.sip,
	qpy/QtWidgets/qpywidgets_collections.sip,
	qpy/QtWidgets/qpywidgets_qlist.sip:
	Split up the mapped type implementations.
	[2e1239c043cd]

	* PyQt5.msp, qpy/QtCore/qpycore_collections.sip,
	qpy/QtNetwork/qpynetwork_qhash.sip:
	Refactored QHash.
	[567d67e5eb6f]

2013-12-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qpycore_collections.sip:
	Refactored the QSet implementations.
	[0127ff8a7de9]

	* qpy/QtCore/qpycore_collections.sip,
	qpy/QtGui/qpygui_collections.sip,
	qpy/QtMultimedia/qpymultimedia_collections.sip,
	qpy/QtPrintSupport/qpyprintsupport_collections.sip,
	qpy/QtWidgets/qpywidgets_collections.sip:
	QList and QVector implementations now accept iterables rather than
	sequences.
	[fea8a346e95d]

	* test/tests/mapped_types/test_QList.py:
	Fixed the QList unit tests.
	[f7f4b9928694]

2013-12-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qlist.sip, qpy/QtCore/qpycore_collections.sip,
	qpy/QtGui/qpygui_collections.sip,
	qpy/QtGui/qpyopengl_collections.sip, qpy/QtMultimedia/qlist.sip,
	qpy/QtMultimedia/qpymultimedia_collections.sip,
	qpy/QtPrintSupport/qlist.sip,
	qpy/QtPrintSupport/qpyprintsupport_collections.sip,
	qpy/QtWidgets/qlist.sip, qpy/QtWidgets/qpywidgets_collections.sip:
	Refactored QVector along the lines of QList.
	[39671105f383]

	* PyQt5.msp, qpy/QtCore/qlist.sip, qpy/QtGui/qlist.sip,
	qpy/QtMultimedia/qlist.sip, qpy/QtPrintSupport/qlist.sip,
	qpy/QtWidgets/qlist.sip:
	Completed the refactoring and standardisation of the QList
	implementations.
	[511f34c97c88]

	* qpy/QtCore/qlist.sip, test/tests/mapped_types/__init__.py,
	test/tests/mapped_types/test_QList.py:
	Added unit tests for most of the QList mapped types. More fixes for
	QList mapped types.
	[eebdef19090a]

	* PyQt5.msp, qpy/QtCore/qlist.sip:
	Fixes to the QList implementations. Added the QList of enums used by
	the QtCore module.
	[05c4b4c81f62]

2013-12-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qlist.sip:
	QList mapped types now only check for a sequence rather than also
	checking the individual elements. This allows much more useful
	exceptions to be raised. qlist.sip is now maintained separately from
	the project file.
	[5bdef54961f6]

	* QtMacExtras/qmacpasteboardmime.sip, QtWinExtras/qwinfunctions.sip,
	QtX11Extras/qx11info_x11.sip:
	Added version qualifiers to the platform specific modules.
	[6182642eb464]

2013-12-16  Phil Thompson  <phil@riverbankcomputing.com>

	* QtWinExtras/QtWinExtrasmod.sip, QtWinExtras/qwinfunctions.sip,
	build.py, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Added the QtWinExtras module with only (for the moment) the QtWin
	namespace implemented.
	[5b7a6055d52e]

	* QAxContainer/qaxbase.sip, QAxContainer/qaxobject.sip,
	QAxContainer/qaxwidget.sip, QtMacExtras/qmacpasteboardmime.sip,
	QtX11Extras/qx11info_x11.sip:
	Removed the (superfluous) platform directives from the platform
	specific modules.
	[719aa5e321e0]

	* lib/configure.py:
	SIP v4.15.4 is now required.
	[be675acbfe2d]

	* QtX11Extras/QtX11Extrasmod.sip, QtX11Extras/qx11info_x11.sip,
	build.py, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Implemented the QtX11Extras module.
	[c8cd08e0db4d]

	* PyQt5.msp:
	Implemented the QOpenGLPixelTransferOptions class.
	[b4919f0a515c]

	* QtMacExtras/QtMacExtrasmod.sip, QtMacExtras/qmacpasteboardmime.sip,
	build.py, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Implemented the QtMacExtras module.
	[3af1359543b4]

	* QAxContainer/QAxContainermod.sip:
	Fixed the module configuration for the QAxContainer module.
	[6cd0e9e81e5a]

	* PyQt5.msp, qpy/QtCore/qsysinfo.sip, sphinx/api_metadata.cfg:
	Updated QSysInfo for Qt v5.2.0. qsysinfo.sip is now maintained
	manually as it has so much platform specific code.
	[039aa7167784]

2013-12-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, sphinx/api_metadata.cfg:
	Completed the QtPositioning module.
	[94719e40833a]

	* Makefile, PyQt5.msp, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Removed the QtNfc module. Added the QtPositioning module to the
	build system and docs.
	[34457b8e4c87]

	* PyQt5.msp, sphinx/api_metadata.cfg:
	Completed the majority of the QtBluetooth module.
	[7ef992ea2ca8]

	* PyQt5.msp, lib/configure.py, sphinx/api_metadata.cfg,
	sphinx/introduction.rst:
	Added the QtBluetooth module to the build system and docs.
	[9075d7437589]

	* Merge.
	[a6a3c89427cd]

	* PyQt5.msp:
	Added the initial implementation of the QtPositioning module.
	[57a1a255ac9d]

	* sphinx/api_metadata.cfg:
	Updated the docs for the new Qt 5.2.0 classes in the existing
	modules.
	[b4c9ed0667e3]

2013-12-14  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Added the initial QtBluetooth and QtNfc modules.
	[7ab9befa4814]

	* PyQt5.msp:
	Updated for Qt v5.2.0.
	[abdbaeefb925]

2013-12-11  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the required SIP version.
	[5e2fa0fdc2d0]

2013-12-09  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Completed the update of QtWidgets.
	[1b52104b143c]

	* examples/graphicsview/elasticnodes.py:
	Fix an obsolete call in the elasticnodes.py example.
	[db2f88d066a7]

2013-12-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/SubclassCode/QtWidgets.versions:
	Partially updated QtWidgets.
	[05868fa42655]

	* PyQt5.msp:
	Updated the vast majority of QtGui.
	[f124efa2590b]

	* PyQt5.msp, lib/SubclassCode/QtQuick.versions:
	Updated QtQuick.
	[bac6eac771a3]

	* PyQt5.msp, lib/SubclassCode/QtQml.versions:
	Updated QtQml.
	[34b8d95c229c]

	* PyQt5.msp:
	Updated QtSensors.
	[ca372e3fdb40]

	* PyQt5.msp:
	Updated QtNetwork.
	[4b28b3eb46e0]

2013-12-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated QtWebKitWidgets.
	[17bcdd6819d5]

	* PyQt5.msp:
	Updated QtWebKit for Qt v5.2.0-rc1. Completed the update for QtCore.
	[8b2f27fc1f47]

	* PyQt5.msp:
	Updated QtSerialPort for Qt v5.2.0-rc1.
	[82f4f311dcea]

2013-12-04  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, lib/SubclassCode/QtCore.versions,
	lib/configure.py:
	Updated QtCore for Qt v5.2.0-rc1 (except for the broken QUrl).
	[0409bc818f8b]

2013-11-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp:
	Fixed the handling of pyqtsignal() keyword arguments with Python2.
	[ceb50aaa7969]

2013-11-19  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/index.rst, sphinx/metaobjects.rst:
	Documented Q_CLASSINFO(), Q_ENUMS() and Q_FLAGS().
	[c773b532165e]

	* qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h, qpy/QtCore/qpycore_enums_flags.cpp,
	qpy/QtCore/qpycore_qmetaobject.cpp:
	Enums/flags types are now registered as such.
	[fd9f3c1eb07a]

	* qpy/QtCore/qpycore_types.cpp:
	Enums/flags now have a scope corresponding to the class they are
	registered (rather than defined) in.
	[0b2396183bc2]

2013-11-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_enums_flags.cpp,
	qpy/QtCore/qpycore_enums_flags.h,
	qpy/QtCore/qpycore_qmetaobjectbuilder.h,
	qpy/QtCore/qpycore_types.cpp:
	Reimplemented Q_ENUMS() and Q_FLAGS() so that they are added to the
	meta-object.
	[e1bd545bd994]

	* Merged the v5.1 maintenance branch.
	[67e9f33f2606]

	* qpy/QtGui/opengl_types.sip, qpy/QtGui/qpyopengl_collections.sip:
	Support for GLuint64 is disabled for ES 2.
	[3f0065d77ee3] <5.1-maint>

2013-11-17  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/widgets/stylesheet/stylesheeteditor.py:
	Fixes for examples.
	[5346065f46ea] <5.1-maint>

2013-11-15  Phil Thompson  <phil@riverbankcomputing.com>

	* pyrcc/main.cpp:
	pyrcc5 uses the local encoding for the name of the .qrc file.
	[ae550ef924d3] <5.1-maint>

	* qpy/QtQml/qpyqml_register_singleton_type.cpp,
	qpy/QtQml/qpyqml_register_type.cpp, qpy/QtQml/qpyqmlobject.cpp,
	qpy/QtQml/qpyqmlobject.h, qpy/QtQml/qpyqmlsingletonobject.cpp,
	qpy/QtQml/qpyqmlsingletonobject.h:
	60 QML types can now be defined. 30 QML singleton types can now be
	defined.
	[faa179cff2c7] <5.1-maint>

	* qpy/QtQuick/qpyquickitem.cpp, qpy/QtQuick/qpyquickitem.h,
	qpy/QtQuick/qpyquickpainteditem.cpp,
	qpy/QtQuick/qpyquickpainteditem.h:
	30 each of Quick items and painted Quick items are now supported.
	[53c7f63b5ad5] <5.1-maint>

2013-11-11  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/designer/plugins/widgets/datetimeedit.py,
	examples/graphicsview/diagramscene/diagramscene.py,
	examples/itemviews/chart/chart.py,
	examples/itemviews/pixelator/pixelator.py,
	examples/multimediawidgets/camera/camera.py,
	examples/multimediawidgets/player.py,
	examples/network/fortuneclient.py, examples/qtdemo/scanitem.py,
	examples/richtext/textedit/textedit.py, examples/widgets/tetrix.py:
	Various fixes to the examples from Dmitry Shachnev.
	[440d468a0ae8] <5.1-maint>

2013-11-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Revised the previous change for really, really old (GCC 4.3)
	compilers.
	[f9d93ebb35b1] <5.1-maint>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Applied a couple of specific casts which might be needed by older
	compilers.
	[8ffa9810eb28] <5.1-maint>

2013-10-25  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py:
	Enable the QML debugger when --debug is passed to configure.py.
	[c483162df565] <5.1-maint>

2013-10-20  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Any qmake variables passed on the command line to configure.py are
	also applied the plugins and applications Makefiles.
	[44c92d7c6f19] <5.1-maint>

2013-10-16  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.1.1 for changeset 06a65a43f646
	[2e77fd32377a] <5.1-maint>

	* NEWS:
	Released as v5.1.1.
	[06a65a43f646] [5.1.1] <5.1-maint>

2013-10-15  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/quick/canvas/contents/images/gloss.png,
	examples/quick/canvas/contents/images/lineedit.png,
	examples/quick/canvas/contents/images/quit.png,
	examples/quick/canvas/contents/images/stripes.png,
	examples/quick/canvas/contents/images/titlebar.png,
	examples/quick/canvas/contents/images/toolbutton.png:
	Removed the execute bits on some .png files.
	[ac974835d7fe] <5.1-maint>

2013-10-13  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtQml/qpyqmlobject.cpp:
	Fixed a problem with Python properties that have notify signals
	emitted.
	[ebd36baa56e9] <5.1-maint>

	* Makefile, designer/python.pro-in, lib/configure.py, qmlscene/python
	.pro-in:
	PyQt will now build against a debug only version of Qt.
	[d65e39e3cd7d] <5.1-maint>

2013-10-12  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the handling of VendorID in configure.py.
	[97319b4351e8] <5.1-maint>

2013-10-07  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp:
	Minor fixes for building against Qt v5.2.0-alpha.
	[41b8f6ca2ea4] <5.1-maint>

	* qpy/QtCore/qpycore_qobject_helpers.cpp:
	Fixed the support for QObject meta-casting.
	[aaa5588d9982] <5.1-maint>

2013-10-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Updated the project for Qt v5.1.1.
	[fc7b8711dba0] <5.1-maint>

	* qpy/QtGui/qpyopengl_api.h, qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_init.cpp, qpy/QtGui/qpyopengl_value_array.cpp,
	qpy/QtGui/qpyopengl_version_functions.cpp:
	Fixed building against Qt v5.0.
	[6666b6259893] <5.1-maint>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Fixed (hopefully) building with GCC v4.6 and earlier.
	[0aa3e18d07a1] <5.1-maint>

2013-10-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	Fixed the QShortcut ctor when passing slot arguments.
	[3c895ca14f00] <5.1-maint>

2013-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qmlscene/pluginloader.cpp, qpy/QtCore/qpycore_pyqtconfigure.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtQml/qpyqmllistproperty.cpp,
	qpy/QtQml/qpyqmlobject.cpp:
	Fixed a number of incorrect (for Python2) format characters.
	[b63b9dc3a3fa] <5.1-maint>

	* qpy/QtQml/qpyqml_register_type.cpp:
	Fixed a bad format character when raising an exception.
	[3547edcdd278] <5.1-maint>

	* build.py:
	Updated the internal build script to use the latest hg rather than
	that provided with MacHg.
	[42f3b031a7b9] <5.1-maint>

2013-10-02  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 5.1 for changeset e5fd9644dd9c
	[6cb80b7fd2ed]

	* NEWS:
	Released as v5.1.
	[e5fd9644dd9c] [5.1]

2013-09-28  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp:
	Improve the text of the exception raised when the type of a C++
	signal argument couldn't be parsed.
	[fc0039af3b73]

	* installers/BuildGPL.txt, installers/PyQt5-Qt5-gpl.nsi:
	Minor updates for the Windows installers.
	[1a103cd1db02]

2013-09-27  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/installation.rst:
	Updated the docs regarding the --configuration flag to configure.py.
	[40038372e538]

2013-09-26  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/RaspberryPi/configuration.txt:
	Added the Raspberry Pi configuration notes to the internal
	documentation.
	[3de62eb92856]

	* configurations/rpi_py3.cfg:
	Updated the Raspberry Pi configuration for a full build.
	[5f21be94b635]

	* qmlscene/pluginloader.cpp:
	Fixed the build when Python3, prior to Python v3.3, has wide
	characters.
	[5b01202be52b]

	* designer/pluginloader.cpp, designer/python.pro-in, lib/configure.py,
	qmlscene/pluginloader.cpp, qmlscene/python.pro-in:
	The plugins no longer try to dynamically load the interpreter
	library (as they are already linked against it). The plugins shoulkd
	now build when cross-compiling.
	[edd0734e2a64]

2013-09-25  Phil Thompson  <phil@riverbankcomputing.com>

	* configurations/rpi_py3.cfg, lib/configure.py:
	More cross-compilation fixes. The openglwindow.py example now runs
	on the Pi.
	[7ed7bf039abe]

2013-09-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	The --no-sip-files option to configure.py now works.
	[10dd80985ac7]

	* PyQt5.msp:
	Minor tweaks to handwritten OpenGL code.
	[79a533fc00a1]

	* Makefile, configurations/rpi_py3.cfg, lib/configure.py,
	qpy/QtGui/opengl_types.sip:
	Further fixes for cross-compilation. OpenGL types are now hard-
	coded.
	[3166145ee331]

	* Makefile, configurations/rpi_py3.cfg, lib/configure.py:
	QtCore can now be cross-compiled.
	[f3bbee7cffae]

	* PyQt5.msp:
	Fix QVector<qreal> when qreal is float.
	[b9a9f60ac6f4]

2013-09-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtGui/qpyopengl_version_functions.cpp:
	_QOpenGLFunctions_ES2 now works.
	[597681874226]

	* Makefile, PyQt5.msp, qpy/QtGui/qpyopengl_value_array.cpp:
	More _QOpenGLFunctions_ES2.
	[6a10b084e6ca]

2013-09-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp, lib/configure.py:
	More _QOpenGLFunctions_ES2.
	[5f6ec7374914]

	* PyQt5.msp:
	More _QOpenGLFunctions_2_0.
	[ee04c8a2c022]

	* PyQt5.msp, lib/configure.py:
	More _QOpenGLFunctions_ES2.
	[90c93700c52b]

	* PyQt5.msp:
	More on _QOpenGLFunctions_ES2.
	[9685fbc2b622]

	* PyQt5.msp:
	Added the _QOpenGLFunctions_ES2 module.
	[bd8d9c35627f]

2013-09-09  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt5.msp, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_init.cpp, sphinx/opengl.rst:
	Completed the initial implementation of _QOpenGLFunctions_2_0.
	[daa2bea192b2]

	* Makefile, PyQt5.msp, qpy/QtGui/qpyopengl_api.h,
	qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_attribute_array.cpp,
	qpy/QtGui/qpyopengl_data_cache.cpp, qpy/QtGui/qpyopengl_init.cpp,
	qpy/QtGui/qpyopengl_uniform_value_array.cpp,
	qpy/QtGui/qpyopengl_value_array.cpp,
	qpy/QtGui/qpyopengl_version_functions.cpp:
	More _QOpenGLFunctions_2_0.
	[b5534bf36a20]

2013-09-08  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/fetchtr.cpp:
	Added support for the different line endings to pylupdate based on a
	patch from Florent Rougon.
	[96069d4e7caa]

	* lib/configure.py:
	Do a better job of detecting when the user is trying to use Qt3. Do
	a better job of detecting when the use doesn't have write
	permissions.
	[1610b9abbf10]

	* Makefile, PyQt5.msp, qpy/QtGui/qpygui.pro,
	qpy/QtGui/qpyopengl_api.h, qpy/QtGui/qpyopengl_array_convertors.cpp,
	qpy/QtGui/qpyopengl_init.cpp:
	More _QOpenGLFunctions_2_0.
	[64cb4aa6f8cf]

2013-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/opengl/textures/textures.py:
	Fixed the textures.py example.
	[7b33930e4c2d]

	* examples/opengl/grabber.py, examples/opengl/hellogl.py,
	examples/opengl/overpainting.py,
	examples/opengl/textures/textures.py:
	Fixed the OpenGL examples for Python3.
	[af3d975869cc]

	* PyQt5.msp, qpy/QtGui/qpyopengl_value_array.cpp:
	OpenGL calls now accept None when a non-cached array is expected.
	OpenGL calls now accept an offset when a cached array is expected.
	[283b44baca06]

2013-09-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt5.msp:
	More _QOpenGLFunctions_2_0.
	[cd5cd9bdbcfd]

